
        function uiChatBox() {

            var messageL = 0;
            var obj = api.require('UIChatBox');
            obj.open({
                emotionPath: 'widget://image/emotion',
                texts : {
                    recordBtn : {
                        normalTitle : '按住 说话',
                        activeTitle : '松开 结束'
                    }
                },
                styles : {
                    inputBar : {
                        borderColor : '#d9d9d9',
                        bgColor : '#f2f2f2'
                    },
                    inputBox : {
                        borderColor : '#B3B3B3',
                        bgColor : '#FFFFFF'
                    },
                    emotionBtn : {
                        normalImg : 'widget://res/face2.png'
                    },
                    extrasBtn : {
                        normalImg : 'widget://res/add1.png'
                    },
                    keyboardBtn : {
                        normalImg : 'widget://res/key1.png'
                    },
                    speechBtn : {
                        normalImg : 'widget://res/sound1.png'
                    },
                    recordBtn : {
                        normalBg : '#c4c4c4',
                        activeBg : '#c9c9c9',
                        color : '#141414',
                        size : 18
                    },
                    indicator : {
                        target : 'both',
                        color : '#c4c4c4',
                        activeColor : '#ddd'
                    }
                },
                extras : {
                    titleSize : 10,
                    titleColor : '#a3a3a3',
                    btns : [{
                        title : '图片',
                        normalImg : 'widget://res/pic.png',
                        activeImg : 'widget://res/pic.png'
                    }, {
                        title : '拍照',
                        normalImg : 'widget://res/canmera.png',
                        activeImg : 'widget://res/canmera.png'
                    }, {
                        title : '位置',
                        normalImg : 'widget://res/position.png',
                        activeImg : 'widget://res/position.png'
                    }, {
                        title : '礼物',
                        normalImg : 'widget://res/bigGift.png',
                        activeImg : 'widget://res/bigGift.png'
                    }, {
                        title : '求助',
                        normalImg : 'widget://res/help.png',
                        activeImg : 'widget://res/help.png'
                    }, {
                        title : '活动',
                        normalImg : 'widget://res/sport.png',
                        activeImg : 'widget://res/sport.png'
                    },{
                        title : '阅后即焚',
                        normalImg : 'widget://res/demation.png',
                        activeImg : 'widget://res/demation.png'
                    },{
                        title : '提问',
                        normalImg : 'widget://res/question.png',
                        activeImg : 'widget://res/question.png'
                    }]
                }
            }, function(ret) {
                //点击附加功能面板
                if (ret.eventType == 'clickExtras') {
                    if (ret.index == 0) {
                        //获取图片
                        var scene = 'album';
                         sendImg(scene);
                    }else if (ret.index == 1 ) {
                        var scene = 'camera';
                        sendImg(scene);
                    }else if (ret.index == 2 ) {
                        $api.setStorage('location', 'detail');
                        api.openWin({
                            name:"map",
                            url:"../html/map/map.html",
                        })
                    }else if (ret.index == 6 ) {
                        openBurnReading()
                         api.execScript({
                            name:'chat_win',
                            script:'isOpenBurn();'
                        });
                         api.alert({
                             msg: '已开启阅后即焚'
                         });
                    }
                }
                //点击发送按钮
                if (ret.eventType == 'send') {
                    msg = ret.msg;
                    var str = '';
                    str += '<div class="chat-sender">';
                    str += '<div class="chat-sender-avatar">';
                    str += '<img class="userImg" src="../image/user2.png">';
                    str += '<div class="chat-sender-cont">';
                    str += '<div class="chat-right-triangle"></div>';
                    str += '<span>'+ msg +'</span>';
                    str += '</div>';
                    str += '</div>';
                    str += '</div>';

                    $api.append($api.byId('chatContent'), str);
                    window.scrollTo(0, document.body.scrollHeight +80 );
                    messageL = msg.length;
                }
            });
                var winH = 0, HH = 0, orderH = 0 , panH;

                obj.addEventListener({
                    target : 'inputBar',
                    name : 'move'
                }, function(ret, err) {
                    var htm = document.getElementsByTagName('html')[0];
                    htmH = $api.cssVal(htm,'height');
                    htmH = htmH.substring(0, length-2);
                    if (ret.panelHeight > 200 ) {
                        api.setFrameAttr({
                            name : 'main',
                            rect : {
                                x : 0,
                                y : 50,
                                w : 'auto',
                                h : api.winHeight - ret.inputBarHeight - ret.panelHeight - 80
                            }
                        });
                        HH = getScrollTop();
                        panH = ret.panelHeight;
                        winH = api.winHeight - ret.inputBarHeight - ret.panelHeight ;
                        if(api.frameHeight > api.winHeight - ret.inputBarHeight - ret.panelHeight - 50){
                            window.scrollTo(0, document.body.scrollHeight +80 );


                            htm.style.marginBottom = htmH + 90 + 'px'
                            consoledebug.log($api.cssVal(htm,'height'))
                        }
                    }else if(ret.panelHeight == 0){
                        api.setFrameAttr({
                            name : 'main',
                            rect : {
                                x : 0,
                                y : 50,
                                w : 'auto',
                                h : api.winHeight - ret.inputBarHeight  - 80
                            }
                        });
                        HH = getScrollTop();
                        htm.style.marginBottom = 0;
                        if (HH > api.winHeight - ret.inputBarHeight  - 60) {
                             window.scroll(0, HH + panH - api.frameHeight - 70)
                             HH = orderH;
                             consoledebug.log($api.cssVal(htm,'height')+'q')
                        };
                    }else{
                        api.setFrameAttr({
                            name : 'main',
                            rect : {
                                x : 0,
                                y : 50,
                                w : 'auto',
                                h : api.winHeight - ret.inputBarHeight - ret.panelHeight - 60
                            }
                        });
                        // document.getElementsByTagName('body')[0].style.paddingBottom = '90px';
                    }
                });

        }
        //发送图片
        function sendImg(type){
            api.getPicture({
                sourceType : type,
                encodingType : 'jpg',
                mediaValue : 'pic',
                destinationType : 'url',
                allowEdit : true,
                quality : 90,
                saveToPhotoAlbum : false
            }, function(ret, err) {
                if (ret) {
                    if (!ret.data) {
                        return;
                    };
                    var str = '';
                    str += '<div class="chat-sender">';
                    str += '<div class="chat-sender-avatar">';
                    str +=  '<img class="userImg" src="../image/user2.png">'
                    str += '<div class="chat-sender-contImg">';
                    str += '<div class="chat-right-triangle"></div>'
                    str += '<img src="'+ ret.data +'">'
                    str += '</div>'
                    str += '</div>'
                    str += '</div>'
                    $api.append($api.byId('chatContent'), str);
                    window.scrollTo(0, document.body.scrollHeight + 80);
                    document.getElementsByTagName('body')[0].style.paddingBottom = '150px';
                    consoledebug.log(ret.data + ',');
                } else {
                    api.alert({
                        msg : err.msg
                    });
                }
            });
        }



        //得到头部的空位
         function getScrollTop() {
            var scrollPos;
            if (window.pageYOffset) {
                scrollPos = window.pageYOffset;
            } else if (document.compatMode && document.compatMode != 'BackCompat') {
                scrollPos = document.documentElement.scrollTop;
            } else if (document.body) {
                scrollPos = document.body.scrollTop;
            }
            return scrollPos;
        }


    // 开启阅后即焚
    function openBurnReading() {
        var html = '<div class="light"><p><span>开启阅后即焚</span></p></div>'
        $api.append($api.byId('chatContent'),html)
        window.scrollTo(0, document.body.scrollHeight + 80);
    }
    //关闭阅后即焚
    function closeBurnReading(){
        var html = '<div class="light"><p><span>关闭阅后即焚</span></p></div>'
        $api.append($api.byId('chatContent'),html)
        window.scrollTo(0, document.body.scrollHeight + 80);
    }


    // 进入发送者详情页
        var userImg = $api.domAll($api.byId('chatContent'),'.userImg');
    consoledebug.log(userImg)
    for (var i = 0; i < userImg.length; i++) {
        userImg[i].addEventListener('click',function(){
             comOpenWin('personalInfo', 'user/', 'userData', 0);

        },false);

    };
    // 进入接收者详情页
    var receiverImg = $api.domAll($api.byId('chatContent'),'.receiverImg');

    for (var i = 0; i < receiverImg.length; i++) {
        receiverImg[i].addEventListener('click',function(){
             comOpenWin('otherUserInfo', 'user/', 'userData', 0);

        },false);

    };

    apiready = function() {

        uiChatBox();
        window.scrollTo(0, document.body.scrollHeight + 80);

    };