/**
 * 第一次红包签到
 * @param hhID   本人hhID
 * @param signInDays   	签到的时间
 * @param signInTime	签到的天数
 * @param successCallback   
 * @param errorCallback
 */

function redPacketSignIn(hhID,signInDays,signInTime,signInDaysArray,tag,successCallback,errorCallback){
	consoledebug.log("redPacketSignIn signInDays is " + signInDays +" "+ typeof signInDays);
	consoledebug.log("redPacketSignIn signInTime is " + signInTime +" "+ typeof signInTime);
	consoledebug.log("redPacketSignIn signInDaysArray is " + signInDaysArray +" "+ typeof signInDaysArray);
	var RedPacketSignIn = Bmob.Object.extend("RedPacketSignIn");
	if(tag == 0){
		var query = new RedPacketSignIn();
			query.set("hhID", hhID);
	    query.set("signInDays", signInDays);
	    query.set("signInTime", signInTime);
	    query.set("signInDaysArray", signInDaysArray);
	    query.save().then(function(signInInfo){
	        successCallback(signInInfo);
	    },function(error){
	        errorCallback(error);
	    })
	}else{
		var query = new Bmob.Query(RedPacketSignIn);
	    query.equalTo("hhID",hhID);
	    query.find().then(function(signInInfo){
	    	signInInfo[0].set("signInDays", signInDays);
		    signInInfo[0].set("signInTime", signInTime);
		    signInInfo[0].set("signInDaysArray", signInDaysArray);
		    signInInfo[0].save().then(function(signInInfo){
		        successCallback(signInInfo);
		    },function(error){
		        errorCallback(error);
		    })
	    },function(error){
	    	errorCallback(error);
	    })
	}
}

/**
 * 获取某人签到信息
 * @param hhID   本人hhID
 * @param signInDays   	签到的时间
 * @param signInTime	签到的天数
 * @param successCallback   
 * @param errorCallback
 */
function getOneSignInInfo(hhID,successCallback,errorCallback){
	var RedPacketSignIn = Bmob.Object.extend("RedPacketSignIn");
    var query = new Bmob.Query(RedPacketSignIn);
    query.equalTo("hhID",hhID);
    query.find().then(function(signInInfo){
    	successCallback(signInInfo);
    },function(error){
    	errorCallback(error);
    })
}




function getFirstSignInInfo(hhID,successCallback,errorCallback){
	var RedPacketSignIn = Bmob.Object.extend("RedPacketSignIn");
    var query = new Bmob.Query(RedPacketSignIn);
    query.equalTo("hhID",hhID);
    query.limit(1);
    query.descending("updateAt");
    query.select("signInDays");
    query.find().then(function(signInInfo){
    	successCallback(signInInfo);
    },function(error){
    	errorCallback(error);
    })
}



