var RONGYUN_SDK = "rongCloud2";
var DEBUG = false;
var INFO = false;
//BMOB ERROR CODE
var SMS_CODE_ERROR = 601;			//短信验证码错误
var WALLET_INSUFFICIENT_BALANCE = 602;		//钱包账户余额不足
var NO_WXPUB_OPENID = 606;			//没有找到绑定的微信公众号id

var TEMP_FILE_PATH = '/temp/';
var AVATAR_FILE_PATH = '/avatar/';

var TESTMODE = false;

//蜜钱支付比例
var SERVICE_FEE_RATE = 8; //服务费费率，单位 %

var consoledebug = (DEBUG)? console : new nodebug()
var consoleInfo = (INFO)? console : new nodebug()

var applicationID = (TESTMODE)? "570659dfc3efc028c78c7612b534cb14" : "d5937fb1e63144dcabcc4209f927939c";
var restApiKey = (TESTMODE)? "d57194e8bd128ab86089e6c566348f1f" : "71c6a14f78f41d7dc210a248ece8917c";
var bdAddress = (TESTMODE)? "xianrenqiu.duapp-preview.com" : "xianrenqiu.duapp.com";


function nodebug(){
}
nodebug.prototype.log = function(str){
}

function BmobFile(fileName, data){
	var file = new Bmob.File2(fileName, data);
	return file;
}
//隐藏  客服与蜜线任务IOS功能
//function hideSystemTask(){
//	if(api.systemType == "ios"){
////		$api.css($api.byId("systemHide"),"display:none");
//		$api.css($api.byId("systemHide1"),"display:none");
//	}
//}

  /**
   * 获取用户本地缓存信息数据
   *
   * @return {Object} 属性为: hhID: 用户ID; nickname: 用户昵称
   */
function getMyAccount(){
	var account = $api.getStorage('myAccount');
    consoledebug.log('getMyAccount ' + JSON.stringify(account));
	if(!account){
	}
	return account;
}

  /**
   * 获取用户本地缓存信息数据
   *
   * @param {Object} 属性为: hhID: 用户ID; nickname: 用户昵称
   */
function setMyAccount(account){
	var localAccount = $api.getStorage('myAccount');
	if(!localAccount){
		localAccount = {};
	}
	if(account.hasOwnProperty('hhID')){
		localAccount.hhID = Number(account.hhID);
	}
	if(account.hasOwnProperty('nickName')){
		localAccount.nickname = account.nickName;
        localAccount.nickName = account.nickName;
	}
	if(account.hasOwnProperty('nickname')){
		localAccount.nickname = account.nickname;
        localAccount.nickName = account.nickname;
	}
	if(account.hasOwnProperty('phoneNumber')){
		localAccount.phoneNumber = account.phoneNumber;
	}
	if(account.hasOwnProperty('userInfoId')){
		localAccount.userInfoId = account.userInfoId;
	}
	if(account.hasOwnProperty('partner')){
		localAccount.partner = account.partner;
	}
	if(account.hasOwnProperty('sex')){
		localAccount.sex = account.sex;
	}
	if(account.hasOwnProperty('password')){
		localAccount.userKey = account.password;
	}
    consoledebug.log('setMyAccount ' + JSON.stringify(localAccount));
	$api.setStorage('myAccount', localAccount);
}

function bmob2Obj(keys, bmobObj, obj){
    if(bmobObj && obj){
    	for(var i=0; i<keys.length; i++){
            if (bmobObj.get(keys[i]) != undefined) {
                obj[keys[i]] = bmobObj.get(keys[i]);
            }
    	}
	}
}

//function consoledebug.log(strLog) {
//	if(DEBUG){
//  	console.log(strLog);
//	}
//}
//
//function consoleInfo.log(strLog) {
//	if(INFO){
//  	console.log(strLog);
//	}
//}

function moneyCheck(value) {
	var exp = /^([1-9][\d]{0,7}|0)(\.[\d]{1,2})?$/;
	if (exp.test(value)) {
		return true;
	} else {
		return false;
	}
}

Array.prototype.indexOf = function(val) {
	for (var i = 0; i < this.length; i++) {
		if (this[i] == val)
			return i;
	}
	return -1;
};
Array.prototype.remove = function(val) {
	var index = this.indexOf(val);
	if (index > -1) {
		this.splice(index, 1);
	}
}; 

function savePhoneNum(phoneNum){
	var account = {};
	account.phoneNumber = phoneNum;
	setMyAccount(account);
	//$api.setStorage("curPhoneNum", phoneNum);
}

function getPhoneNum(){
	var account = $api.getStorage('myAccount');
    if (!account) return;
	return account.phoneNumber;
	//return $api.getStorage("curPhoneNum");
}

function clearTempFiles(callback){
	var fs = api.require('fs');
	fs.rmdir({
	    path: api.cacheDir + TEMP_FILE_PATH
	},function( ret, err ){        
		callback(err, ret);
	});
}

// 解决状态栏重合
function _fixStatusBar(headerid) {
    var header = $api.byId(headerid);
    // $api.fixStatusBar(header);
    $api.fixIos7Bar(header);
    var headerPos = $api.offset(header);
    return headerPos;
}
/*
 * 打开窗口
 * @param {string} winname          win名称（eg:"new_win"）
 * @param {string} winurl           win地址 (eg:"./html/")
 * @param {int}    animationtype    取值：0 none;1 push;2 movein;
 */
function winName(winname,item){
    if (item != '') {
        comOpenWin(winname, './',item, 0);
    }else{
        comOpenWin(winname, './','', 0);
    }
}
 function comOpenWin(winname, winurl, item, typeid){
    var animationtype=["none","push","movein"];
    if(typeid == 0){
        api.openWin({
            name: winname,
            url: winurl + winname +'.html',
            pageParam:{
                data:item
            },
            //reload : true
        });
    }else{
        api.openWin({
            name: winname,
            url: winurl + winname +'.html',
             animation:{
                type:animationtype[typeid],
                duration:400
            },
            pageParam:{
                data:item
            },
            delay:300,
            //reload : true
        });
    }

}
// 关闭窗口
function closeWin(name){
    api.closeWin({
        name:name
    })
}
function closeFrame(name){
    api.closeFrame({
        name: name
    });
}

/*
 *
 *  打开Frame
 * @param {string} framename        frame名称（eg:"main"）
 * @param {string} frameurl         Frame地址 (eg:"html/")
 * @param {bool} type               bounces页面是否弹动
 * @param {obj}  json item          pageParam页面之间传参数
 * @param {int} frameType           取值：0，有footer，1有footer,2有footer，header，3均无
 */
function comOpenFrame(framename, frameurl, type, item, frameType){
  var distance = 0;
    var headH,footH;
    var h = 'auto';
//  var body_h = $api.offset($api.dom('body')).h;
	var body_h = api.winHeight;
    if (frameType == 0) {//有header无footer
            var header = $api.byId('header');
            // $api.fixStatusBar(header);
            $api.fixIos7Bar(header);
            var headerPos = $api.offset(header)
        headH = headerPos.h;
        footH = 0;
        h =  body_h - headH -footH;
        consoleInfo.log("body_h " + body_h + " headH " + headH);
    }else if (frameType == 1) {//无header有footer
        headH = 0;
        var footer = $api.byId('footer')
        var footerPos = $api.offset(footer);
        footH = footerPos.h;
    }else if(frameType == 2){//均有
        var header = $api.byId('header');
//      $api.fixStatusBar(header);
        $api.fixIos7Bar(header);
        var headerPos = $api.offset(header)
        var footer = $api.byId('footer')
        var footerPos = $api.offset(footer);
        headH = headerPos.h;
        footH = footerPos.h;
        h =  body_h - headH -footH;
    }else{//均无
        headH = 0;
        footH = 0;
    }
    api.openFrame({
        name : framename,
        url : frameurl + framename + '.html',
        bounces : type,
        pageParam:{item:item},
        vScrollBarEnabled : false,
        rect : {x : 0,y : headH,w : 'auto',h :h},
        //reload : true
    });

}


//删除信息
 function delThisMessage(el,type){
    if (type=="myHelpHistory") {
        var height = 90;
    }else if (type=="message") {
        var height = 80;
    }else{
        var height = 50;
    }
    var loc=divCoordinate(el);
    var bubbleMenu = api.require('bubbleMenu');
    var arrayPath = [{title:'删除',length:70}];
    var styl = {titleColor:'#eee'}
    bubbleMenu.open({
        centerX:loc.middleX,
        centerY:loc.middleY + height,
        btnArray:arrayPath,
        style:styl
    },function(ret,err){
        if(ret.index == 0){
           el.parentNode.removeChild(el)
        }
    });

}
//获取li内的中心点
function divCoordinate(el){
    return {
    	'middleX':getScroll().left + el.offsetWidth / 2 ,
    	'middleY':el.offsetHeight / 2 + el.offsetTop -getScroll().top
    }
}
function getScroll(){
    return {
        top:document.documentElement.scrollTop || document.body.scrollTop,
        left:document.documentElement.scrollLeft || document.body.scrollLeft
    }
}


//测距离
function lonLat (lon, lat) {
    var bMap = api.require('bMap');
    bMap.getLocation({
        accuracy: '100m',
        autoStop: true,
        filter: 1
    }, function(ret, err){
        if(ret.status){
                    bMap.getDistance({
                        start: {
                            lon: ret.lon,
                            lat: ret.lat
                        },
                        end: {
                            lon: lon,
                            lat: lat
                        }
                    },function(ret){
                        if(ret.status){
                          window.distance = ret.distance;
                        }
                    });
        }else{

        }
    });
    return Math.round(window.distance)/1000;
}

  //进行经纬度转换为距离的计算

  function Rad(d){
      return d * Math.PI / 180.0;//经纬度转换成三角函数中度分表形式。
  }
  //计算距离，参数分别为第一点的纬度，经度；第二点的纬度，经度
  function GetDistance(lat1,lng1,lat2,lng2){

      var radLat1 = Rad(lat1);
      var radLat2 = Rad(lat2);
      var a = radLat1 - radLat2;
      var  b = Rad(lng1) - Rad(lng2);
      var s = 2 * Math.asin(Math.sqrt(Math.pow(Math.sin(a/2),2) +
                      Math.cos(radLat1)*Math.cos(radLat2)*Math.pow(Math.sin(b/2),2)));
      s = s *6378.137 ;// EARTH_RADIUS;
      s = Math.round(s * 10000) / 10000; //输出为公里
      //s=s.toFixed(4);
      return s;
  }

//根据hhID 返回任务图标的Url
function hhIdPhoto(classId){
	if(classId){
	    var classIdNum = parseInt(classId.toString());
	    for (var i = 0; i < taskId.length; i++) {
	        var tempId = parseInt(taskId[i].id);
	        if (classIdNum == tempId){
	            return taskId[i].pinyin;
	        }
	    }
    }
    return "other";
}


//根据Id 返回任务图标的picName
function hhIdName(classId){
    var classIdNum = parseInt(classId.toString());
    for (var i = 0; i < taskId.length; i++) {
        var tempId = parseInt(taskId[i].id);
        if (classIdNum == tempId){
            return taskId[i].picName;
        }
    }
    return "其他";
}
function trancClassName(classId){
    var classIdNum = parseInt(classId.toString());
    for (var i = 0; i < taskId.length; i++) {
        var tempId = parseInt(taskId[i].id);
        if (classIdNum == tempId){
            return taskId[i].picName;
        }
    }
    return "其他";
}
    //心形评价
function uiAppraisement(num){
  var appraisementHtml = '';
  switch (num){
    case 0:
      appraisementHtml = '<i class="hou2"></i><i class="hou2"></i><i class="hou2"></i><i class="hou2"></i><i class="hou2"></i>';
      break;
    case 0.5:
      appraisementHtml = '<i class="hou1"></i><i class="hou2"></i><i class="hou2"></i><i class="hou2"></i><i class="hou2"></i>';
      break;
      case 1:
      appraisementHtml = '<i class="hou"></i><i class="hou2"></i><i class="hou2"></i><i class="hou2"></i><i class="hou2"></i>';
      break;
    case 1.5:
      appraisementHtml = '<i class="hou"></i><i class="hou1"></i><i class="hou2"></i><i class="hou2"></i><i class="hou2"></i>';
      break;
    case 2:
      appraisementHtml = '<i class="hou"></i><i class="hou"></i><i class="hou2"></i><i class="hou2"></i><i class="hou2"></i>';
      break;
    case 2.5:
      appraisementHtml = '<i class="hou"></i><i class="hou"></i><i class="hou1"></i><i class="hou2"></i><i class="hou2"></i>';
      break;
    case 3:
      appraisementHtml = '<i class="hou"></i><i class="hou"></i><i class="hou"></i><i class="hou2"></i><i class="hou2"></i>';
      break;
    case 3.5:
      appraisementHtml = '<i class="hou"></i><i class="hou"></i><i class="hou"></i><i class="hou1"></i><i class="hou2"></i>';
      break;
    case 4:
      appraisementHtml = '<i class="hou"></i><i class="hou"></i><i class="hou"></i><i class="hou"></i><i class="hou2"></i>';
      break;
    case 4.5:
      appraisementHtml = '<i class="hou"></i><i class="hou"></i><i class="hou"></i><i class="hou"></i><i class="hou1"></i>';
      break;
    case 5:
      appraisementHtml = '<i class="hou"></i><i class="hou"></i><i class="hou"></i><i class="hou"></i><i class="hou"></i>';
      break;
    default:
      appraisementHtml = '<i class="hou2"></i><i class="hou2"></i><i class="hou2"></i><i class="hou2"></i><i class="hou2"></i>';
      break;
  }
  return appraisementHtml;
}    //星形评价
function uiAppStar(num){
  var appraisementHtml = '';
  switch (num){
    case 0:
      appraisementHtml = '<i class="start"></i><i class="start"></i><i class="start"></i>';
      break;
      case 1:
      appraisementHtml = '<i class="start successStart"></i><i class="start"></i><i class="start"></i>';
      break;
    case 2:
      appraisementHtml = '<i class="start successStart"></i><i class="start successStart"></i><i class="start"></i>';
      break;
    case 3:
      appraisementHtml = '<i class="start successStart"></i><i class="start successStart"></i><i class="start successStart"></i>';
      break;
    default:
        appraisementHtml = '<i class="start"></i><i class="start"></i><i class="start"></i>';
      break;
  }
  return appraisementHtml;
}
function uiAppSatisfied(num){
  var appraisementHtml = '';
  switch (num){
    case 0:
      appraisementHtml = '<i class="start"></i><i class="start"></i><i class="start"></i>';
      break;
      case 1:
      appraisementHtml = '<i class="start starthalf"></i><i class="start"></i><i class="start"></i>';
      break;
    case 2:
      appraisementHtml = '<i class="start successStart"></i><i class="start"></i><i class="start"></i>';
      break;
    case 3:
      appraisementHtml = '<i class="start successStart"></i><i class="start starthalf"></i><i class="start"></i>';
      break;
    case 4:
      appraisementHtml = '<i class="start successStart"></i><i class="start successStart"></i><i class="start"></i>';
      break;
    case 5:
      appraisementHtml = '<i class="start successStart"></i><i class="start successStart"></i><i class="start starthalf"></i>';
      break;
    case 6:
      appraisementHtml = '<i class="start successStart"></i><i class="start successStart"></i><i class="start successStart"></i>';
      break;
    default:
        appraisementHtml = '<i class="start"></i><i class="start"></i><i class="start"></i>';
      break;
  }
  return appraisementHtml;
}
//返回性别
function peopleSex(sex){
    if (sex == 0) {
        var sex1 = '男女不限';
    }else if (sex == 1) {
        var sex1 = '仅为男性'
    }else if (sex == 2) {
        var sex1 = '仅为女性'
    };
    return sex1;
}
//格式化时间
function getNowDate(){

    var myDate = new Date();
    var nowTime = myDate.getFullYear() + '-';
    nowTime += myDate.getMonth()+1 + '-';
    nowTime += myDate.getDate() +' ' ;
    nowTime += myDate.getHours() + ':';
    nowTime += myDate.getMinutes();
    return nowTime;
}


function photoCoverFill(url, callback) {
    consoledebug.log("avatarClip url is " + url);
    var canvas = document.createElement('CANVAS'), ctx = canvas.getContext('2d'), img = new Image;
    img.crossOrigin = 'Anonymous';
    img.onload = function() {
        consoledebug.log("avatarClip img.onload ");
        var dataURL;
        var shortLine;
        var xClip, yClip;
        if(img.width > img.height){
            shortLine = img.height;
            xClip = (img.width - img.height) / 2;
            yClip = 0;
        }else{
            shortLine = img.width;
            xClip = 0;
            yClip = (img.height - img.width) / 2;
        }
        
        canvas.height = shortLine;
        canvas.width = shortLine;
        ctx.drawImage(img, xClip, yClip, shortLine, shortLine, 0, 0, shortLine, shortLine);
        
        ctx.rect(0,0,shortLine,shortLine);
        //ctx.stroke();
        ctx.clip();
        
        dataURL = canvas.toDataURL("image/png");
        callback.call(this, dataURL);
        canvas = null;
    };
    img.src = url;
}

 //下滑刷新调用
    //contentId表示对其进行事件绑定，way==>x表示水平方向的操作，y表示竖直方向的操作
    function k_touch(contentId,way){
        var _start = 0,
            _end = 0,
            _content = document.getElementById(contentId);
        _content.addEventListener("touchstart",touchStart,false);
        _content.addEventListener("touchmove",touchMove,false);
        _content.addEventListener("touchend",touchEnd,false);
        function touchStart(event){

            var touch = event.targetTouches[0];
            if(way == "x"){
                _start = touch.pageX;
            }else{
                _start = touch.pageY;
            }
        }
        function touchMove(event){
            var touch = event.targetTouches[0];
            if(way == "x"){
                _end = (_start - touch.pageX);
                consoledebug.log(_end);
            }else{
                _end = (_start - touch.pageY);
                consoledebug.log(_end);
            }

        }
        function touchEnd(event){
            if(_end >0){
                consoledebug.log("左滑或上滑  "+_end);
                arcMenu.hide({id:1});
            }else{
                consoledebug.log("右滑或下滑"+_end);
                arcMenu.show({id:1});
            }
        }
    }

//图片处理
function DrawImage(el){
    var image=new Image();
    image.src=el.src;
    if(api.systemType == 'ios'){
    	image.width = el.offsetWidth;
    	image.height = el.offsetHeight;
    	consoledebug.log("el.offsetWidth el.offsetHeightare " + el.offsetWidth+" "+ el.offsetHeight);
    }
    if(image.width>0 && image.height>0){
        var pStyle = window.getComputedStyle(el.parentNode, null);
        var x = (image.width/image.height).toFixed(2);
        // consoledebug.log(x);
        if(image.width/image.height>= 1){
            if (image.width/image.height == 1) {
                el.style.top = 0;
                el.style.left = 0;
                el.width=parseInt(pStyle.width);
                el.height=parseInt(pStyle.height);
            }else{
                if(image.width>parseInt(pStyle.width)){
                    consoledebug.log(image.width+';'+image.height)
                    image.width = parseInt(pStyle.width)*x;
                    image.height = parseInt(pStyle.height) + parseInt(pStyle.height)/3;
                    el.style.top = -(parseInt(image.height)-parseInt(pStyle.height))/2+'px';
                    el.style.left = -(parseInt(image.width)-parseInt(pStyle.width))/2+'px';
                    el.width=image.width;
                    el.height=image.height;
                }else{
                    consoledebug.log(image.width/image.height);
                    consoledebug.log(parseInt(image.height)-parseInt(pStyle.height));
                    image.width = parseInt(pStyle.width)*x;
                    image.height = parseInt(pStyle.height);
                    el.style.top =  -(parseInt(image.height)-parseInt(pStyle.height))/2+'px';
                    el.style.left =  -(parseInt(image.width)-parseInt(pStyle.width))/2+'px';
                    el.width=image.width;
                    el.height=image.height;
                }
            }
        }else{
                if(image.width>parseInt(pStyle.width)){
                    image.width = parseInt(pStyle.width)/2+parseInt(pStyle.width);
                    image.height = parseInt(pStyle.height)+parseInt(pStyle.height);
                    el.style.top = -(parseInt(image.height)-parseInt(pStyle.height))/2+'px';
                    el.style.left = -(parseInt(image.width)-parseInt(pStyle.width))/2+'px';
                    el.width=image.width;
                    el.height=image.height;
                }else{
                    image.width = parseInt(pStyle.width)/2+parseInt(pStyle.width);
                    image.height = parseInt(pStyle.height)/2+parseInt(pStyle.height);
                    el.style.top = -(parseInt(image.height)-parseInt(pStyle.height))/2+'px';
                    el.style.left = -(parseInt(image.width)-parseInt(pStyle.width))/2+'px';
                    el.width=image.width;
                    el.height=image.height;

                }

            el.alt=image.width+"x"+image.height;
        }
    }
    consoledebug.log("image.width and image.height are " + image.width +" "+ image.height);
}



function baeAjaxRequest(url, method, bodyParam, callBack) {
    var common_url = 'https://'+ bdAddress +'/app/Owl/1/';
    api.ajax({
        url: common_url + url,
        method: method,
        headers: {
            "Content-type": "application/json;charset=UTF-8",
        },
        data: {
            body: bodyParam
        }
    }, function (ret, err) {
        consoledebug.log('sapotenAjaxRequest ret is : '+ JSON.stringify(ret));
        consoledebug.log('sapotenAjaxRequest err is : '+ JSON.stringify(err));
        callBack(ret, err);
    });
}

//转圈超时处理
var gProgressTag = 0;
function waitingForTimeout(parm,times){
	if(gProgressTag){
		clearTimeout(gProgressTag);
		gProgressTag = 0;
	}
	api.showProgress(parm);
	if(!times){
		var times = 15000;
	}
	gProgressTag = setTimeout(function(){
		if(gProgressTag){
			api.hideProgress();
			api.toast({
		        msg:'网络超时，请稍后重试'
	        });
	        gProgressTag = 0;
        }
	},times)
}

function clearWaitingForTimeout(){
	if(gProgressTag){
		clearTimeout(gProgressTag);
		gProgressTag = 0;
	}
	api.hideProgress();
}
