/**
 * Created by Administrator on 2015/10/12.
 */
//订单查询能查的最大值，超过此值，则重新查找
var MAX_Activity_LIST = 200;
//每次刷新订单时，新订单的数量
var SKIP_NUMBER = 5;

//参与活动者端订单状态
var HELPER_ACTIVE_CLOSE = 0;			//活动完成后关闭
var HELPER_ACTIVE_RUNNING = 1;			//活动完成中（预付）  	
var HELPER_ACTIVE_LOSE_SEAT = 2;		//未被选中为实际参与人通知（预支付）
var HELPER_ACTIVE_APPRAISING = 3;  		// 活动完成进行评价（预支付）
var HELPER_ACTIVE_COMPLETE = 4;			//活动完成通知
var HELPER_ACTIVE_AFTER_RUNNING = 11;		//3活动完成中 支付页（后支付）  

var HELPER_ACTIVE_COMPLAINT = 6;	//6投诉
var HELPER_ACTIVE_CANCEL = 7;		//7活动取消通知
var HELPER_ACTIVE_CREATED = -1; //预付活动报名创建，还未付款
var HELPER_ACTIVE_LOSE_SEAT_CLOSE = -2;	//未被选中而关闭
var HELPER_ACTIVE_CANCEL_CLOSE = -3;	//活动因取消而关闭

//发布活动者端订单状态
var ASKER_ACTIVE_CLOSE = 0;			//为关闭
var ASKER_ACTIVE_SELECT = 1;			//1为选择活动参与人
var ASKER_ACTIVE_AFTER_RUNNING = 2;		//2为后付资金结算
var ASKER_ACTIVE_RUNNING = 3;		//3为等待收款
var ASKER_ACTIVE_APPRAISING = 4;		//4为等待评价（预支付）
var ASKER_ACTIVE_COMPLETE = 5;		//5为已完成通知
//var ASKER_ACTIVE_QUIT = 6;			//6为活动发起人取消活动
var ASKER_ACTIVE_CANCEL_CLOSE = -2;         //为活动取消而关闭

//发布活动者的操作日志
var OPERATION_ASKER_ACTIVE_CLOSE = 0;
var OPERATION_ASKER_ACTIVE_SELECT = 1;			//发布人确定人选
var OPERATION_ASKER_ACTIVE_CANCEL1 = 2;        //活动没有开始时取消订单
var OPERATION_ASKER_ACTIVE_AFTER_SETTLE = 3		//发布人付费明细
var OPERATION_ASKER_ACTIVE_AFTER_COLLECTOR = 4	//所有参与人将钱付清
var OPERATION_ASKER_ACTIVE_APPRAISED = 5;		//发布人对参与人的评价
var OPERATION_ASKER_ACTIVE_COMPLETE_ALL = 6;	//最后活动完成


//参与活动者的操作日志
var OPERATION_HELPER_ACTIVE_CLOSE = 0;
var OPERATION_HELPER_ACTIVE_ENROLL1 = -1;		//活动参与者报名
var OPERATION_HELPER_ACTIVE_QUIT1 = -2;			//活动参与者在未被选择之前退出活动
var OPERATION_HELPER_ACTIVE_COMPLAINT = -3;		//活动参与者投诉（后支付）
var OPERATION_HELPER_ACTIVE_QUIT2 = -4;
var OPERATION_HELPER_ACTIVE_APPRAISED = -5;			//活动参与者评价（预支付）
var OPERATION_HELPER_ACTIVE_AFTER_APPRAISED = -6;			//活动参与者评价以及支付（后支付）
var OPERATION_HELPER_ACTIVE_TAKE_COMPLETE_ALL = -7;			//活动全部完成
var OPERATION_HELPER_ACTIVE_LOSE_SEAT_CONFIRM = -8;   //活动参与者未被选中

var NTFMSG_ACTIVITY_ENROLL = '报名了您的活动';     //报名的通知消息
var NTFMSG_ACTIVITY_CANCEL = '取消活动了';     //报名的通知消息
var NTFMSG_ACTIVITY_SELECT_PLAYER = '您成功参与了';
//var NTFMSG_ACTIVITY_NOSELECT_PLAYER = '您未能参与';
var NTFMSG_ACTIVITY_EVALUATE = '对您做了评价';
var NTFMSG_ACTIVITY_COMPLAIN = '举报了您';

var NTFMSG_ACTIVITY_AFTER_SETTLE = '进行了付费明细';
var NTFMSG_ACTIVITY_AFTER_APPRAISED = '进行了支付，并对活动进行了评价';
/**
 * 获取新的活动ID
 * @param successCallback
 * @param errorCallback
 * @constructor
 */
function NewActivityID(successCallback, errorCallback){

    var orderID;
    var SerialNum = Bmob.Object.extend("serialNum");
    var query = new Bmob.Query(SerialNum);
    query.equalTo("serialName", "orderID");
    query.find({

        success: function (results) {
            if (results.length == 0) {
                var query2 = new SerialNum();
                query2.set("serialName", "orderID");
                query2.set("serialMatrix", 100000);
                query2.fetchWhenSave(true);
                query2.save(null, function (groupID) {
                    // The save was successful.
                    orderID = 100000;
                    successCallback(orderID);
                }, function (error) {
                    // The save failed.  Error is an instance of Bmob.Error.
                    errorCallback(error);
                })
            }
            if (results.length != 0) {
                // 查询成功，调用get方法获取对应属性的值
                var serialNum = results [0];
				//consoledebug.log("NewOrderID serialNum is" + JSON.stringify(serialNum))
                serialNum.fetchWhenSave(true);
                serialNum.increment("serialMatrix");
                serialNum.save().then(function (groupID) {
                    // The save was successful.
                    consoledebug.log("NewOrderID serialNum is" + JSON.stringify(groupID))
                    orderID = parseInt(groupID.get("serialMatrix"));
                    successCallback(orderID);
                }, function (error) {
                    // The save failed.  Error is an instance of Bmob.Error.
                    errorCallback(error);
                });
            }
        },
        error: function (error) {
            //alert("查询失败: " + error.code + " " + error.message);
            //api.toast({msg: error.message, location: 'middle'});
            errorCallback(error);
        }
    });
}

/**
 * 添加一张技能图片
 * @param activityID
 * @param activityphoto
 * @param successCallback
 * @param errorCallback
 */
function insertActivityPhoto(activityID,activityphoto,successCallback, errorCallback){
	consoledebug.log("insertActivityPhoto start")
    var photo = "";
    if(activityphoto!="") {
        var data = activityphoto.split(',')[1];
        data = window.atob(data);
        var fileName = activityID + new Date().Format("yyyy-MM-dd-hh:mm:ss") + '.png';
        var file = BmobFile(fileName, data);
        file.save().then(function (obj) {
            photo = obj.url();
            successCallback(photo);
        }, function (error) {
            consoledebug.log("insertActivityPhoto error is"+JSON.stringify(error));
            errorCallback(error);
        });
    }
    else if(skillphoto == "") {
        successCallback(photo);
    }
}


function saveActivityPhoto(elImage, successCallback, errorCallback){
	var imagePath = $api.attr(elImage,'src');
	var hhID = getMyAccount().hhID;
	var imageExt = ".png";
	imgThumbnailCompress(imagePath, 448, 320, function(ThumbnailPath){
		photoClip(ThumbnailPath, 448, 320, function(dataurl){
	        var Ophoto = "", Tphoto = '';
	        var data = dataurl.split(',')[1];
	        data = window.atob(data);
	        var fileName = hhID + new Date().Format("-yy-MM-dd-hh:mm:ss.S") + imageExt;
	        var file = BmobFile(fileName, data);
	        file.save().then(function (obj) {
	            Tphoto = obj.url();
				consoledebug.log("saveActivityPhoto Tphoto is " + Tphoto)
				if(!Tphoto){
					file.save().then(function (obj) {
			            Tphoto = obj.url();
						consoledebug.log("saveActivityPhoto Tphoto is " + Tphoto);
						makeActiveOphoto(hhID, imagePath, Tphoto, imageExt, function(Ophoto, Tphoto){
							successCallback(Ophoto, Tphoto);
						}, function(error){
							errorCallback(error);
						})
			        }, function (error) {
			            // the save failed.
						consoledebug.log("saveActivityPhoto file save error is " + JSON.stringify(error))
			            errorCallback(error);
			        });
				}else{
					makeActiveOphoto(hhID, imagePath, Tphoto, imageExt, function(Ophoto, Tphoto){
						successCallback(Ophoto, Tphoto);
					}, function(error){
						errorCallback(error);
					})
				}
	        }, function (error) {
	            // the save failed.
				consoledebug.log("saveActivityPhoto file save error is " + JSON.stringify(error))
	            errorCallback(error);
	        });
		})
	})
}


function makeActiveOphoto(hhID, imagePath, Tphoto, imageExt, successCallback, errorCallback) {
	imgThumbnailCompress(imagePath, 400, 400, function(orgPath) {
		convertImgToBase64(orgPath, function(orgDataurl) {
			var data = orgDataurl.split(',')[1];
			data = window.atob(data);
			var fileName = hhID + new Date().Format("-yy-MM-dd-hh:mm:ss.S") + imageExt;
			var tfile = BmobFile(fileName, data);
			tfile.save().then(function(obj) {
				Ophoto = obj.url();
				consoledebug.log("saveActivityPhoto Ophoto is " + Ophoto)
				if(!Ophoto){
					tfile.save().then(function(obj) {
						Ophoto = obj.url();
						consoledebug.log("saveActivityPhoto Ophoto is " + Ophoto)
						successCallback(Ophoto, Tphoto);
					}, function(error) {
						consoledebug.log("saveActivityPhoto tfile save error is " + JSON.stringify(error))
						file.destroy();
						errorCallback(error);
					})
				}else{
					successCallback(Ophoto, Tphoto);
				}
			}, function(error) {
				consoledebug.log("saveActivityPhoto tfile save error is " + JSON.stringify(error))
				file.destroy();
				errorCallback(error);
			})
		});
	})
}


/**
 * 创建群
 * @param groupName 群名称
 * @param myhhID 自己的ID
 * @param {function} successCallback 成功获取朋友列表后回调函数，定义为 .
 *      successCallback(group); group 是 {Bmob.Object} 类型，群信息表记录
 * @param {function} errorCallback 操作失败后回调函数，定义为：
 *      errCallback(error); error is a class, {code: number, message:string}
 */
function activityCreateGroup(activityClassID, groupName, successCallback, errorCallback) {
    var myAcount = getMyAccount();
    if (myAcount) {
        //var groupName = myAcount.nickname + '的' + hhIdName(classID) + '求助群';
        var rong = api.require(RONGYUN_SDK);
        rong.createDiscussion({
            name : groupName,
            userIdList : ['0']
        }, function(ret, err) {
            consoledebug.log("orderCreateGroup is 2222 " + groupName + " " +JSON.stringify(ret) + " " +JSON.stringify(err));
            if (ret && ret.status == 'success') {
                var groupid = ret.result.discussionId;
                createGroupBySystem(groupName, groupid, function(group) {
                    consoledebug.log('建群结果：成功' + JSON.stringify(group));
                    //sendCreateGroupEvent();
                    successCallback(group);
                }, function(err) {
                    consoledebug.log('建群结果：error' + JSON.stringify(err));
                    api.toast({
						msg : "网络不好，请稍后再试",
						duration : 4000,
						location : 'middle'
					}); 
                    errorCallback(err);
                });
            } else {
                consoledebug.log('orderCreateGroup rong.createDiscussion：error' + JSON.stringify(err));
				api.toast({
					msg : "建群失败，请重新登陆再试",
					duration : 4000,
					location : 'middle'
				}); 
                errorCallback(err);
            }
        })
    }
}



/**
 * 新建活动
 * @param {object} activityInfo
 *      activityID	     Number           活动ID
 activityName	 String           活动标题
 ownerID 	     Number           创建人ID
 photo	         String           宣传图
 manPay	         Number           男生人均费用
 womanPay	     Number           女生人均费用
 payTime	         String           付款时间
 joinNum	         Number           参加人数
 joinSex	         String           参与人性别
 applyDeadline	 Date             报名截止时间
 beginTime	     Date             活动开始时间
 place	         String           活动地点
 selectMode	     String           候选人选择
 privacyMode	     String           隐私
 description	     String           活动描述
 state	         Number           活动状态
 activityType	 String           活动分类
 payFinal	     Number           实际总花费
 paynumFinal	     Number           实际付款人数
 activityGeo      String,          活动位置，数据类型为Geo，为活动地点坐标
 * @param {Bmob.Object} ownerRecord: 用户信息的 bmob 对象
 * @param {function} successCallback 成功则返回活动ID .
 * 		successCallback(activity.get(activityID));activity.get(activityID) 活动ID
 * @param {function} errorCallback 失败则返回错误信息
 * 		errCallback(error); error is a class, {code: number, message:string}
 */
function insertActivity(activityInfo,ownerRecord,successCallback, errorCallback) {
    NewActivityID(function (activityID) {
		consoledebug.log("NewActivityID activityID is " + activityID);
		var Activity = Bmob.Object.extend("Activity");
		var activity = new Activity();
		activity.set("activityID", activityID);
		activity.set("classID", activityInfo.classID);
		activity.set("activityName", activityInfo.activityName);
		activity.set("ownerID", activityInfo.ownerID);
		activity.set("photo", activityInfo.oPhoto);
		activity.set("oPhoto", activityInfo.oPhoto);
		activity.set("tPhoto", activityInfo.tPhoto);
		activity.set("manPay", activityInfo.manPay);
		activity.set("womanPay", activityInfo.womanPay);
		activity.set("payTime", activityInfo.payTime);
		activity.set("playerMin", activityInfo.playerMin);
		activity.set("playerMax", activityInfo.playerMax);
		activity.set("joinSex", activityInfo.joinSex);
		activity.set("applyDeadline", activityInfo.applyDeadlineTime);
		activity.set("beginTime", activityInfo.beginTime);
		activity.set("place", activityInfo.place);
		activity.set("classification", Number(activityInfo.classification));
		activity.set("selectMode", activityInfo.selectMode);
		activity.set("privacyMode", activityInfo.privacyMode);
		activity.set("description", activityInfo.description);
		activity.set("actualReceiveMoney", 0);
		activity.set("reportNum", 0);	//举报次数
		activity.set("voteTag", 0);
        activity.set("IsMerchant", activityInfo.IsMerchant);
        if(activityInfo.IsMerchant==1){
            activity.set("state", 15);
        }else{
            //主办人本活动实际收到的总金额
            if (activityInfo.payTime == 1) {//付款方式，1为预付，2为结束后付，3为线下付
                activity.set("state", ASKER_ACTIVE_SELECT);
            } else if (activityInfo.payTime == 2) {
                activity.set("state", ASKER_ACTIVE_AFTER_RUNNING);
            } else {
                activity.set("state", ASKER_ACTIVE_APPRAISING);
            }
        }
		
		activity.set("activityGeo", activityInfo.activityGeo);
		activity.set("ownerInfo", ownerRecord);
		activity.set("groupID", activityInfo.groupID);
		activity.set("group", activityInfo.group);
		consoledebug.log("insertActivityPhoto activity is " + JSON.stringify(activity));
		activity.save().then(function(activity) {
			consoledebug.log("insertActivityPhoto activity is " + JSON.stringify(activity));
			clearTempFiles(function(){});
			successCallback(activity);
		}, function(error) {
			clearTempFiles(function(){});
			errorCallback(error);
		}); 
    }, function (error) {
        // the save failed.
        clearTempFiles(function(){});
        errorCallback(error);
    });
}

//创建活动和活动群
function creatMyActivity(activityInfo,ownerRecord,successCallback, errorCallback){
	activityCreateGroup(activityClassID, groupName, function(group){
		activityInfo.group = group;
        activityInfo.groupID = group.get('rongyunID');
        insertActivity(activityInfo,ownerRecord,function(activity){
        	successCallback(activity);
        }, function(error){
        	errorCallback(error);
        })
	}, function(error){
		errorCallback(error);
	})
}

function creatGroupActivity(activityInfo, ownerRecord, groupID, successCallback, errorCallback){
    consoledebug.log("creatGroupActivity groupID is " + groupID);
	getGroupInfo(groupID, function(group){
		activityInfo.group = group;
        activityInfo.groupID = group.get('rongyunID');
    	consoledebug.log("creatGroupActivity group is " + JSON.stringify(group));
        insertActivity(activityInfo,ownerRecord,function(activity){
        	successCallback(activity);
        }, function(error){
        	errorCallback(error);
        })
	}, function(error){
		errorCallback(error);
	})
}

/**
 * 我的活动
 * @param ownerID
 * @param successCallback
 * @param errorCallback
 */
function findActivityCreate(ownerID,successCallback, errorCallback) {
    var Activity = Bmob.Object.extend("Activity");
    var query = new Bmob.Query(Activity);
    query.equalTo("ownerID",ownerID);
    query.select("activityID","classID","activityName","photo","manPay","womanPay","payTime","joinNum","place","beginTime","applyDeadline","state","ownerID");
    query.find({
        success:function(activity){
            if(activity.length > 0){
                successCallback(activity);
            }else{
                var error = {};
                error.code = 888;
                error.message = 'length is 0';
                errorCallback(error);
            }
        },
        error: function (error) {
            errorCallback(error);
        }
    });

}

/**
 * 生成活动首页的查询条件
 * 查询方式为：先查3公里内的求助信息，以订单发布时间排序，后续再按照2公里范围向外扩张，每个区域内订单仍按订单发布时间排序。
 * 距离最大扩张到50公里。查询是分页查询，每次更新 SKIP_NUMBER 个数据
 * @param myHhID 是 {string} 类，查询人的 hhID
 * @param condition 是 {js.Object} 类，通过 condition.get(key) 可获取值，
 * 		可用的 key 有“activityType","geo"
 * @param {Bmob.Query} query 查询条件.
 */
function makeActivityQuery(myHhID, condition){
	consoledebug.log('makeActivityQuery condition is '+ JSON.stringify(condition));
    var ActivityEnroll = Bmob.Object.extend("ActivityEnroll");
    var activityEnroll = new Bmob.Query(ActivityEnroll);
    activityEnroll.equalTo("ownerID",myHhID);
    activityEnroll.greaterThanOrEqualTo("state",HELPER_ACTIVE_RUNNING);
    
    var UserInfo = Bmob.Object.extend("UserInfo");
    var userInfo = new Bmob.Query(UserInfo);
    
    //报名时间选择
    var Activity = Bmob.Object.extend("Activity");
    var applyDeadlineQuery1 = new Bmob.Query(Activity);
	applyDeadlineQuery1.equalTo("applyDeadline", "0");
	var applyDeadlineQuery2 = new Bmob.Query(Activity);
    var nowTime = (new Date()).getTime() + '';
	applyDeadlineQuery2.greaterThanOrEqualTo("applyDeadline", nowTime);
	var applyDeadlineQuery3 = Bmob.Query.or(applyDeadlineQuery1, applyDeadlineQuery2);
	
	//获取状态为1或2的活动
	var Activity = Bmob.Object.extend("Activity");
    var stateQuery1 = new Bmob.Query(Activity);
	stateQuery1.equalTo("state", 1);
	var stateQuery2 = new Bmob.Query(Activity);
	stateQuery2.equalTo("state", 2);
    var stateQuery3 = new Bmob.Query(Activity);
    stateQuery3.equalTo("state", 15);
	var query = Bmob.Query.or(stateQuery1, stateQuery2, stateQuery3);
	query.matchesKeyInQuery("activityID", "activityID", applyDeadlineQuery3)
	
    if(condition.hasOwnProperty('geo')){
        query.withinKilometers("activityGeo", condition.geo, gActivityZone);
    }
//  query.equalTo("state", 1);  //只需要报名中的订单
    query.equalTo("privacyMode", true);  //根据隐私设置来显示    （所有人可见：true 与  特定人可见或群成员可见：false）
    query.equalTo("classification", Number(condition.classification));
    query.limit(SKIP_NUMBER);
    query.lessThanOrEqualTo("reportNum",3);
    query.descending("createdAt");
    query.notEqualTo("ownerID", myHhID);
    query.doesNotMatchKeyInQuery("activityID", "activityID", activityEnroll);
    return query;
}


var gActivityListQuery;
var gActivityZone=3;
var gQueryerHhID;
var gCondition;
var gAcitvityAmount = 0;
function GetActivityList(myHhID, condition, successCallback, errorCallback){
	consoledebug.log('makeActivityQuery condition is '+ JSON.stringify(condition));
    gQueryerHhID = myHhID;
    gCondition = condition;
    var query = makeActivityQuery(myHhID, condition);
    gActivityListQuery = query;
    gActivitySkipNum = 0;
    query.include("ownerInfo");
    query.find({
        success: function (results) {
        	consoledebug.log('GetActivityList results is '+ JSON.stringify(results));
            gAcitvityAmount = results.length;
        	//successCallback(results);		//多次回调会引起ui 点击事件不正常问题，以后再解决
            if(results.length >= SKIP_NUMBER) {
                gActivitySkipNum = results.length;
                successCallback(results);
            }else{
                //GetActivityListNext([], successCallback, errorCallback);
                GetActivityListNext(results, successCallback, errorCallback);
            }
        },
        error: function (error) {
            errorCallback(error);
        }
    });
}


/**
 * 获取求助列表的下一页，GetActivityList 方法配套使用
 * @param foundOrders 是 {Bmob.Object[]} 类数组，包含了上一步已经查找到的数据，但是数量不够，需要继续查找数据补充
 */
var gActivitySkipNum = 0;
function GetActivityListNext(foundOrders, successCallback, errorCallback){
    var myError = {};
    if(gActivityListQuery){
        if(gActivitySkipNum == 0){
            if(gActivityZone < 80 && gCondition.geo){
				consoledebug.log('GetActivityListNext gActivitySkipNum is '+ gActivitySkipNum + " find next gActivityZone " + gActivityZone);
                var Activity = Bmob.Object.extend("Activity");
                var oldQuery = new Bmob.Query(Activity);
                oldQuery.withinKilometers("activityGeo", gCondition.geo, gActivityZone);
                gActivityZone += 3;
                newQuery = makeActivityQuery(gQueryerHhID, gCondition);
                newQuery.doesNotMatchKeyInQuery("activityID", "activityID", oldQuery);
                gActivityListQuery = newQuery;
            }else{
				consoledebug.log('GetActivityListNext cannot found more. gActivitySkipNum is '+ gActivitySkipNum + " gActivityZone " + gActivityZone);
                if(foundOrders.length > 0){
                    successCallback(foundOrders);
                }else{
                    myError.code = 888;
                    myError.message = "No more record";
                    errorCallback(myError);
                }
                return;
            }
        }else if(gAcitvityAmount < MAX_Activity_LIST){
			consoledebug.log('GetActivityListNext skip gActivitySkipNum is '+ gActivitySkipNum + " gActivityZone " + gActivityZone);
            gActivityListQuery.skip(gActivitySkipNum);
        }else{
            myError.code = 888;
            myError.message = "No more record";
            errorCallback(myError);
            return;
        }
    	gActivityListQuery.include("ownerInfo");	//每次重新find 时都需要再设置此值
        gActivityListQuery.find().then(function(helpList){
        	gAcitvityAmount += helpList.length;
            if(helpList.length + foundOrders.length < SKIP_NUMBER ) {
                foundOrders = foundOrders.concat(helpList);
                gActivitySkipNum = 0;
                GetActivityListNext(foundOrders, successCallback, errorCallback);
            }else{
                gActivitySkipNum += helpList.length;
                foundOrders = foundOrders.concat(helpList);
                successCallback(foundOrders);
            }
        },errorCallback);
    }else{
    	errorCallback(myError);
    }
}




/*
 * 根据搜索关键字获得活动列表
 */

var SEARCH_ACTIVE_SKIP_NUMBER = 5;
var gSearchActiveSkipNum = 0;
var gSearchActiveQuery;
var gSearchActiveMark = [];
var gSearchActiveCondition;
function searchActivityList(condition,successCallback,errorCallback){
	consoledebug.log("condition is " + JSON.stringify(condition))
	
	gSearchActiveCondition = condition;
	
    var searchActiveQuery = makeSearchActivityQuery(condition);
    gSearchActiveSkipNum = 0;
    gSearchActiveQuery = searchActiveQuery;
    
    searchActiveQuery.find({
        success: function (activityInfo) {
            if(activityInfo.length >= SEARCH_ACTIVE_SKIP_NUMBER){
            	gSearchActiveSkipNum += activityInfo.length;
            	consoledebug.log("searchActivityList gSearchActiveSkipNum is " + gSearchActiveSkipNum);
                successCallback(activityInfo);
            }else{
                searchActivityListNext(activityInfo,successCallback, errorCallback);
            }
        },
        error: function (error) {
            errorCallback(error);
        }
    });
}

function makeSearchActivityQuery(condition){
	consoledebug.log("makeSearchActivityQuery condition is " + JSON.stringify(condition));
	var myHhID = getMyAccount().hhID;
	
	var ActivityEnroll = Bmob.Object.extend("ActivityEnroll");
    var activityEnroll = new Bmob.Query(ActivityEnroll);
    activityEnroll.equalTo("ownerID",myHhID);
    activityEnroll.greaterThanOrEqualTo("state",HELPER_ACTIVE_RUNNING);
    
    //报名时间选择
    var Activity = Bmob.Object.extend("Activity");
    var applyDeadlineQuery1 = new Bmob.Query(Activity);
	applyDeadlineQuery1.equalTo("applyDeadline", "0");
	var applyDeadlineQuery2 = new Bmob.Query(Activity);
    var nowTime = (new Date()).getTime() + '';
	applyDeadlineQuery2.greaterThanOrEqualTo("applyDeadline", nowTime);
	var applyDeadlineQuery3 = Bmob.Query.or(applyDeadlineQuery1, applyDeadlineQuery2);
	
	//获取状态为1或2的活动
	var Activity = Bmob.Object.extend("Activity");
    var stateQuery1 = new Bmob.Query(Activity);
	stateQuery1.equalTo("state", 1);
	var stateQuery2 = new Bmob.Query(Activity);
	stateQuery2.equalTo("state", 2);
    var stateQuery3 = new Bmob.Query(Activity);
    stateQuery3.equalTo("state", 15);
	var query = Bmob.Query.or(stateQuery1, stateQuery2, stateQuery3);
	query.matchesKeyInQuery("activityID", "activityID", applyDeadlineQuery3)
//  if(condition.hasOwnProperty('geo')){
//      query.withinKilometers("activityGeo", condition.geo, gActivityZone);
//  }
	var Activity = Bmob.Object.extend("Activity");
    var query1 = new Bmob.Query(Activity);
    if(condition.hasOwnProperty('activityName')){
        query1.contains("activityName",condition.activityName);
    }
    var Activity = Bmob.Object.extend("Activity");
    var query2 = new Bmob.Query(Activity);
    if(condition.hasOwnProperty('description')){
        query2.contains("description",condition.description);
    }
    var query3 = Bmob.Query.or(query1, query2);
    query.matchesKeyInQuery("activityID", "activityID", query3);

    query.equalTo("privacyMode", true);  //根据隐私设置来显示    （所有人可见：true 与  特定人可见或群成员可见：false）
    query.limit(SEARCH_ACTIVE_SKIP_NUMBER);
    query.lessThanOrEqualTo("reportNum",3);
    query.descending("createdAt");
    query.notEqualTo("ownerID", myHhID);
    query.doesNotMatchKeyInQuery("activityID", "activityID", activityEnroll);
    return query;
}




function searchActivityListNext(foundOrders,successCallback, errorCallback){
	consoledebug.log("searchShowSkillList gSearchActiveSkipNum is " + gSearchActiveSkipNum);
	var myError = {};
	if (gSearchActiveSkipNum == 0) {
		myError.code = 888;
		myError.message = "No more record";
		errorCallback(myError);
		return;
	} else if (gSearchActiveSkipNum < MAX_Activity_LIST) {
		gSearchActiveQuery.skip(gSearchActiveSkipNum);
	} else {
		myError.code = 888;
		myError.message = "No more record";
		errorCallback(myError);
		return;
	}
	gSearchActiveQuery.find().then(function(activityInfo) {
		consoledebug.log("searchActivityListNext activityInfo is " + JSON.stringify(activityInfo));
		gSearchActiveSkipNum += activityInfo.length;
		foundOrders = foundOrders.concat(activityInfo);
		successCallback(foundOrders);
	}, errorCallback);
}









//获取某一活动信息
function GetOneActivityInfo(activityID, successCallback, errorCallback){
	var Activity = Bmob.Object.extend("Activity");
    var query = new Bmob.Query(Activity);
    query.include("ownerInfo");
    query.include("activityEnroll");
    query.include("group");
    query.equalTo("activityID", activityID);
    query.find({
        success: function (results) {
        	successCallback(results)
        },
        error: function (error) {
            errorCallback(error);
        }
    });
}
//获取活动列表
function getInviteActivityOrders(hhID,successCallback, errorCallback){
    var Activity = Bmob.Object.extend("Activity");
    var stateQuery1 = new Bmob.Query(Activity);
	stateQuery1.equalTo("state", 1);
	var stateQuery2 = new Bmob.Query(Activity);
	stateQuery2.equalTo("state", 2);
	var query = Bmob.Query.or(stateQuery1, stateQuery2);
	query.equalTo("ownerID", hhID);
    query.select("activityID","activityName","classID","manPay","womanPay","playerMax","joinSex","beginTime","place","description","tPhoto","state")
    query.descending("createdAt");
//  query.equalTo("privacyMode", true);
    query.find({
        success: function (results) {
            successCallback(results);
        },
        error: function (error) {
            errorCallback(error);
        }
    });
}

/**
 * 我发布的活动历史
 * @param ownerID
 * @param {function} successCallback 成功获取朋友列表后回调函数，定义为 .
 * 		successCallback(results); results 是 {Bmob.Object} 对象数组，通过 results[x].get(key) 可获取值，
 * 		可用的 key 有 "orderID","orderName","payment","helperNum","helperSex","applyDeadline","place","description",
 * 		"photo","state"
 * @param {function} errorCallback 操作失败后回调函数，定义为：
 * 		errCallback(error); error is a class, {code: number, message:string}
 * @constructor
 */
function getHistrotyActivityOwnList(ownerID,successCallback, errorCallback){
    var Activity = Bmob.Object.extend("Activity");
    var query = new Bmob.Query(Activity);
	query.lessThanOrEqualTo("state",ASKER_ACTIVE_CLOSE);
    query.equalTo("ownerID",parseInt(ownerID));
    query.descending("createdAt");
    query.select("activityID","activityName","classID","manPay","womanPay","playerMax","joinSex","beginTime","place","description","tPhoto","state")
    query.find({
        success: function (results) {
            successCallback(results);
        },
        error: function (error) {
            errorCallback(error);
        }
    });
}


/**
 * 我参与的活动历史
 * @param ownerID
 * @param {function} successCallback 成功获取朋友列表后回调函数，"
 * @param {function} errorCallback 操作失败后回调函数，定义为：
 * 		errCallback(error); error is a class, {code: number, message:string}
 * @constructor
 */
function getHistrotyAttendActivityList(ownerID,successCallback, errorCallback){
	var Activity = Bmob.Object.extend("Activity");
    var query = new Bmob.Query(Activity);
    
    var ActivityEnroll = Bmob.Object.extend("ActivityEnroll");
    var query2 = new Bmob.Query(ActivityEnroll);
    var stateQuery1 = new Bmob.Query(ActivityEnroll);
	stateQuery1.lessThanOrEqualTo("state",HELPER_ACTIVE_LOSE_SEAT_CLOSE);
	var stateQuery2 = new Bmob.Query(ActivityEnroll);
	stateQuery2.equalTo("state",HELPER_ACTIVE_CLOSE);
	query2 = Bmob.Query.or(stateQuery1, stateQuery2);
    query2.equalTo("ownerID",parseInt(ownerID));
    query2.descending("createdAt");
    
    query.matchesKeyInQuery("activityID", "activityID", query2);
    query.select("activityID","activityName","classID","manPay","womanPay","playerMax","joinSex","beginTime","place","description","tPhoto","state");
    query.find({
        success: function (results) {
            successCallback(results);
        },
        error: function (error) {
            errorCallback(error);
        }
    });
}
function getHistrotyAttendActivityState(ownerID,successCallback, errorCallback){
	var ActivityEnroll = Bmob.Object.extend("ActivityEnroll");
    var query = new Bmob.Query(ActivityEnroll);
    var stateQuery1 = new Bmob.Query(ActivityEnroll);
	stateQuery1.lessThanOrEqualTo("state",HELPER_ACTIVE_LOSE_SEAT_CLOSE);
	var stateQuery2 = new Bmob.Query(ActivityEnroll);
	stateQuery2.equalTo("state",HELPER_ACTIVE_CLOSE);
	query = Bmob.Query.or(stateQuery1, stateQuery2);
	query.equalTo("ownerID",parseInt(ownerID));
    query.descending("createdAt");
    query.select("activityID","state");
    query.find({
        success: function (results) {
            successCallback(results);
        },
        error: function (error) {
            errorCallback(error);
        }
    });
}


/**
 * 活动报名
 * @param activityID
 * @param ownerID
 * @param pay
 * @param successCallback
 * @param errorCallback
 */
function HandleActivityEnroll(activityRecord, activityID, ownerID, payAmount, successCallback, errorCallback){
	checkActivityEnroll(activityRecord, activityID, ownerID, payAmount, successCallback, function(){
		insertActivityEnroll(activityRecord, activityID, ownerID, payAmount, successCallback, errorCallback);
	}, errorCallback)
}

function checkActivityEnroll(activityRecord, activityID, ownerID, payAmount, enrolledCallback, notEnrollCallback, errorCallback) {
	var ActivityEnroll = Bmob.Object.extend("ActivityEnroll");
	var helpEnroll = new Bmob.Query(ActivityEnroll);
	helpEnroll.equalTo("activityID", activityID);
	helpEnroll.equalTo("ownerID", ownerID);
	helpEnroll.find().then(function(results) {
		if (results.length > 0) {
			if (results[0].get("state") < 0) {
				if (activityRecord.get("payTime") == 1) {
					results[0].set("state", HELPER_ACTIVE_CREATED);
					results[0].set("personalPay", payAmount);
				} else {
					results[0].set("state", HELPER_ACTIVE_RUNNING);
				}
				results[0].set("isPaied", 0);
				results[0].save().then(enrolledCallback, errorCallback)
			} else {
				enrolledCallback(results[0]);
			}
		} else {
			notEnrollCallback();
		}
	}, function(error) {
		consoledebug.log("insertActivityEnroll find error is " + JSON.stringify(error));
		error.code = 888;
		error.message = error;
		errorCallback(error);
	});
}


//function insertActivityEnroll(activityRecord,activityID,ownerID,pay,successCallback, errorCallback){
    function insertActivityEnroll(activityRecord, activityID, ownerID, payAmount, successCallback, errorCallback) {
        var ActivityEnroll = Bmob.Object.extend("ActivityEnroll");
        var activityEnroll = new ActivityEnroll();
        activityEnroll.fetchWhenSave(true);
        activityEnroll.set("activityID", activityID);
        activityEnroll.set("ownerID", ownerID);
        if (activityRecord.get("payTime") == 1) {
            activityEnroll.set("state", HELPER_ACTIVE_CREATED);
            activityEnroll.set("personalPay", payAmount);
        } else {
            activityEnroll.set("state", HELPER_ACTIVE_RUNNING);
        }
        activityEnroll.set("isPaied", 0);
        activityEnroll.set("activity", activityRecord);
        activityEnroll.save().then(function(activityEnroll) {
            consoledebug.log("insertActivityEnroll activityEnroll is " + JSON.stringify(activityEnroll));
            var relation = activityRecord.relation('activityEnroll');
            relation.add(activityEnroll);
            activityRecord.save().then(function() {
                successCallback(activityEnroll)
            }, function(error) {
                errorCallback(error)
            })
        }, function(error) {
            consoledebug.log("insertActivityEnroll error is " + JSON.stringify(error));
            if (error.code == 401) {//重复插入记录，已经报过名了，已经有了记录
                var helpEnroll = new Bmob.Query(ActivityEnroll);
                helpEnroll.equalTo("activityID", activityID);
                helpEnroll.equalTo("ownerID", ownerID);
                helpEnroll.find().then(function(results) {
                    if (results.length > 0) {
                        if (results[0].get("state") < 0) {
                            if (activityRecord.get("payTime") == 1) {
                                results[0].set("state", HELPER_ACTIVE_CREATED);
                                results[0].set("personalPay", payAmount);
                            } else {
                                results[0].set("state", HELPER_ACTIVE_RUNNING);
                            }
                            results[0].set("isPaied", 0);
                            results[0].save().then(successCallback, errorCallback)
                        } else {
                            successCallback(results[0]);
                        }
                    } else {
                        error.code = 888;
                        error.message = "has been enrolled";
                        errorCallback(error);
                    }
                }, function(error) {
                    consoledebug.log("insertActivityEnroll find error is " + JSON.stringify(error));
                    error.code = 888;
                    error.message = "has been enrolled";
                    errorCallback(error);
                });
            } else {
                errorCallback(error);
            }
        })
    }

/**
 * 与我有关的进行中列表,注意，查出来的是订单表，如果自己是帮助人，订单表中的state 并不是自己的state。需要重新获取
 * @param hhID
 * @param {function} successCallback 成功获取朋友列表后回调函数，定义为 .
 * 		successCallback(results); results 是 {Bmob.Object} 对象数组，通过 results[x].get(key) 可获取值，
 * 		可用的 key 有 "orderID","orderName","payment","helperNum","helperSex","applyDeadline","place","description",
 * 		"photo","state"
 * @param {function} errorCallback 操作失败后回调函数，定义为：
 * 		errCallback(error); error is a class, {code: number, message:string}
 * @constructor
 */
function GetRunningActivity(hhID,successCallback, errorCallback){
    var ActivityEnroll = Bmob.Object.extend("ActivityEnroll");
    var ActivityEnroll = new Bmob.Query(ActivityEnroll);
    ActivityEnroll.greaterThan("state", 0); //-1 为未选中关闭，0为关闭，1为等待选帮助人、2帮助进行中、3等待验收、4结算处理，5完成通知，6未被选中通知、7帮助取消通知
    ActivityEnroll.equalTo("ownerID", hhID);
    var Activity = Bmob.Object.extend("Activity");
    var Activity = new Bmob.Query(Activity);
    Activity.matchesKeyInQuery("activityID", "activityID", ActivityEnroll);

    var Activity2 = Bmob.Object.extend("Activity");
    var Activity2 = new Bmob.Query(Activity2);
    Activity2.equalTo("ownerID", hhID);
    Activity2.greaterThan("state", 0); //0为关闭，1为等待选帮助人、2帮助进行中、3等待验收、4结算处理，5完成通知，6未被选中通知、7帮助取消通知

    var mainQuery = Bmob.Query.or(Activity, Activity2);
    mainQuery.select("activityID","classID","activityName","photo","manPay","womanPay","payTime","joinNum","place","beginTime","applyDeadline","state","ownerID","IsMerchant","merchant_state");
    mainQuery.descending("updatedAt");
    mainQuery.find({
        success: function (results) {
            successCallback(results);
        },
        error: function (error) {
            errorCallback(error);
        }
    });
}

function getNewRunningActivity(hhID, lastUpdateTime){
	var lastDate;
	if(lastUpdateTime){
		lastDate = new Date(lastUpdateTime.replace(new RegExp("-","gm"),"/"));
	}
	var promise = new Bmob.Promise();
	
    var ActivityEnroll = Bmob.Object.extend("ActivityEnroll");
    var ActivityEnroll = new Bmob.Query(ActivityEnroll);
    ActivityEnroll.greaterThan("state", 0); //-1 为未选中关闭，0为关闭，1为等待选帮助人、2帮助进行中、3等待验收、4结算处理，5完成通知，6未被选中通知、7帮助取消通知
    ActivityEnroll.equalTo("ownerID", hhID);
    if(lastDate){
	    ActivityEnroll.greaterThan("updatedAt", lastDate);
    }
    var Activity = Bmob.Object.extend("Activity");
    var activity = new Bmob.Query(Activity);
    activity.matchesKeyInQuery("activityID", "activityID", ActivityEnroll);
    

    var Activity3 = Bmob.Object.extend("Activity");
    var activity3 = new Bmob.Query(Activity3);
    activity3.matchesKeyInQuery("activityID", "activityID", ActivityEnroll);
    if(lastDate){
	    activity3.greaterThan("updatedAt", lastDate);
    }

    var Activity2 = Bmob.Object.extend("Activity");
    var activity2 = new Bmob.Query(Activity2);
    activity2.equalTo("ownerID", hhID);
    activity2.greaterThan("state", 0); //0为关闭，1为等待选帮助人、2帮助进行中、3等待验收、4结算处理，5完成通知，6未被选中通知、7帮助取消通知
    if(lastDate){
	    activity2.greaterThan("updatedAt", lastDate);
    }

    var mainQuery = Bmob.Query.or(activity, activity2, activity3);
    mainQuery.select("activityID","classID","activityName","photo","manPay","womanPay","payTime","joinNum","place","beginTime","applyDeadline","state","ownerID","IsMerchant","merchant_state");
    mainQuery.descending("updatedAt");
    mainQuery.find({
        success: function (results) {
        	promise.resolve(results);
        },
        error: function (error) {
        	promise.reject(error);
        }
    });
    
    return promise;
}

function GetActivityOrdersState(hhID, orderContained, successCallback, errorCallback){
    consoledebug.log("GetActivityOrdersState orderContained is " + JSON.stringify(orderContained));
    var ActivityEnroll = Bmob.Object.extend("ActivityEnroll");
    var query = new Bmob.Query(ActivityEnroll);
    query.equalTo("ownerID",parseInt(hhID));
    //query.notEqualTo("state",HELPER_ACTIVE_CANCEL);
    query.select("activityID", "ownerID", "state");
    if(orderContained.length > 0){
        query.containedIn("activityID", orderContained);
    }
    query.descending("updatedAt");
    query.find().then(function(orders){
        if(orders.length > 0){
            successCallback(orders);
        }else{
            var error = {
               code : 888,
               massage: 'length is 0 '
            }
            errorCallback(error);
        }
    }, errorCallback);
}


function GetAskerActiveOrderState(orderID, successCallback, errorCallback) {
    var Activity = Bmob.Object.extend("Activity");
    var query = new Bmob.Query(Activity);
    query.equalTo("activityID",orderID);
    query.select("state");
    query.find().then(function(orders){
    	consoledebug.log("GetAskerActiveOrderState orders is " + JSON.stringify(orders));
        if(orders.length > 0){
            successCallback(orders[0].get('state'));
        }else{
            var error = {
               code : 888,
               massage: 'length is 0 '
            }
            errorCallback(error);
        }
    }, function(error){
    	errorCallback
    });
}
function GetHelperActiveOrderState(orderID, successCallback, errorCallback) {
	consoledebug.log(orderID)
    var ActivityEnroll = Bmob.Object.extend("ActivityEnroll");
    var query = new Bmob.Query(ActivityEnroll);
    query.equalTo("activityID",orderID);
    query.equalTo("ownerID",getMyAccount().hhID);
    query.select("state");
    query.find().then(function(orders){
        if(orders.length > 0){
            successCallback(orders[0].get('state'));
        }else{
            var error = {
               code : 888,
               massage: 'length is 0 '
            }
            errorCallback(error);
        }
    }, function(error){
    	 errorCallback;
    });
}


/**
 * 修改报名人状态
 * @param activityID
 * @param ownerID
 * @param state
 * @param successCallback
 * @param errorCallback
 */
function updateActivityEnrollState(activityID,ownerID,state,successCallback, errorCallback){
    var ActivityEnroll = Bmob.Object.extend("ActivityEnroll");
    var query = new Bmob.Query(ActivityEnroll);
    query.equalTo("activityID",activityID);
    query.equalTo("ownerID",ownerID);
    query.find().then(function(results) {
        // Collect one promise for each delete into an array.
        var promises = [];
        _.each(results, function(result) {
            // Start this delete immediately and add its promise to the list.
            result.set("state", state);
            promises.push(result.save());
        });
        // Return a new promise that is resolved when all of the deletes are finished.
        return Bmob.Promise.when(promises);

    }).then(function() {
        // Every comment was deleted.
    });

}
/*
 报名人被选中，修改报名人状态
 */
function selectedActivityEnroll(activityID,ownerID,successCallback, errorCallback){
    updateActivityEnrollState(activityID,ownerID,2,successCallback, errorCallback);
}
/*
 报名人未被选中，修改报名人状态
 */
function unselectedActivityEnroll(activityID,ownerID,successCallback, errorCallback){
    updateActivityEnrollState(activityID,ownerID,3,successCallback, errorCallback);
}
/*
 报名人付款中，修改报名人状态
 */
function payingActivityEnroll(activityID,ownerID,successCallback, errorCallback){
    updateActivityEnrollState(activityID,ownerID,4,successCallback, errorCallback);
}
/*
 报名人付款完毕，修改报名人状态
 */
function payendActivityEnroll(activityID,ownerID,successCallback, errorCallback){
    updateActivityEnrollState(activityID,ownerID,5,successCallback, errorCallback);
}

//活动发布者取消活动
function deleteActivityCacheOrder(activeRecord, activityID, state, successCallback,errorCallback){
	consoledebug.log("deleteActivityCacheOrder is start");
	deleteCacheOrder(activityID, 1, function(){
        freashRunningOrderCall();
        var msg = {
            orderID : activeRecord.get("activityID"), //订单ID
            orderType : 2, //0为求助，1为秀场，2为活动
            state : OPERATION_ASKER_ACTIVE_CANCEL1,
            notifyText : getMyAccount().nickname + NTFMSG_ACTIVITY_CANCEL //用户的提示消息文本
        }
        sendOrderNotificationMsgGroup(activeRecord.get("groupID"), msg, function() {
        }, function() {
        }); 
        successCallback();
		consoledebug.log("deleteActivityCacheOrder deleteCacheOrder is start");
	},function(error){
		errorCallback(error)
	})
}

/**
 * 发布活动者取消活动订单
 * @param {Bmob.Object} activeRecord Activity 表对象
 * @param {function} successCallback 成功获取朋友列表后回调函数，定义为 .
 * 		successCallback(activityList); activityList 是 {Bmob.Object} 对象数组，此订单的求助人列表，
 * 		可用的 key 有 "activityID","state","ownerID"
 * @param {function} errorCallback 操作失败后回调函数，定义为：
 * 		errCallback(error); error is a class, {code: number, message:string}
 * @constructor
 */
function cancelActiveOrder(activeRecord, successCallback, errorCallback){
    var Activity = Bmob.Object.extend("ActivityEnroll");
    var query = new Bmob.Query(Activity);
    var activityEnrollList;
    query.select("activityID","state","ownerID");
    query.find().then(function(results) {
        activityEnrollList = results;
        var promises = [];
        for(var i=0;i<results.length;i++){
           results[i].set("state", HELPER_ACTIVE_CANCEL);
           promises.push(results[i].save());
        }
        return Bmob.Promise.when(promises);    
     }).then(function() {
        activeRecord.set('state', ASKER_ACTIVE_CANCEL_CLOSE);
        activeRecord.save();
        successCallback(activityEnrollList);
     },function(errors){
        consoledebug.log('cancelHelpOrder some helperList save error is '+ JSON.stringify(errors));
        var error = {
        	code : 888,
        	massage: 'ome helperList save error'
        }
        errorCallback(error);
    });
}

//删除某一条活动信息
function deleteActiveOrder(activityID, successCallback, errorCallback) {
	var Activity = Bmob.Object.extend("Activity");
	var Activity = new Bmob.Query(Activity);
	Activity.equalTo("activityID", activityID);
	Activity.destroyAll({
		success : function() {
            successCallback();
		},
		error : function(error) {
			consoledebug.log('deleteHelpOrder Active error is '+ JSON.stringify(error));
            errorCallback(error);
		}
	});
}

/**
 * 根据状态获取某一状态下参与活动的所有报名人列表
 * @param activityID
 * @param {function} successCallback
 *         successCallback(userInfo),是Bmob.Object型的数组，字段有
 *         "hhID","nickName","sex","age","industry","level","appraisement","photo"
 * @param errorCallback
 */
function findActivityEnrollList(activityID,state,successCallback, errorCallback){
    var ActivityEnroll = Bmob.Object.extend("ActivityEnroll");
    var query = new Bmob.Query(ActivityEnroll);
    query.equalTo("activityID",activityID);
    query.equalTo("state",state);
    var UserInfo = Bmob.Object.extend("UserInfo");
    var userInfo = new Bmob.Query(UserInfo);
    userInfo.matchesKeyInQuery("hhID","ownerID",query);
    userInfo.select("hhID","nickName","sex","age","industry","level","appraisement","photo");
    userInfo.find({
        success:function(userInfo){
            successCallback(userInfo);
        },
        error: function (error) {
            errorCallback(error);
        }
    });
}
/**
 * 获取所有报名人
 * @param activityID
 * @param {function} successCallback
 *         successCallback(userInfo),是Bmob.Object型的数组，字段有
 *         "hhID","nickName","sex","age","industry","level","appraisement","photo"
 * @param errorCallback
 */
function findActivityAllEnrollList(activityID,state,successCallback, errorCallback){
    var ActivityEnroll = Bmob.Object.extend("ActivityEnroll");
    var query = new Bmob.Query(ActivityEnroll);
    query.equalTo("activityID",activityID);
    query.greaterThanOrEqualTo("state",state);
    var UserInfo = Bmob.Object.extend("UserInfo");
    var userInfo = new Bmob.Query(UserInfo);
    userInfo.matchesKeyInQuery("hhID","ownerID",query);
    userInfo.select("hhID","nickName","sex","age","industry","level","appraisement","photo");
    userInfo.find({
        success:function(userInfo){
            successCallback(userInfo);
        },
        error: function (error) {
            errorCallback(error);
        }
    });
}
/**
 * 获取所有处未被选中的所有报名人列表
 * @param activityID
 * @param {function} successCallback
 *         successCallback(userInfo),是Bmob.Object型的数组，字段有
 *         "hhID","nickName","sex","age","industry","level","appraisement","photo"
 * @param errorCallback
 */
function findActivityCampaignList(activityID,successCallback, errorCallback){
    var ActivityEnroll = Bmob.Object.extend("ActivityEnroll");
    var query = new Bmob.Query(ActivityEnroll);
    query.equalTo("activityID",activityID);
    query.notEqualTo("state",2);
    var UserInfo = Bmob.Object.extend("UserInfo");
    var userInfo = new Bmob.Query(UserInfo);
    userInfo.matchesKeyInQuery("hhID","ownerID",query);
    userInfo.select("hhID","nickName","sex","age","industry","level","photo");
    userInfo.find({
        success:function(userInfo){
            successCallback(userInfo);
        },
        error: function (error) {
            errorCallback(error);
        }
    });
}

//活动参与者取消活动
function enrollQuitActivityCacheOrder(activeRecord,activityID, successCallback,errorCallback){
	consoledebug.log("enrollQuitActivityCacheOrder is start");
	deleteCacheOrder(activityID, 1, function(){
		consoledebug.log("deleteActivityCacheOrder deleteCacheOrder is start");
		enrollQuitActivity(activityID, function() {
	        freashRunningOrderCall();
	        successCallback();
	    }, function(error) {
	        consoledebug.log("insertCacheOrders error is " + JSON.stringify(error));
	        errorCallback(error);
	    })
	},function(error){
		errorCallback(error)
	})
}

/**
 * 活动发布者取消活动订单
 * @param {Bmob.Object} activeRecord Activity 表对象
 * @param {function} successCallback 成功获取朋友列表后回调函数，定义为 .
 * 		successCallback(activityList); activityList 是 {Bmob.Object} 对象数组，此订单的求助人列表，
 * 		可用的 key 有 "activityID","state","ownerID"
 * @param {function} errorCallback 操作失败后回调函数，定义为：
 * 		errCallback(error); error is a class, {code: number, message:string}
 * @constructor
 */
function enrollQuitActivity(activityID, successCallback, errorCallback){
	var myAcount = getMyAccount();
	var ActivityEnroll = Bmob.Object.extend("ActivityEnroll");
    var query = new Bmob.Query(ActivityEnroll);
    query.equalTo("activityID",activityID);
    query.equalTo("ownerID", myAcount.hhID);
    query.select("activityID","state","ownerID");
	query.find(function(results){
		if(results.length > 0){
			consoledebug.log("enrollQuitActivity results is " + JSON.stringify(results));
			var state = results[0].get("state");
			if(state == HELPER_ACTIVE_RUNNING){
		         operation = OPERATION_HELPER_ACTIVE_QUIT1;
		    }else if(state == HELPER_ACTIVE_RUNNING){
		         operation = OPERATION_HELPER_ACTIVE_QUIT2;
		    }else{
		         consoledebug.log('you cannot quit this order');
		         errorCallback();
		         return;
		    }
		    
			results[0].set("state", HELPER_ACTIVE_CANCEL);
			results[0].save();
			successCallback();
		}
	},function(error){
		errorCallback(error);
	});
}


/**
 * 活动发布人选定活动参与人
 * @param {Bmob.Object} activityRecord Active 表对象
 * @param {Bmob.Object} activityEnrollRecord ActivityEnroll 表对象，该活动所有的报名人列表
 * @param {Number[]} confirmList 数字数组，被选中的活动参与人 hhID 数组
 * @param {function} successCallback 成功获取朋友列表后回调函数，定义为 .
 *      successCallback(activityList); activityList 是 {Bmob.Object} 对象数组，此订单的求助人列表，
 *      可用的 key 有 "orderID","state","ownerID"
 * @param {function} errorCallback 操作失败后回调函数，定义为：
 *      errCallback(error); error is a class, {code: number, message:string}
 */
function confirmCampaign(activityRecord, activityEnrollRecord, confirmList, successCallback, errorCallback){
    var promises = [];
    for(var i=0;i<activityEnrollRecord.length;i++){
        activityEnrollRecord[i].set('state', HELPER_ACTIVE_LOSE_SEAT);
        for(var j=0;j<confirmList.length;j++){
            if(activityEnrollRecord[i].get('ownerID') == confirmList[j]){
            	if(activityRecord.get("payTime") != 2){
               		activityEnrollRecord[i].set('state', HELPER_ACTIVE_RUNNING);
                }else{
                	activityEnrollRecord[i].set('state', HELPER_ACTIVE_AFTER_RUNNING);
                }
                break;
            }
        }
        promises.push(activityEnrollRecord[i].save());
        consoledebug.log('confirmCampaign promises is '+ JSON.stringify(promises));
    }
    Bmob.Promise.when(promises).then(function(){
    	if(activityRecord.get("payTime") != 2){
    		activityRecord.set('state', ASKER_ACTIVE_RUNNING);
    	}else{
    		activityRecord.set('state', ASKER_ACTIVE_AFTER_RUNNING);
    	}
        activityRecord.save().then(function(order){
            consoledebug.log('Bmob.Promise activityRecord.save order is '+ JSON.stringify(order));
            successCallback(order);
        },function(error){
            consoledebug.log('confirmHelper orderRecord save error is '+ JSON.stringify(error));
            errorCallback(error);
        })
    },function(errors){
        consoledebug.log('confirmHelper some helperList save error is '+ JSON.stringify(errors));
        var error = {
           code : 888,
           massage: 'ome helperList save error'
        }
        errorCallback(error);
    });
}

/**
 * 活动付费明细（后支付）
 * @param {Bmob.Object} activityRecord Active 表对象
 *  @param {Bmob.Object} activityEnrollList ActivityEnroll 表对象
 * @param {Number} actualPayment 实际活动费用
 * @param {Number} personalPayment 平均每个人所要缴纳的费用
 * @param {function} successCallback 成功获取朋友列表后回调函数，定义为 .
 *      successCallback(activityList); activityList 是 {Bmob.Object} 对象数组，此订单的求助人列表，
 *      可用的 key 有 "orderID","state","ownerID"
 * @param {function} errorCallback 操作失败后回调函数，定义为：
 *      errCallback(error); error is a class, {code: number, message:string}
 */
function activitySettleAcount(activityRecord, activityEnrollList,manActualPay, womanActualPay,personalPay, successCallback, errorCallback){
	var promises = [];
	consoledebug.log("activityEnrollList.length is " + activityEnrollList.length)
	for(var i = 0; i < activityEnrollList.length; i++){
		var payId = activityEnrollList[i].get("ownerID");
		activityEnrollList[i].set("personalPay",Number(personalPay[payId]));
		activityEnrollList[i].set("state",HELPER_ACTIVE_AFTER_RUNNING);
		promises.push(activityEnrollList[i].save());
	}
	Bmob.Promise.when(promises).then(function(){
		activityRecord.set("manActualPay",manActualPay);
		activityRecord.set("womanActualPay",womanActualPay);
		activityRecord.set("actualPayHumanCount",activityEnrollList.length);
		activityRecord.set("state",ASKER_ACTIVE_RUNNING);
		activityRecord.save().then(function(){
			
			syncCacheOrderState(activeRecord.get("activityID"), 1, ASKER_ACTIVE_RUNNING, function() {
                freashRunningOrderCall();
			}, function(error) {
			});
			var msg = {
                orderID : activeRecord.get("activityID"), //订单ID
                orderType : 2, //0为求助，1为秀场，2为活动
                state : OPERATION_ASKER_ACTIVE_AFTER_SETTLE,
                notifyText : getMyAccount().nickname + NTFMSG_ACTIVITY_AFTER_SETTLE, //用户的提示消息文本
                rongyunID : activeRecord.get("groupID")
            }
            sendOrderNotificationMsgGroup(activeRecord.get("groupID"), msg, function() {
                successCallback();
            }, function() {
                successCallback();
            });
//			successCallback();
		},function(error){
			errorCallback(error);
		})
	},function(error){
		errorCallback(error);
	})
	
}

/**
 * 所有参与人付清费用，发布人修改自己的状态（后支付）
 * @param {Bmob.Object} activityRecord Active 表对象
 *  @param {Bmob.Object} activityEnrollList ActivityEnroll 表对象
 * @param {Number} actualPayment 实际活动费用
 * @param {Number} personalPayment 平均每个人所要缴纳的费用
 * @param {function} successCallback 成功获取朋友列表后回调函数，定义为 .
 *      successCallback(activityList); activityList 是 {Bmob.Object} 对象数组，此订单的求助人列表，
 *      可用的 key 有 "orderID","state","ownerID"
 * @param {function} errorCallback 操作失败后回调函数，定义为：
 *      errCallback(error); error is a class, {code: number, message:string}
 */
function activityCollector(activeRecord,successCallback,errorCallback){
	activeRecord.set("state",ASKER_ACTIVE_APPRAISING);
	activeRecord.save().then(function(){
			syncCacheOrderState(activeRecord.get("activityID"), 1, ASKER_ACTIVE_APPRAISING, function() {
                freashRunningOrderCall();
			}, function(error) {
			});
		successCallback();
	},function(error){
		errorCallback(error);
	})
}

/**
 * 活动发起人对参与活动者的评价
 * @param {Bmob.Object} orderRecord HelpOrder 表对象
 * @param {Bmob.Object} activityEnrollList 此活动所有报名人
 * @param {Number} myHHID   自己的ID
 * @param {Number[]} appraisements  评价，取值为2到10之间的偶数（半颗心不能选上）
 * @param {function} successCallback 成功获取朋友列表后回调函数，定义为 .
 *      successCallback(); 
 * @param {function} errorCallback 操作失败后回调函数，定义为：
 *      errCallback(error); error is a class, {code: number, message:string}
 */
function organizerEvaluation(activityRecord, activityEnrollList, appraisements, successCallback, errorCallback) {
	if(activityEnrollList.length > 0){
		var promises = [];
		for(var i = 0; i < activityEnrollList.length; i++){
			var payId = activityEnrollList[i].get("ownerID");
			activityEnrollList[i].set("askerAppraisement",Number(appraisements[payId]));
			promises.push(activityEnrollList[i].save());
		}
		Bmob.Promise.when(promises).then(function(){
			activityRecord.set("state",ASKER_ACTIVE_COMPLETE);
			activityRecord.save().then(function(){
				syncCacheOrderState(activityRecord.get("activityID"), 1, ASKER_ACTIVE_COMPLETE, function() {
	                freashRunningOrderCall();
				}, function(error) {
				});
				
				var msg = {
                    orderID : activeRecord.get("activityID"), //订单ID
                    orderType : 2, //0为求助，1为秀场，2为活动
                    state : OPERATION_ASKER_ACTIVE_APPRAISED,
                    notifyText : getMyAccount().nickname + NTFMSG_ACTIVITY_EVALUATE, //用户的提示消息文本
                    rongyunID : activeRecord.get("groupID")
                }
                sendOrderNotificationMsgGroup(activeRecord.get("groupID"), msg, function() {
                    successCallback();
                }, function() {
                    successCallback();
                });
				
//				successCallback();
			},function(error){
				errorCallback(error);
			})
		},function(error){
			errorCallback(error);
		})
		}
}

/**
 * 活动完成(活动发布者)
 * @param {Bmob.Object} orderRecord HelpOrder 表对象
 * @param {Number} myHHID   自己的ID
 * @param {function} successCallback 成功获取朋友列表后回调函数，定义为 .
 *      successCallback(); 
 * @param {function} errorCallback 操作失败后回调函数，定义为：
 *      errCallback(error); error is a class, {code: number, message:string}
 */

function deleteActivityComplete(activeRecord,activityID, state, successCallback,errorCallback){
	deleteCacheOrder(activityID, 1, function(){
		consoledebug.log("deleteActivityCacheOrder deleteCacheOrder is start");
	    activeRecord.set("state",ASKER_ACTIVE_CLOSE);
		activeRecord.save().then(function(){
		
//			var Group = Bmob.Object.extend("Group");
//  		var query = new Bmob.Query(Group);
//			query.equalTo("builderHHID",activeRecord.get("ownerID"));
//			query.equalTo("rongyunID",activeRecord.get("groupID"));
//			query.find().then(function(result){
//				result[0].set("inSystemUse",0);
//				result[0].save().then(function(){
//					freashRunningOrderCall();
//					successCallback();
//				},function(error){
//					errorCallback(error);
//				})
//			},function(error){
//				errorCallback(error);
//			})
			freashRunningOrderCall();
			successCallback();
		
			
		},function(error){
			errorCallback(error);
		})
	},function(error){
		errorCallback(error)
	});
}

/**
 * 活动完成(活动参与者)
 * @param {Bmob.Object} orderRecord HelpOrder 表对象
 * @param {Bmob.Object} activityEnrollList 此活动所有报名人
 * @param {Number} myHHID   自己的ID
 * @param {function} successCallback 成功获取朋友列表后回调函数，定义为 .
 *      successCallback(); 
 * @param {function} errorCallback 操作失败后回调函数，定义为：
 *      errCallback(error); error is a class, {code: number, message:string}
 */

function campaignDeleteActivityComplete(activeRecord,activityEnrollList,activityID, state, successCallback,errorCallback){
	deleteCacheOrder(activityID, 1, function(){
		consoledebug.log("deleteActivityCacheOrder deleteCacheOrder is start");
		if(activityEnrollList.length > 0){
			var myAcount = getMyAccount();
			for(var i = 0; i < activityEnrollList.length; i++){
				if(activityEnrollList[i].get("ownerID") == myAcount.hhID){
					activityEnrollList[i].set("state",HELPER_ACTIVE_CLOSE);
					activityEnrollList[i].save().then(function(){
						freashRunningOrderCall();
						successCallback();
					},function(error){
						errorCallback(error);
					});
					break;
				}
			}
		}
	},function(error){
		errorCallback(error)
	});
}


/**
 * 参与人未被选中
 * @param {Bmob.Object} orderRecord HelpOrder 表对象
 * @param {Number} myHHID 自己的ID
 * @param {function} successCallback 成功获取朋友列表后回调函数，定义为 .
 *      successCallback(); 
 * @param {function} errorCallback 操作失败后回调函数，定义为：
 *      errCallback(error); error is a class, {code: number, message:string}
 */
function campaignNotSelectConfirm(orderRecord, activityEnrollList, myHHID, successCallback, errorCallback){
	for(var i = 0; i < activityEnrollList.length; i++){
		if(activityEnrollList[i].get("ownerID") == myHHID){
			activityEnrollList[i].set('state', HELPER_ACTIVE_LOSE_SEAT_CLOSE);
			activityEnrollList[i].save().then(function(){
				syncCacheOrderState(orderRecord.get("activityID"), 1, HELPER_ACTIVE_LOSE_SEAT_CLOSE, function() {
	                freashRunningOrderCall();
				}, function(error) {
				});
				successCallback();
			},function(error){
        		consoledebug.log('campaignNotSelectConfirm save error is '+ JSON.stringify(error));
				errorCallback(error);
			});
		}
	}
}

/**
 * 活动参与人对活动的评价
 * @param {Bmob.Object} orderRecord HelpOrder 表对象
 * @param {Bmob.Object} activityEnrollList 此活动所有报名人
 * @param {Number} myHHID   自己的ID
 * @param {Number} appraisement  评价，取值为2到10之间的偶数（半颗心不能选上）
 * @param {function} successCallback 成功获取朋友列表后回调函数，定义为 .
 *      successCallback(); 
 * @param {function} errorCallback 操作失败后回调函数，定义为：
 *      errCallback(error); error is a class, {code: number, message:string}
 */
function campaignEvaluation(orderRecord, activityEnrollList, myHHID, appraisement, successCallback, errorCallback) {
	consoledebug.log("campaignEvaluation activityEnrollList length is " + activityEnrollList.length)
	if(activityEnrollList.length > 0){
		for(var i = 0; i < activityEnrollList.length; i++){
			if(activityEnrollList[i].get("ownerID") == myHHID){
				activityEnrollList[i].set("helpAppraisement",appraisement);
				activityEnrollList[i].set("state",HELPER_ACTIVE_COMPLETE);
//				if(orderRecord.get("payTime") != 2){
//				}else{
//					activityEnrollList[i].set("state",HELPER_ACTIVE_AFTER_CHECKING);
//				}
				activityEnrollList[i].save().then(function(){
					syncCacheOrderState(orderRecord.get("activityID"), 1, HELPER_ACTIVE_COMPLETE, function() {
		                freashRunningOrderCall();
					}, function(error) {
					});
					var msg = {
                        orderID : activeRecord.get("activityID"), //订单ID
                        orderType : 2, //0为求助，1为秀场，2为活动
                        state : OPERATION_HELPER_ACTIVE_APPRAISED,
                        notifyText : getMyAccount().nickname + NTFMSG_ACTIVITY_EVALUATE, //用户的提示消息文本
                        rongyunID : activeRecord.get("groupID")
                    }
                    sendOrderNotificationMsg(activeRecord.get("ownerID"), msg, function() {
                       	successCallback();
                    }, function() {
                        successCallback();
                    });
//					successCallback();
				},function(error){
	        		consoledebug.log('campaignEvaluation save error is '+ JSON.stringify(error));
					errorCallback(error);
				});
			}
		}
	}
}
function helperEvaluationDone(callback){
	callback();
}

/**
 * 活动参与人后支付及评价
 * @param {Bmob.Object} orderRecord HelpOrder 表对象
 * @param {Bmob.Object} activityEnrollList 此活动所有报名人
 * @param {Number} myHHID   自己的ID
 * @param {Number} appraisement  评价，取值为2到10之间的偶数（半颗心不能选上）
 * @param {function} successCallback 成功获取朋友列表后回调函数，定义为 .
 *      successCallback(); 
 * @param {function} errorCallback 操作失败后回调函数，定义为：
 *      errCallback(error); error is a class, {code: number, message:string}
 */
function campaignAfterPay(orderRecord, activityEnrollList, myHHID, appraisement, successCallback, errorCallback) {
	if(activityEnrollList.length > 0){
		for(var i = 0; i < activityEnrollList.length; i++){
			if(activityEnrollList[i].get("ownerID") == myHHID){
				activityEnrollList[i].set("helpAppraisement",appraisement);
				activityEnrollList[i].set("state",HELPER_ACTIVE_COMPLETE);
				activityEnrollList[i].save().then(function(){
					successCallback();
//					orderRecord.set("state",ASKER_ACTIVE_APPRAISING);
//					orderRecord.save().then(function(){
//						successCallback();
//					},function(error){
//		        		consoledebug.log('campaignEvaluation orderRecord save error is '+ JSON.stringify(error));
//						errorCallback(error);
//					});
				},function(error){
	        		consoledebug.log('campaignEvaluation save error is '+ JSON.stringify(error));
					errorCallback(error);
				});
			}
		}
	}
}


/**
 * 活动参与人投诉
 * @param {Bmob.Object} orderRecord HelpOrder 表对象
 * @param {Bmob.Object} activityEnrollList 此活动所有报名人
 * @param {Number} myHHID   自己的ID
 * @param {function} successCallback 成功获取朋友列表后回调函数，定义为 .
 *      successCallback(); 
 * @param {function} errorCallback 操作失败后回调函数，定义为：
 *      errCallback(error); error is a class, {code: number, message:string}
 */
function campaignComplain(activeRecord,activityEnrollList,myHHID,successCallback,errorCallback){
	if(activityEnrollList.length > 0){
		for(var i = 0; i < activityEnrollList.length; i++){
			if(activityEnrollList[i].get("ownerID") == myHHID){
				activityEnrollList[i].set("state",HELPER_ACTIVE_COMPLAINT);
				activityEnrollList[i].save().then(function(){
					syncCacheOrderState(activeRecord.get("activityID"), 1, HELPER_ACTIVE_COMPLAINT, function() {
			            freashRunningOrderCall();
					}, function(error) {
					});
					var msg = {
                        orderID : activeRecord.get("activityID"), //订单ID
                        orderType : 2, //0为求助，1为秀场，2为活动
                        state : OPERATION_HELPER_ACTIVE_COMPLAINT,
                        notifyText : getMyAccount().nickname + NTFMSG_ACTIVITY_COMPLAIN, //用户的提示消息文本
                        rongyunID : activeRecord.get("groupID")
                    }
                    sendOrderNotificationMsg(activeRecord.get("ownerID"), msg, function() {
                       	successCallback();
                    }, function() {
                        successCallback();
                    });
//					successCallback();
				},function(error){
					errorCallback(error);
				})
			}
		}
	}
}


/**
 * 添加评论
 * @param {string}myInfoId 发布者的人物信息数据库中的id
 * @param {Bmob.Object}activityRecord 活动记录
 * @param {Object}Comment
 *          activityID:Number 活动id
 *          commentID:Number 评论用户的用户ID
 *          commentInfo:String 评论内容
 * @param {function} successCallback 成功则返回技能ID .
 * 		successCallback(id); 评论内部id
 * @param errorCallback
 */
function insertActivityComment(myInfoId, activityRecord, Comment,successCallback,errorCallback){
	var UserInfo = Bmob.Object.extend("UserInfo");
    var myInfo = new UserInfo();
    myInfo.id = myInfoId;
	var myAcount = getMyAccount();
    var ActivityComment = Bmob.Object.extend("ActivityComment");
    var query = new ActivityComment();
    query.set("activityID", Comment.activityID);
    query.set("commentID", Comment.commentID);
    query.set("commentInfo", Comment.commentInfo);
    query.set("activityInfo", activityRecord);
    query.set("ownerID", myAcount.hhID);
    query.set("OwnerInfo", myInfo);
    query.save(null,{
        success: function (activityComment) {
            successCallback(activityComment);
        },
        error: function (error) {
            errorCallback(error);
        }
    });
}
/**
 * 获取活动的所有评论
 * @param activityID 活动ID
 * @param {function}successCallback
 *          activityCommentInfo 为Bmob.Object的数组，用.get("")提取内容
 *          "activityID","commentID","commentInfo","activityInfo"
 *          其中，评论的id 通过 activityCommentInfo[0].id 获取
 * @param errorCallback
 */
var ACTIVE_COMMENT_SKIP_NUMBER = 5;
var gActiveCommentSkipNum = 0;
function findAcitveCommentList(activityID,successCallback,errorCallback){
    var ActivityComment = Bmob.Object.extend("ActivityComment");
    var activityComment = new Bmob.Query(ActivityComment);
    activityComment.equalTo("activityID",activityID);
    activityComment.include("OwnerInfo");
    activityComment.limit(ACTIVE_COMMENT_SKIP_NUMBER);
    activityComment.skip(gActiveCommentSkipNum);
    activityComment.descending("createdAt");
    activityComment.find({
        success: function (activityComment) {
        	gActiveCommentSkipNum += activityComment.length;
            successCallback(activityComment);
        },
        error: function (error) {
            errorCallback(error);
        }
    });
}
function findActiveCommentCount(activityID,successCallback,errorCallback){
	var ActivityComment = Bmob.Object.extend("ActivityComment");
    var activityComment = new Bmob.Query(ActivityComment);
    activityComment.equalTo("activityID",activityID);
    activityComment.count().then(function(count){
    	successCallback(count);
    },function(error){
    	errorCallback(error);
    })
}
  



function insertLogBegin(orderID, ownerID, operation, successCallback, errorCallback) {
	var HelpLog = Bmob.Object.extend("HelpLog");
	var helpLog = new HelpLog();
	helpLog.set("orderID", orderID);
	helpLog.set("ownerID", ownerID);
	helpLog.set("state", operation);
    helpLog.set("trance", 0);
	helpLog.save().then(function(helpLog) {
	   successCallback(helpLog);
	}, function(error) {
	   errorCallback(error);
		consoledebug.log('insertLogBegin helpLog save error is '+ JSON.stringify(error));
	});
}


function freashRunningOrderCall(){
    api.sendEvent({
        name : 'comIssueHelpOrder',
        extra : {
        }
    });
}

function insertActivityWaying(activityRecord, ownership, callback) {
	var localOrder = {};
	localOrder.orderID = activityRecord.get("activityID");
	localOrder.orderName = activityRecord.get("activityName");
	localOrder.classID = activityRecord.get("classID") + '';
	localOrder.beginTime = activityRecord.get("beginTime");
	localOrder.place = activityRecord.get("place");
	localOrder.orderGeo = activityRecord.get("activityGeo");
	localOrder.applyDeadlineTime = activityRecord.get("applyDeadline");
	localOrder.ownership = ownership;
	localOrder.orderType = 1;
	localOrder.state = 1;
	localOrder.notify = 0;
	consoledebug.log("comIssueHelpOrder localOrder is " + JSON.stringify(localOrder));
	var aOrders = [];
	aOrders.push(localOrder);
	insertCacheOrders(aOrders, function() {
		freashRunningOrderCall();
		callback();
	}, function(err) {
		consoledebug.log("comIssueHelpOrder insertCacheOrders error is " + JSON.stringify(err));
		err.message = err.msg;
		callback();
	});
}

function getAfterPayAmount(activityID, successCallback, errorCallback){
	var ActivityEnroll = Bmob.Object.extend("ActivityEnroll");
    var query = new Bmob.Query(ActivityEnroll);
	query.equalTo("activityID",activityID);
	query.equalTo("isPaied",1);
    query.select("activityID","personalPay");
    query.find({
        success: function (results) {
        	var amount = 0;
        	for(var i=0;i<results.length;i++){
        		amount += results[i].get("personalPay");
        	}
            successCallback(amount);
        },
        error: function (error) {
            errorCallback(error);
        }
    });
}

/*
 * 评论活动时，添加未读标记以及相关信息
 */
function insertActiveCommentRecord(recordInfo,activeRecord,successCallback, errorCallback){
	activeRecord.increment("commentIsRead");
	activeRecord.save().then(function(){
		consoledebug.log("insertActiveCommentRecord commentIsRead is success");
		creatHelpMessageNotification(recordInfo,successCallback, errorCallback)
	},function(error){
		errorCallback(error);
	})
}

function creatHelpMessageNotification(recordInfo,successCallback, errorCallback) {
	var MessageNotification = Bmob.Object.extend("MessageNotification");
	var query = new Bmob.Query(MessageNotification);
	query.equalTo("hhID", recordInfo.ownerID);
	query.equalTo("messageType", "activeComment");
	query.find().then(function(result) {
		consoledebug.log("creatHelpMessageNotification result is" + JSON.stringify(result));
		if (result.length > 0) {
			result[0].increment("unReadNum");
			result[0].save().then(function() {
				successCallback();
			}, function(error) {
				errorCallback(error);
			})
		} else {
			errorCallback();
		}
	}, function(error) {
		errorCallback(error);
	})
}





/**
 * 活动发布者的订单操作接口
 * @param {Bmob.object} activeRecord 订单表对象
 * @param {object} handle 
 * 包含的属性 为：{
 *              operatrion: Number,        //订单操作，值定义参考 帮助人的操作日志 操作定义
 *              ...: ...,        //该操作对应的数据。每个操作对应的数据说明如下：
 *             }
 * @param successCallback
 * @param errorCallback
 * @constructor
 */
function activeAskerHandle(activeRecord, handle, sucCallback, errCallback){
	consoledebug.log("helperHandle handle is " + JSON.stringify(handle));
    function errorCallback(error){
        consoledebug.log('activeAskerHandle ' + handle.operatrion + ' error is : ' + JSON.stringify(error));
        clearWaitingForTimeout();
        errCallback(error)
    }
    function successCallback(){
        clearWaitingForTimeout();
        sucCallback();
    }
    waitingForTimeout({
        title : '订单处理中...',
        modal : true
    });  
	switch(handle.operatrion){
		case OPERATION_ASKER_ACTIVE_CANCEL1:
		    if(activeRecord.get("payTime") == 1){
                var payInfo = {
                    "orderID" : activeRecord.get("activityID"),
                    "paymentType" : 3,
                    "paymentID" : 'g' + activeRecord.get("activityID") + (new Date()).Format("yyMMddhhmmssS"),
                }
                //订单状态的改变在支付后台处理
                baeGuaranteePay(payInfo, function() {
                    deleteActivityCacheOrder(activeRecord,handle.activityID, handle.state, successCallback,errorCallback);
                }, errorCallback);
		    }else{
		        cancelActiveOrder(activeRecord, function(){
                    deleteActivityCacheOrder(activeRecord,handle.activityID, handle.state, successCallback,errorCallback);
		        },function(error){
		        });
		    }
            break;
        case OPERATION_ASKER_ACTIVE_SELECT:
            var payInfo = {
                "orderID" : activeRecord.get("activityID"),
                "paymentType" : 5,
                "paymentID" : 'g' + activeRecord.get("activityID") + (new Date()).Format("yyMMddhhmmssS"),
                "selectList" : handle.confirmList
            }
            //订单状态的改变在支付后台处理
            baeGuaranteePay(payInfo, function() {
                syncCacheOrderState(activeRecord.get('activityID'), 1, ASKER_ACTIVE_APPRAISING, function() {
                	
                	 var msg = {
                        orderID : activeRecord.get("activityID"), //订单ID
                        orderType : 2, //0为求助，1为秀场，2为活动
                        state : OPERATION_ASKER_ACTIVE_AFTER_SETTLE,
                        notifyText : NTFMSG_ACTIVITY_SELECT_PLAYER+activeRecord.get("activityName")+'活动', //用户的提示消息文本
                        rongyunID : activeRecord.get("groupID")
                    }
                    sendOrderNotificationMsgGroup(activeRecord.get("groupID"), msg, function() {
                        freashRunningOrderCall();
                    	successCallback();
                    }, function() {
                        freashRunningOrderCall();
                    	successCallback();
                    });
                	
//                  freashRunningOrderCall();
//                  successCallback();
                }, errorCallback);
            }, errorCallback);
            break;
        case OPERATION_ASKER_ACTIVE_AFTER_SETTLE:
            activitySettleAcount(activeRecord,handle.activityEnrollList,handle.manActualPay, handle.womanActualPay ,handle.personalPay, successCallback,errorCallback);
            break;
        case OPERATION_ASKER_ACTIVE_AFTER_COLLECTOR:
            activityCollector(activeRecord,successCallback,errorCallback);
            break;        
        case OPERATION_ASKER_ACTIVE_APPRAISED:
            organizerEvaluation(activeRecord,handle.activityEnrollList,handle.appraisements,successCallback,errorCallback);
            break;
		case OPERATION_ASKER_ACTIVE_COMPLETE_ALL:
            deleteActivityComplete(activeRecord,handle.activityID, handle.state, successCallback,errorCallback);
            break;
    }
}


/**
 * 活动参与者的订单操作接口
 * @param {Bmob.object} activeRecord 订单表对象
 * @param {object} handle 
 * 包含的属性 为：{
 *              operatrion: Number,        //订单操作，值定义参考 帮助人的操作日志 操作定义
 *              ...: ...,        //该操作对应的数据。每个操作对应的数据说明如下：
 *             }
 * @param successCallback
 * @param errorCallback
 * @constructor
 */

function activeHelperHandle(activeRecord, handle, sucCallback, errCallback) {
    consoledebug.log("helperHandle handle is " + JSON.stringify(handle));
    function errorCallback(error){
        consoledebug.log('activeHelperHandle ' + handle.operatrion + ' error is : ' + JSON.stringify(error));
        clearWaitingForTimeout();
        errCallback(error)
    }
    function successCallback(){
        clearWaitingForTimeout();
        sucCallback();
    }
    waitingForTimeout({
        title : '订单处理中...',
        modal : true
    });  
    switch(handle.operatrion) {
        case OPERATION_HELPER_ACTIVE_ENROLL1:
            if(activeRecord.get("state") != ASKER_ACTIVE_SELECT && activeRecord.get("state") != ASKER_ACTIVE_AFTER_RUNNING){
               errorCallback();
               return;
            }
            HandleActivityEnroll(activeRecord, handle.activityID, handle.ownerID, handle.payAmount, function(enroll){
                if(activeRecord.get("payTime") == 1 && enroll.get("isPaied") == 0){
                    var payment = {
                        amount : handle.payAmount*100,
                        paymentOrderID : 'AA' + activeRecord.get("activityID") + (new Date()).Format("hhmmss"),
                        orderID : activeRecord.get("activityID"),
                        orderName : activeRecord.get("activityName"),
                        description : '活动订单' + activeRecord.get('classID'),
                        paymentID : 'a' + activeRecord.get('activityID') + (new Date()).Format("yyMMddhhmmssS"),
                        orderType : 3 //1为互助押金，2为活动后付费(直接付给收款人)，3为参与活动预付费，4为虚拟币充值，5为补交求助押金并确认人选，6为红包付款（直付）
                    }
                    comActivityPay(payment, '../paymentGroup/').then(function(){
                        insertActivityWaying(activeRecord, 3, function(){
                            var msg = {
                                orderID : activeRecord.get("activityID"), //订单ID
                                orderType : 2, //0为求助，1为秀场，2为活动
                                state : OPERATION_HELPER_ACTIVE_ENROLL1,
                                notifyText : getMyAccount().nickname + NTFMSG_ACTIVITY_ENROLL, //用户的提示消息文本
                                rongyunID : activeRecord.get("groupID")
                            }
                            sendOrderNotificationMsg(activeRecord.get("ownerID"), msg, function() {
                                successCallback();
                            }, function() {
                                successCallback();
                            });
                        })
                    }, errorCallback);
                }else{
                    insertActivityWaying(activeRecord, 3, function(){
                    	var msg = {
                            orderID : activeRecord.get("activityID"), //订单ID
                            orderType : 2, //0为求助，1为秀场，2为活动
                            state : OPERATION_HELPER_ACTIVE_ENROLL1,
                            notifyText : getMyAccount().nickname + NTFMSG_ACTIVITY_ENROLL, //用户的提示消息文本
                            rongyunID : activeRecord.get("groupID")
                        }
                        sendOrderNotificationMsg(activeRecord.get("ownerID"), msg, function() {
                            successCallback();
                        }, function() {
                            successCallback();
                        });
//                      successCallback()
                    })
                }
            }, errorCallback)
            break;
        case OPERATION_HELPER_ACTIVE_QUIT1:     //已废弃
            //enrollQuitActivityCacheOrder(activeRecord, handle.activityID, successCallback, errorCallback);
            break;
        case OPERATION_HELPER_ACTIVE_LOSE_SEAT_CONFIRM:
            campaignNotSelectConfirm(activeRecord, handle.activityEnrollList, handle.myHHID, successCallback, errorCallback);
            break;
        case OPERATION_HELPER_ACTIVE_APPRAISED:
			campaignEvaluation(activeRecord, handle.activityEnrollList, handle.myHHID, handle.appraisement, successCallback, errorCallback);
            break;
        case OPERATION_HELPER_ACTIVE_AFTER_APPRAISED:
		    var payment = {
		        amount : handle.payAmount*100,
		        paymentOrderID : 'AA' + activeRecord.get("activityID") + (new Date()).Format("hhmmss"),
		        orderID : activeRecord.get("activityID"),
		        orderName : activeRecord.get("activityName"),
		        description : '活动订单' + activeRecord.get('classID'),
		        paymentID : 'a' + activeRecord.get('orderID') + (new Date()).Format("yyMMddhhmmssS"),
		        appraisement : handle.appraisement,
		        orderType : 2 //1为互助押金，2为活动后付费(直接付给收款人)，3为参与活动预付费，4为虚拟币充值，5为补交求助押金并确认人选，6为红包付款（直付）
		    }
		    comActivityPay(payment, '../../paymentGroup/').then(function(){
				syncCacheOrderState(activeRecord.get("activityID"), 1, HELPER_ACTIVE_COMPLETE, function() {
		            freashRunningOrderCall();
				}, function(error) {
				});
		    	var msg = {
                    orderID : activeRecord.get("activityID"), //订单ID
                    orderType : 2, //0为求助，1为秀场，2为活动
                    state : OPERATION_HELPER_ACTIVE_ENROLL1,
                    notifyText : getMyAccount().nickname + NTFMSG_ACTIVITY_AFTER_APPRAISED, //用户的提示消息文本
                    rongyunID : activeRecord.get("groupID")
                }
                sendOrderNotificationMsg(activeRecord.get("ownerID"), msg, function() {
                    successCallback();
                }, function() {
                    successCallback();
                });
		    }, errorCallback);
            //campaignAfterPay(activeRecord, handle.activityEnrollList, handle.myHHID, handle.appraisement, successCallback, errorCallback);
            break;
        case OPERATION_HELPER_ACTIVE_COMPLAINT:
            campaignComplain(activeRecord, handle.activityEnrollList, handle.myHHID, successCallback, errorCallback);
            break;
        case OPERATION_HELPER_ACTIVE_TAKE_COMPLETE_ALL:
            campaignDeleteActivityComplete(activeRecord, handle.activityEnrollList, handle.activityID, handle.state, successCallback, errorCallback);
            break;
    }
}

/**
 * 点击举报在工单号列表中，添加活动列表中，被举报人相应信息。
    
 */
 function NewActiveTable(htinteractionInfo,successCallback,errorCallback){
    var ActivityReport = Bmob.Object.extend("Activity_Report");
    var activityReport = new ActivityReport();
    activityReport.set("targetID",htinteractionInfo[0].get("ownerID"));

    activityReport.set("orderID",htinteractionInfo[0].get("activityID"));
    activityReport.set("orderName",htinteractionInfo[0].get("activityName"));
    activityReport.set("YN_type",0);
    activityReport.save().then(function(NHtinteraction){
    	var reportNum = htinteractionInfo[0].get("reportNum") + 1;
		htinteractionInfo[0].set("reportNum", reportNum);
		htinteractionInfo[0].save().then(function() {
			successCallback(NHtinteraction);
		}, function(error) {
			errorCallback(error);
		})
    },function(error){
        errorCallback(error);
    })
}