/**
 * Created by Administrator on 2015/10/12.
 */
var RONGYUN_SDK = "rongCloud2";

//订单查询能查的最大值，超过此值，则重新查找
var MAX_ORDER_LIST = 200;
//每次刷新订单时，新订单的数量
var SKIP_NUMBER = 5;

//帮助人端订单状态
var HELPER_ORDER_CLOSE = 0;			//关闭
var HELPER_ORDER_SELECTING = 1;		//1为等待选帮助人
var HELPER_ORDER_LOSE_SEAT = 2;		//2未被选中通知
var HELPER_ORDER_RUNNING = 3;		//3帮助完成中
var HELPER_ORDER_CHECKING = 4;		//4等待验收
var HELPER_ORDER_PAYING = 5;		//5结算处理，
var HELPER_ORDER_COMPLETE = 6;		//6完成通知
var HELPER_ORDER_CANCEL = 7;		//7帮助取消通知
var HELPER_ORDER_COMPLAINTING = 8;	//投诉
var HELPER_ORDER_LOSE_SEAT_CLOSE = -2;	//未被选中而关闭
var HELPER_ORDER_QUIT_CLOSE = -3;  //因自己退出而关闭
var HELPER_ORDER_CANCEL_CLOSE = -4;  //因求助人取消而关闭
var HELPER_ORDER_CREATING = -1;          //帮助人还没有支付，订单创建中
var HELPER_ORDER_RECEIVING = 9         //秀场接单，帮助中状态

//求助人端订单状态
var ASKER_ORDER_CLOSE = 0;			//为关闭
var ASKER_ORDER_SELECT = 1;			//1为选择帮助人
var ASKER_ORDER_RUNNING = 2;		//2为等待帮助完成
var ASKER_ORDER_CHECKING = 3;		//3验收帮助成果
var ASKER_ORDER_APPRAISING = 4;		//4为等待评价
var ASKER_ORDER_COMPLETE = 5;		//5为已完成通知
var ASKER_ORDER_QUIT = 6;			//6为帮助人退出审核
var ASKER_ORDER_CREATING = -1;			//-1为求助人还没有支付，订单创建中
var ASKER_ORDER_CANCEL_CLOSE = -2;  //订单未开始，取消订单关闭
var ASKER_ORDER_QUIT_CLOSE = -3;  //订单已开始，取消订单关闭

//求助人的操作日志
var OPERATION_ASKER_CLOSE = 0;
var OPERATION_ASKER_SELECT = 1;
var OPERATION_ASKER_CANCEL1 = 2;        //帮助没有开始时取消订单
var OPERATION_ASKER_QUIT_STOP = 3;      //所有帮助人都退出后，关闭本订单
var OPERATION_ASKER_QUIT_GO = 4;        //所有帮助人都退出后，重新发布此订单
var OPERATION_ASKER_CANCEL2 = 5;        //帮助开始后取消订单
var OPERATION_ASKER_COMPLETE_ONCE = 6;
var OPERATION_ASKER_COMPLETE_ALL = 7;
var OPERATION_ASKER_ISSUE_PAY = 8;
var OPERATION_ASKER_ACCEPT_CANDIDATE = 9;   //接受候选人报名处理
var OPERATION_ASKER_ALL_DONE = 10;   //接受候选人报名处理

//帮助人的操作日志
var OPERATION_HELPER_CLOSE = 0;
var OPERATION_HELPER_ENROLL = -1;
var OPERATION_HELPER_QUIT1 = -2;
var OPERATION_HELPER_COMPLETE = -3;
var OPERATION_HELPER_QUIT2 = -4;
var OPERATION_HELPER_APPRAISED = -5;
var OPERATION_HELPER_TAKE_MORE = -6;
var OPERATION_HELPER_TAKE_NOMORE = -7;
var OPERATION_HELPER_LOSE_SEAT_CONFIRM = -8;
var OPERATION_HELPER_ASKER_CANCEL = -9;

function NewOrderID(successCallback, errorCallback){

    var orderID;
    var SerialNum = Bmob.Object.extend("serialNum");
    var query = new Bmob.Query(SerialNum);
    query.equalTo("serialName", "orderID");
    query.find({
        success: function (results) {
            if (results.length == 0) {
                var query2 = new SerialNum();
                query2.set("serialName", "orderID");
                query2.set("serialMatrix", 100000);
                query2.fetchWhenSave(true);
                query2.save(null, function (groupID) {
                    // The save was successful.
                    orderID = 100000;
                    successCallback(orderID);
                }, function (error) {
                    // The save failed.  Error is an instance of Bmob.Error.
                    errorCallback(error);
                })
            }
            if (results.length != 0) {
                // 查询成功，调用get方法获取对应属性的值
                var serialNum = results [0];
				//consoledebug.log("NewOrderID serialNum is" + JSON.stringify(serialNum))
                serialNum.fetchWhenSave(true);
                serialNum.increment("serialMatrix");
                serialNum.save().then(function (groupID) {
                    // The save was successful.
                    consoledebug.log("NewOrderID serialNum is" + JSON.stringify(groupID))
                    orderID = parseInt(groupID.get("serialMatrix"));
                    successCallback(orderID);
                }, function (error) {
                    // The save failed.  Error is an instance of Bmob.Error.
	    			consoledebug.log("NewOrderID serialMatrix save error is" + JSON.stringify(error));
                    errorCallback(error);
                });
            }
        },
        error: function (error) {
            //alert("查询失败: " + error.code + " " + error.message);
            //api.toast({msg: error.message, location: 'middle'});
	    	consoledebug.log("NewOrderID serialNum find error is" + JSON.stringify(error));
            errorCallback(error);
        }
    });
}


//successCallback(imageUrl, ThumbnailUrl)
function saveHelperPhoto(elImage, successCallback, errorCallback){
	var imagePath = $api.attr(elImage,'src');
	var hhID = getMyAccount().hhID;
	//var imageExt = "." + getFileExt(imagePath);
	var imageExt = ".png";
	imgThumbnailCompress(imagePath, 144, 192, function(ThumbnailPath){
		consoledebug.log("photoClip ThumbnailPath 1111111111111111111 is " + ThumbnailPath);
		photoClip(ThumbnailPath, 144, 192, function(dataurl){
			consoledebug.log("photoClip dataurl 2222222222222222 is " + dataurl);
	        var Ophoto = "", Tphoto = '';
	        var data = dataurl.split(',')[1];
	        data = window.atob(data);
	        var fileName = hhID + new Date().Format("-yy-MM-dd-hh:mm:ss.S") + imageExt;
	        var file = BmobFile(fileName, data);
	        file.save().then(function (obj) {
	        	consoledebug.log("saveHelperPhoto obj.url() 111111111111111 is " + obj.url());
	            Tphoto = obj.url();
	            if(!Tphoto){
	            	file.save().then(function (obj) {
			        	consoledebug.log("saveHelperPhoto obj.url() 111111111111111 is " + obj.url());
			            Tphoto = obj.url();
			            makeHelpOphoto(hhID,imagePath, Tphoto,imageExt,function(Ophoto, Tphoto){
		            		successCallback(Ophoto, Tphoto);
		            	}, function(error){
		            		errorCallback(error);
		            	})
			         }, function (error) {
			            // the save failed.
			            errorCallback(error);
			        });   
	            }else{
	            	makeHelpOphoto(hhID,imagePath, Tphoto,imageExt,function(Ophoto, Tphoto){
	            		successCallback(Ophoto, Tphoto);
	            	}, function(error){
	            		errorCallback(error);
	            	})
	            }
	        }, function (error) {
	            // the save failed.
	            errorCallback(error);
	        });
		})
	})
}


function makeHelpOphoto(hhID,imagePath, Tphoto,imageExt,successCallback, errorCallback) {
	imgThumbnailCompress(imagePath, 400, 400, function(orgPath) {
		convertImgToBase64(orgPath, function(orgDataurl) {
			var data = orgDataurl.split(',')[1];
			data = window.atob(data);
			var fileName = hhID + new Date().Format("-yy-MM-dd-hh:mm:ss.S") + imageExt;
			var tfile = BmobFile(fileName, data);
			tfile.save().then(function(obj) {
				consoledebug.log("saveHelperPhoto obj.url() 2222222222222222222 is " + obj.url());
				Ophoto = obj.url();
				if(!Ophoto){
					tfile.save().then(function(obj) {
						consoledebug.log("saveHelperPhoto obj.url() 2222222222222222222 is " + obj.url());
						Ophoto = obj.url();
						successCallback(Ophoto, Tphoto);
					}, function(error) {
						file.destroy();
						errorCallback(error);
					})
				}else{
					successCallback(Ophoto, Tphoto);
				}
			}, function(error) {
				file.destroy();
				errorCallback(error);
			})
		});
	})
}



//function imgFileSave(imgFile, successCallback, errorCallback) {
//	var issueTimes = 0;
//	imgFile.save().then(function(obj) {
//		if(!obj.url()){
//			issueTimes++;
//			successCallback();
//			return;
//		}
//		consoledebug.log("saveHelperPhoto obj.url() 2222222222222222222 is " + obj.url());
//		Ophoto = obj.url();
//		successCallback(Ophoto, Tphoto);
//	}, function(error) {
//		file.destroy();
//		errorCallback(error);
//	})
//}


/**
 * 发布帮助信息
 * @param {Object} helpInfo:  类对象，求助信息
 * 包含的属性 为：{
 *              orderType: Number,        //订单模板，0为一般求助，1为出行类，2为职场类，3为爱好类
 *              orderName: String,        //订单名称
 *              ownerID: Number,        //求助人ID
 *              classID: Number,        //求助类别ID，为互助二级分类表中的ID
 *              groupID: Number,        //群ID
 *              payment: Number,        //报酬
 *              helperNum: Number,        //帮忙人数
 *              helperSex: String,        //帮忙人性别,0为不限，1为男性，2为女性
 *              applyDeadline: String,        //报名截止时间
 *              beginTime: String,        //帮助开始时间
 *              place: String,        //帮助地点
  *             selectMode: Number,        //候选人选择，0为自己手选，1为系统推荐，3为先来先得
  *             privacyMode: Number,        //隐私，0为所有人可见，1为指定人可见
  *             repeatMode: Number,        //重复任务，0为单次任务，1为重复任务
  *             description: String,      //任务描述
  *             oPhoto: String,      //照片大图的url 路径
  *             tPhoto: String,      //照片缩略图的url 路径
  *             orderGeo: String,      //任务位置，数据类型为Geo，为任务地点坐标
  *             messageOne: String,      //额外信息1，如订单为出行类，则为帮助人年龄；如订单为职场类，则为学历，如订单为爱好类，则0为教练，1为陪练
  *             messageTwo: String,      //额外信息2，如订单为出行类，则为帮助时长；如订单为职场类，则为行业，如订单为爱好类，则为空
  *             messageThree: String,      //额外信息3，如订单为出行类，则为有无私家车，0为没有，1为有；如订单为职场类，则为职业，如订单为爱好类，则为空
  *             messageFour: String,      //额外信息4，如订单为出行类，则为车辆等级；如订单为职场类，则为工作年限，如订单为爱好类，则为空
  *             messageFive: String,      //额外信息5，如订单为出行类，则为驾龄；如订单为职场类，则为公司，如订单为爱好类，则为空
  *             }
 * @param {function} successCallback 成功后回调函数，定义为 .
 * 		successCallback(helpOrder);helpOrder
 * @param {function} errorCallback 操作失败后回调函数，定义为：
 * 		errCallback(error); error is a class, {code: number, message:string}
 */
function insertHelpOrder(helpInfo,successCallback, errorCallback){
    //获取订单编号
    NewOrderID(function (orderID) {
		//对帮助信息进行存储
		var HelpOrder = Bmob.Object.extend("HelpOrder");
		var helpOrder = new HelpOrder();
		helpOrder.fetchWhenSave(true);
		helpOrder.set("orderID", orderID);
		helpOrder.set("orderType", helpInfo.orderType);
		helpOrder.set("orderName", helpInfo.orderName);
		helpOrder.set("ownerID", helpInfo.ownerID);
		helpOrder.set("classID", helpInfo.classID);
		helpOrder.set("groupID", helpInfo.groupID);
		helpOrder.set("group", helpInfo.group);
		helpOrder.set("payment", helpInfo.payment);
		helpOrder.set("classification", helpInfo.classification);
		helpOrder.set("helperNum", helpInfo.helperNum);
		helpOrder.set("helperSex", helpInfo.helperSex);
		helpOrder.set("selectNum", 0);	//
		helpOrder.set("reportNum", 0);
//		helpOrder.set("applyDeadline", helpInfo.applyDeadline);
//		helpOrder.set("beginTime", helpInfo.beginTime);
		helpOrder.set("place", helpInfo.place);
		helpOrder.set("selectMode", helpInfo.selectMode);
		helpOrder.set("privacyMode", helpInfo.privacyMode);
		helpOrder.set("repeatMode", helpInfo.repeatMode);
		helpOrder.set("description", helpInfo.description);
		helpOrder.set("orderGeo", helpInfo.orderGeo);
		//helpOrder.set("beginTimeSeconds", helpInfo.beginTimeSeconds);
		helpOrder.set("applyDeadlineTime", helpInfo.applyDeadlineTime);
		helpOrder.set("beginTime", helpInfo.beginTime);
		helpOrder.set("repeatTimes", 0);
		var state = (helpInfo.state == undefined) ? ASKER_ORDER_SELECT : helpInfo.state
		helpOrder.set("state", state);
        //helpOrder.set("isPaid", 0);
		helpOrder.set("photo", helpInfo.oPhoto);
		helpOrder.set("tPhoto", helpInfo.tPhoto);
		
		if(helpInfo.skillID){
			helpOrder.set("skillID", helpInfo.skillID);
		}
		//根据不同的订单模式进行额外信息的存储
		if (helpOrder.get('orderType') != 0) {
			var HelpExtraInfo = Bmob.Object.extend("HelpExtraInfo");
			var HelpExtraInfo = new HelpExtraInfo();
			//1出行类求助额外信息
			HelpExtraInfo.set("orderID", orderID);
			HelpExtraInfo.set("helperAge", helpInfo.helperAge);
			HelpExtraInfo.set("helpDuration", helpInfo.helpDuration);
			HelpExtraInfo.set("helperCar", helpInfo.helperCar);
			HelpExtraInfo.set("CarType", helpInfo.CarType);
			HelpExtraInfo.set("helperDriving", helpInfo.helperDriving);
			//2为职场类求助额外信息
			HelpExtraInfo.set("education", helpInfo.education);
			HelpExtraInfo.set("industry", helpInfo.industry);
			HelpExtraInfo.set("position", helpInfo.position);
			HelpExtraInfo.set("workTime", helpInfo.workTime);
			HelpExtraInfo.set("company", helpInfo.company);
			//3爱好类求助额外信息
			HelpExtraInfo.set("coach", helpInfo.coach);
			
			//关联HelpExtraInfo表
			helpOrder.set("extraOrder", HelpExtraInfo);
		}
		helpOrder.save().then(function(helpOrder) {
			successCallback(helpOrder);
		}, function(error) {
	    	consoledebug.log("insertHelpOrder helpOrder save error is" + JSON.stringify(error) + JSON.stringify(helpOrder));
			errorCallback(error);
		});
		
    }, errorCallback );
}


/**
 * 求助信息详情，即提交求助信息后重新回到的界面所需要的数据
 * @param orderID 订单编号
 * @param {function} successCallback 成功获取朋友列表后回调函数，定义为 .
 * 		successCallback(helpOrder); helpOrder 是 {Bmob.Object} 类，通过 helpOrder.get(key) 可获取值，
 * 		可用的 key 有 orderID,orderType,orderName,ownerID,classID,groupID,payment,helperNum,helperSex,
 * 		applyDeadline,beginTime,place,selectMode,privacyMode,repeatMode,description,dataurl,
 * 		orderGeo,messageOne,messageTwo,messageThree,messageFour,messageFive
 * @param {function} errorCallback 操作失败后回调函数，定义为：
 * 		errCallback(error); error is a class, {code: number, message:string}
 *
 */
function GetHelpOrder(orderID,successCallback, errorCallback) {
    var HelpOrder = Bmob.Object.extend("HelpOrder");
    var query = new Bmob.Query(HelpOrder);
    var helpOrder = new HelpOrder();
    query.equalTo("orderID",parseInt(orderID));
    query.include("extraOrder");
    query.include("group");
    query.find({
        success: function(helpOrder) {
            if(helpOrder.length == 0){
                var error = {};
                error.code = 888;
                error.message = "No record";
                errorCallback(error);
                return;
            }
            successCallback(helpOrder[0]);
        },
        error: function(error) {
            errorCallback(error);
        }
    });
}

function GetADTable(successCallback,errorCallback){
    var aD = Bmob.Object.extend("AD");
    var query = new Bmob.Query(aD);
    query.equalTo("UpDown_frame",0);
    query.equalTo("show_help",1);
    // query.equalTo("AD_type",0);
    query.find({
        success:function(adtable){
            consoledebug.log("GetADTable adtable is" + JSON.stringify(adtable));
            successCallback(adtable);
        },
        error:function(error){
            consoledebug.log("GetADTable error is" + JSON.stringify(error));
            errorCallback(error);
        }
    })
}
/**
 * 修改订单状态
 * @param orderID
 * @param state
 * @param successCallback
 * @param errorCallback
 * @constructor
 */
function updateHelpOrderstate(orderID,state,successCallback, errorCallback) {
    var HelpOrder = Bmob.Object.extend("HelpOrder");
    var query = new Bmob.Query(HelpOrder);
    query.equalTo("orderID",parseInt(orderID));
    query.find({
        success: function (results) {
            if(results.length == 0){
                var error = {};
                error.code = 888;
                error.message = "No record";
                errorCallback(error);
                return;
            }
            var result = results[0];
            result.set("state",state);
            result.save().then(successCallback, errorCallback);
        },
        error: function (error) {
            errorCallback(error);
        }
    });
}

/**
 * 提取订单状态
 * @param orderID
 * @param successCallback
 * @param errorCallback
 * @constructor
 */
function GetHelpOrderstate(orderID,successCallback, errorCallback) {
    var HelpOrder = Bmob.Object.extend("HelpOrder");
    var query = new Bmob.Query(HelpOrder);
    query.equalTo("orderID",parseInt(orderID));
    query.find({
        success: function (results) {
            if(results.length>0) {
                successCallback(results[0].get("state"));
            }
            else
            {
                var error = {};
                error.code = 888;
                error.message = "No record";
                errorCallback(error);
            }

        },
        error: function (error) {
            errorCallback(error);
        }
    });
}



function makeGetKeyWordsHelpOrderList(myHhID, condition){
	consoledebug.log('GetHelpOrderList myHhID and condition are ' + myHhID + JSON.stringify(condition));
	var mySex = getMyAccount().sex;
	
    var HelperList = Bmob.Object.extend("HelperList");
    var helpEnroll = new Bmob.Query(HelperList);
    helpEnroll.equalTo("ownerID",myHhID);
    helpEnroll.greaterThanOrEqualTo("state",HELPER_ORDER_CLOSE);
    
    //报名时间选择
    var HelpOrder = Bmob.Object.extend("HelpOrder");
    var applyDeadlineQuery1 = new Bmob.Query(HelpOrder);
	applyDeadlineQuery1.equalTo("applyDeadlineTime", "0");
	
	var applyDeadlineQuery2 = new Bmob.Query(HelpOrder);
    var nowTime = (new Date()).getTime() + '';
	applyDeadlineQuery2.greaterThanOrEqualTo("applyDeadlineTime", nowTime);
	
	var applyDeadlineQuery3 = Bmob.Query.or(applyDeadlineQuery1, applyDeadlineQuery2);
    
	var HelpOrder = Bmob.Object.extend("HelpOrder");
    var query1 = new Bmob.Query(HelpOrder);
    if(condition.hasOwnProperty('orderName')){
        query1.contains("orderName",condition.orderName);
    }
    var HelpOrder = Bmob.Object.extend("HelpOrder");
    var query2 = new Bmob.Query(HelpOrder);
    if(condition.hasOwnProperty('description')){
        query2.contains("description",condition.description);
    }
    
    var query = Bmob.Query.or(query1, query2);
    query.equalTo("state", ASKER_ORDER_SELECT);  //只需要报名中的订单
    query.matchesKeyInQuery("orderID", "orderID", applyDeadlineQuery3);
    query.limit(SKIP_NUMBER);
    query.descending("createdAt");
    if(mySex == "男"){
    	query.notEqualTo("helperSex", 2);
    }else if(mySex == "女"){
    	query.notEqualTo("helperSex", 1);
    }
    query.near("orderGeo", condition.geo);
//  if(condition.hasOwnProperty('geo')){
//      query.withinKilometers("orderGeo", condition.geo, gHelpOrderZone);
//  }
    query.select("ownerID","orderID","orderName","classID","payment","helperNum","helperSex","applyDeadlineTime","place","orderGeo","description","tPhoto","status","beginTime")
    query.notEqualTo("ownerID", myHhID);
    query.doesNotMatchKeyInQuery("orderID", "orderID", helpEnroll);
    
    return query;
}


var SEARCH_HELP_SKIP_NUMBER = 5;
var gSearchHelpNum = 0;
var gSearchHelpQuery;
var gSearchHelpMark = [];
var gSearchHelpCondition;
//根据关键词搜索特定的求助订单
function GetKeyWordsHelpOrderList(myHhID, condition, successCallback, errorCallback){
    
    var searchHelpQuery = makeGetKeyWordsHelpOrderList(myHhID, condition);
	
    gQueryerHhID = myHhID;
    gSearchHelpCondition = condition;
    gSearchHelpQuery = searchHelpQuery;
    gSearchHelpNum = 0;
    searchHelpQuery.find({
        success: function (results) {
//      	consoledebug.log("results.length is "+results.length)
//          gHelpSkipNum = results.length;
//          successCallback(results);
            
            if(results.length >= SEARCH_HELP_SKIP_NUMBER){
            	gSearchHelpNum += results.length;
            	consoledebug.log("searchShowSkillList gSearchSkillSkipNum is " + gSearchHelpNum);
                successCallback(results);
            }else{
                getKeyWordsHelpOrderListNext(results,successCallback, errorCallback);
            }
        },
        error: function (error) {
            errorCallback(error);
        }
    });
}

function getKeyWordsHelpOrderListNext(foundOrders,successCallback, errorCallback){
	consoledebug.log("getKeyWordsHelpOrderListNext gSearchHelpNum is " + gSearchHelpNum);
	var myError = {};
	if (gSearchHelpNum == 0) {
		myError.code = 888;
		myError.message = "No more record";
		errorCallback(myError);
		return;
	} else if (gSearchHelpNum < MAX_ORDER_LIST) {
		gSearchHelpQuery.skip(gSearchHelpNum);
	} else {
		myError.code = 888;
		myError.message = "No more record";
		errorCallback(myError);
		return;
	}
	gSearchHelpQuery.find().then(function(helpInfo) {
		consoledebug.log("getKeyWordsHelpOrderListNext helpInfo is " + JSON.stringify(helpInfo));
		gSearchHelpNum += helpInfo.length;
		foundOrders = foundOrders.concat(helpInfo);
		successCallback(foundOrders);
	}, errorCallback);
}



/*
 * 发送购买服务微信提示
 */
function sendBuyShowWxPushNotification(type, hhID,skillID,helpOrder) {
	var myAccount = getMyAccount();
	var formParam = {
		"hhID" : hhID,
		"ownerID" : myAccount.hhID,
		"skillID" : skillID,
		"orderID" : helpOrder.get("orderID"),
		"nickname" : myAccount.nickName,
		"sex" : myAccount.sex,
		"orderName" : helpOrder.get("orderName"),
		"createdAt" : helpOrder.createdAt,
		"type" : type
	}
	if (TESTMODE) {
		var url = "http://hvgame.duapp.com/mxAppTest/mxAppSDK/sendWxPushNotification.php";
	} else {
		var url = "http://www.sapoten.cn/mxAppSDK/sendWxPushNotification.php";
	}
	consoledebug.log('sendWxPushNotification formParam is ' + JSON.stringify(formParam));
	consoledebug.log('sendWxPushNotification url is ' + url);
	$.ajax({
		type : 'post',
		url : url,
		data : formParam,
		cache : false,
		dataType : 'json',
		success : function(data, textStatus) {
			consoledebug.log("data is " + JSON.stringify(data))
			//					callback(data,textStatus);
		}
	});
}

/*
 * 发送订单报名微信提示
 */
function sendEnrollHelpWxPushNotification(type,helpOrder) {
	var myAccount = getMyAccount();
	var formParam = {
		"hhID" : helpOrder.get("ownerID"),
		"ownerID" : myAccount.hhID,
		"orderID" : helpOrder.get("orderID"),
		"nickname" : myAccount.nickName,
		"sex" : myAccount.sex,
		"orderName" : helpOrder.get("orderName"),
		"createdAt" : helpOrder.createdAt,
		"type" : type
	}
	if (TESTMODE) {
		var url = "http://hvgame.duapp.com/mxAppTest/mxAppSDK/sendWxPushNotification.php";
	} else {
		var url = "http://www.sapoten.cn/mxAppSDK/sendWxPushNotification.php";
	}
	consoledebug.log('sendWxPushNotification formParam is ' + JSON.stringify(formParam));
	consoledebug.log('sendWxPushNotification url is ' + url);
	$.ajax({
		type : 'post',
		url : url,
		data : formParam,
		cache : false,
		dataType : 'json',
		success : function(data, textStatus) {
			consoledebug.log("data is " + JSON.stringify(data))
			//					callback(data,textStatus);
		}
	});
}


function GetKeywordHelpOrderListNext(successCallback, errorCallback){
    var myError = {};
    consoledebug.log("GetHelpOrderListNext length is 0, gHelpOrderZone is "+gHelpOrderZone);
	if(gHelpOrderListQuery){
        if(gHelpSkipNum == 0){
            myError.code = 888;
            myError.message = "No more record";
            errorCallback(myError);
            return;
	    }
	    gHelpOrderListQuery.skip(gHelpSkipNum);
	    gHelpOrderListQuery.find().then(function(helpList){
            gHelpSkipNum += helpList.length;
            if(gHelpSkipNum > 200){
            	gHelpSkipNum = 0;	//让下次不再继续取数据，最多搜索 200 条
            }
            successCallback(helpList);
	    },errorCallback);
    }else{
    	errorCallback(myError);
    }
}
/**
 * 生成互助求助首页的查询条件
 * 查询方式为：先查3公里内的求助信息，以订单发布时间排序，后续再按照2公里范围向外扩张，每个区域内订单仍按订单发布时间排序。
 * 距离最大扩张到50公里。查询是分页查询，每次更新 SKIP_NUMBER 个数据
 * @param myHhID 是 {string} 类，查询人的 hhID
 * @param condition 是 {js.Object} 类，通过 condition.get(key) 可获取值，
 * 		可用的 key 有“helperagemax","helperagemin","paymentmax","paymentmin","orderTypes","helperNum","helperSex","geo",
 * 	    "limitnum","pagenum"
 * @param {Bmob.Query} query 查询条件.
 *
 */
function makeHelpOrderQuery(myHhID, condition){
	var mySex = getMyAccount().sex;
    consoledebug.log('GetHelpOrderList myHhID and condition are ' + myHhID + JSON.stringify(classification));
    var HelperList = Bmob.Object.extend("HelperList");
    var helpEnroll = new Bmob.Query(HelperList);
    helpEnroll.equalTo("ownerID",myHhID);
    helpEnroll.greaterThanOrEqualTo("state",HELPER_ORDER_CLOSE);

    var UserInfo = Bmob.Object.extend("UserInfo");
    var userInfo = new Bmob.Query(UserInfo);
    
    //报名时间选择
    var HelpOrder = Bmob.Object.extend("HelpOrder");
    var applyDeadlineQuery1 = new Bmob.Query(HelpOrder);
	applyDeadlineQuery1.equalTo("applyDeadlineTime", "0");
	
	var applyDeadlineQuery2 = new Bmob.Query(HelpOrder);
    var nowTime = (new Date()).getTime() + '';
	applyDeadlineQuery2.greaterThanOrEqualTo("applyDeadlineTime", nowTime);
	
	var query = Bmob.Query.or(applyDeadlineQuery1, applyDeadlineQuery2);
	
	
    
    if(condition.hasOwnProperty('helperagemax')){
        userInfo.lessThanOrEqualTo("age",parseInt(condition.helperagemax));
    }
    if(condition.hasOwnProperty('helperagemin')){
        userInfo.greaterThanOrEqualTo("age",parseInt(condition.helperagemin));
    }
    if(condition.hasOwnProperty('helperSex')){
        if(condition.helperSex == 1){
            userInfo.notEqualTo("sex","女");
        }
		if(condition.helperSex == 2){
        	userInfo.notEqualTo("sex","男");
        }
    }

    if(condition.hasOwnProperty('paymentmax')){
        query.lessThanOrEqualTo("payment",parseInt(condition.paymentmax));
    }
    if(condition.hasOwnProperty('paymentmin')){
        query.greaterThanOrEqualTo("payment",parseInt(condition.paymentmin));
    }
    if(condition.hasOwnProperty('orderTypes')){
    	var classIDs = condition.orderTypes.concat();
    	for(var i=0;i<classIDs.length;i++){
    		classIDs[i] = Number(classIDs[i]);
    	}
        query.containedIn("classID", classIDs);
    }
    if(condition.hasOwnProperty('helperNum')){
        if(condition.helperNum == 1){
            query.equalTo("helperNum",1);
        }
        if(condition.helperNum != 1){
            query.notEqualTo("helperNum",1);
        }
    }

    if(condition.hasOwnProperty('geo')){
        query.withinKilometers("orderGeo", condition.geo, gHelpOrderZone);
    }
    
    if(mySex == "男"){
    	query.notEqualTo("helperSex", 2);
    }else if(mySex == "女"){
    	query.notEqualTo("helperSex", 1);
    }
    query.notEqualTo("privacyMode", 1);
    query.lessThanOrEqualTo("reportNum",3);
    query.equalTo("state", ASKER_ORDER_SELECT);  //只需要报名中的订单
    query.matchesKeyInQuery("ownerID", "hhID", userInfo);
    query.limit(SKIP_NUMBER);
    query.equalTo("classification", Number(classification));
    query.descending("createdAt");
    query.select("orderID","orderName","classID","payment","helperNum","helperSex","applyDeadlineTime","place","orderGeo","description","tPhoto","status","beginTime")
    query.notEqualTo("ownerID", myHhID);
    query.doesNotMatchKeyInQuery("orderID", "orderID", helpEnroll);
    
    return query;
}
/**
 * 互助求助首页,查询求助列表
 * 查询方式为：先查3公里内的求助信息，以订单发布时间排序，后续再按照2公里范围向外扩张，每个区域内订单仍按订单发布时间排序。
 * 距离最大扩张到50公里。查询是分页查询，每次更新 SKIP_NUMBER 个数据
 * @param condition 是 {js.Object} 类，通过 condition.get(key) 可获取值，
 * 		可用的 key 有“helperagemax","helperagemin","paymentmax","paymentmin","orderType","helperNum","helperSex","geo",
 * 	    "limitnum","pagenum"
 * @param {function} successCallback 成功获取列表后回调函数，定义为 .
 * 		successCallback(results); results 是 {Bmob.Object} 对象数组，通过 results[x].get(key) 可获取值，
 * 		可用的 key 有 "orderID","orderName","payment","helperNum","helperSex","applyDeadline","place","orderGeo","description","photo"
 * @param {function} errorCallback 操作失败后回调函数，定义为：
 * 		errCallback(error); error is a class, {code: number, message:string}
 *
 */
var gHelpOrderListQuery;
var gHelpOrderZone=3;
var gQueryerHhID;
var gCondition;
function GetHelpOrderList(myHhID, condition, successCallback, errorCallback){
	gOutRangeListCount = 0;
    gQueryerHhID = myHhID;
    gHelpOrderZone=3;
    gCondition = condition;
    var query = makeHelpOrderQuery(myHhID, condition);
    gHelpOrderListQuery = query;
    gHelpSkipNum = 0;
    query.find({
        success: function (results) {
        	consoledebug.log("results.length is "+results.length)
            if(results.length >= SKIP_NUMBER) {
                gHelpSkipNum += results.length;
                successCallback(results);
            }else{
                GetHelpOrderListNext(results, successCallback, errorCallback);
            }
        },
        error: function (error) {
            errorCallback(error);
        }
    });
}



/**
 * 获取求助列表的下一页，GetHelpOrderList 方法配套使用
 * @param foundOrders 是 {Bmob.Object[]} 类数组，包含了上一步已经查找到的数据，但是数量不够，需要继续查找数据补充
 */
var gHelpSkipNum = 0;
function GetHelpOrderListNext(foundOrders, successCallback, errorCallback){
    var myError = {};
    consoledebug.log("GetHelpOrderListNext length is 0, gHelpOrderZone is "+gHelpOrderZone);
	if(gHelpOrderListQuery){
        if(gHelpSkipNum == 0){
            if(gHelpOrderZone < 80 && gCondition.geo){
                var HelpOrder = Bmob.Object.extend("HelpOrder");
                var oldQuery = new Bmob.Query(HelpOrder);
                oldQuery.withinKilometers("orderGeo", gCondition.geo, gHelpOrderZone);
                gHelpOrderZone += 3;
                var newQuery = makeHelpOrderQuery(gQueryerHhID, gCondition);
                newQuery.doesNotMatchKeyInQuery("orderID", "orderID", oldQuery);
                gHelpOrderListQuery = newQuery;
            }else{
            	GetHelpOrderListOutRangeNext(foundOrders, function(foundOrders){
            		successCallback(foundOrders);
            	},errorCallback);
            	return;
            }
        }else if(gHelpSkipNum < MAX_ORDER_LIST){
	        gHelpOrderListQuery.skip(gHelpSkipNum);
	    }else{
            myError.code = 888;
            myError.message = "No more record";
            errorCallback(myError);
            return;
	    }
	    gHelpOrderListQuery.find().then(function(helpList){
            if(helpList.length + foundOrders.length < SKIP_NUMBER ) {
            	foundOrders = foundOrders.concat(helpList);
                gHelpSkipNum = 0;
                GetHelpOrderListNext(foundOrders, successCallback, errorCallback);
            }else{
                gHelpSkipNum += helpList.length;
            	foundOrders = foundOrders.concat(helpList);
                successCallback(foundOrders);
            }
	    },errorCallback);
    }else{
    	errorCallback(myError);
    }
}
/**
 * 获取求助列表的80公里以外的下一页，GetHelpOrderList 方法配套使用
 * @param foundOrders 是 {Bmob.Object[]} 类数组，包含了上一步已经查找到的数据，但是数量不够，需要继续查找数据补充
 */
var gOutRangeListCount = 0;
function GetHelpOrderListOutRangeNext(foundOrders, sCallback, eCallback) {

	function successCallback(foundOrders,helpList){
		helpList = helpList.concat(foundOrders)
		sCallback(helpList);
	}
	function errorCallback(foundOrders){
		if(foundOrders.length == 0){
			var myError = {};
			myError.code = 888;
			myError.message = "No more record";
			eCallback(myError);
		}else{
			sCallback(foundOrders);
		}
	}
	consoledebug.log("GetHelpOrderListOutRangeNext foundOrders  is " + JSON.stringify(foundOrders));
	if (gOutRangeListCount == 0) {
		var HelpOrder = Bmob.Object.extend("HelpOrder");
		var oldQuery = new Bmob.Query(HelpOrder);
		oldQuery.withinKilometers("orderGeo", gCondition.geo, 81);
		
		var condition = clone(gCondition);
		
		delete condition.geo;
		var newQuery = makeHelpOrderQuery(gQueryerHhID, condition);
		newQuery.doesNotMatchKeyInQuery("orderID", "orderID", oldQuery);
		gHelpOrderListQuery = newQuery;
	} else {
		gHelpOrderListQuery.skip(gOutRangeListCount);
	}
	gHelpOrderListQuery.find().then(function(helpList) {
		if (helpList.length > 0) {
			gOutRangeListCount　+= helpList.length;
			successCallback(foundOrders,helpList);
		} else {
			errorCallback(foundOrders);		
		}
	}, function(){
		errorCallback(foundOrders);
	});
}

function clone(myObj){  
  if(typeof(myObj) != 'object') return myObj;  
  if(myObj == null) return myObj;  
  var myNewObj = new Object();  
  for(var i in myObj){  
  	if(myObj[i] instanceof Array){
  		myNewObj[i] = myObj[i];
  	}else{
     	myNewObj[i] = clone(myObj[i]);
    }
  }  
  return myNewObj;  
}

//获取某人所有可以报名的求助
function getSomeOneHelpList(hhID,successCallback, errorCallback){
	var HelpOrder = Bmob.Object.extend("HelpOrder");
    var query = new Bmob.Query(HelpOrder);
    query.equalTo("ownerID",parseInt(hhID));
    query.equalTo("state",ASKER_ORDER_SELECT);
    query.descending("createdAt");
    query.find({
        success: function (results) {
            successCallback(results);
        },
        error: function (error) {
            errorCallback(error);
        }
    });
}

/**
 * 我的求助历史
 * @param ownerID
 * @param {function} successCallback 成功获取朋友列表后回调函数，定义为 .
 * 		successCallback(results); results 是 {Bmob.Object} 对象数组，通过 results[x].get(key) 可获取值，
 * 		可用的 key 有 "orderID","orderName","payment","helperNum","helperSex","applyDeadline","place","description",
 * 		"photo","state"
 * @param {function} errorCallback 操作失败后回调函数，定义为：
 * 		errCallback(error); error is a class, {code: number, message:string}
 * @constructor
 */
function GetHistrotyHelpOrderOwnList(ownerID,successCallback, errorCallback){
    var HelpOrder = Bmob.Object.extend("HelpOrder");
    var query = new Bmob.Query(HelpOrder);
    
    var stateQuery1 = new Bmob.Query(HelpOrder);
	stateQuery1.lessThanOrEqualTo("state",ASKER_ORDER_CANCEL_CLOSE);
	var stateQuery2 = new Bmob.Query(HelpOrder);
	stateQuery2.equalTo("state",ASKER_ORDER_CLOSE);
	query = Bmob.Query.or(stateQuery1, stateQuery2);
	
    query.equalTo("ownerID",parseInt(ownerID));
    query.descending("createdAt");
    query.select("orderID","orderName","classID","payment","helperNum","helperSex","beginTime","place","description","tPhoto","state")
    query.find({
        success: function (results) {
            successCallback(results);
        },
        error: function (error) {
            errorCallback(error);
        }
    });
}

/**
 * 我的接受的求助历史
 * @param ownerID
 * @param {function} successCallback 成功获取朋友列表后回调函数，定义为 .
 * 		successCallback(results); results 是 {Bmob.Object} 对象数组，通过 results[x].get(key) 可获取值，
 * 		可用的 key 有 "orderID","orderName","payment","helperNum","helperSex","applyDeadline","place","description",
 * 		"photo","state"
 * @param {function} errorCallback 操作失败后回调函数，定义为：
 * 		errCallback(error); error is a class, {code: number, message:string}
 * @constructor
 */
function GetHistrotyHelperOrderList(ownerID,successCallback, errorCallback){
    var HelperList = Bmob.Object.extend("HelperList");
    var query = new Bmob.Query(HelperList);
    
    var stateQuery1 = new Bmob.Query(HelperList);
	stateQuery1.lessThanOrEqualTo("state",HELPER_ORDER_LOSE_SEAT_CLOSE);
	var stateQuery2 = new Bmob.Query(HelperList);
	stateQuery2.equalTo("state",HELPER_ORDER_CLOSE);
	query = Bmob.Query.or(stateQuery1, stateQuery2);

    query.equalTo("ownerID",parseInt(ownerID));
    query.descending("createdAt");
    query.include("order");
    query.find({
        success: function (results) {
            successCallback(results);
        },
        error: function (error) {
            errorCallback(error);
        }
    });
}
/**
 * 我的正在报名中的求助列表
 * @param ownerID
 * @param {function} successCallback 成功获取朋友列表后回调函数，定义为 .
 * 		successCallback(results); results 是 {Bmob.Object} 对象数组，通过 results[x].get(key) 可获取值，
 * 		可用的 key 有 "orderID","orderName","payment","helperNum","helperSex","applyDeadline","place","description",
 * 		"photo","state"
 * @param {function} errorCallback 操作失败后回调函数，定义为：
 * 		errCallback(error); error is a class, {code: number, message:string}
 * @constructor
 */
function GetHelpOrderOwnList(ownerID,successCallback, errorCallback){
    var HelpOrder = Bmob.Object.extend("HelpOrder");
    var query = new Bmob.Query(HelpOrder);
    query.equalTo("ownerID",parseInt(ownerID));
    query.equalTo("state",ASKER_ORDER_SELECT);   //1为报名中，2为帮助中，3为已完成，4为已取消
    query.select("orderID","orderName","payment","helperNum","helperSex","applyDeadlineTime","place","description","photo","state")
    query.find({
        success: function (results) {
            successCallback(results);
        },
        error: function (error) {
            errorCallback(error);
        }
    });
}

/**
 * 互助详情
 * @param orderID
 * @param limitnum 最小显示数
 * @param pagenum 页数
 * @param {function} successCallback 成功获取列表后回调函数，定义为 .
 * 		successCallback(results); results 是 {Bmob.Object} 对象数组，通过 results[x].get(key) 可获取值，
 * 		可用的 key 有 "orderID","orderName","payment","helperNum","helperSex","beginTime","applyDeadline","place",
 * 		"description","photo"
 * @param {function} errorCallback 操作失败后回调函数，定义为：
 * 		errCallback(error); error is a class, {code: number, message:string}
 * @constructor
 */
function GetHelpOrderInfo(orderID,limitnum,pagenum,successCallback,errorCallback){
    var HelpOrder = Bmob.Object.extend("HelpOrder");
    var query = new Bmob.Query(HelpOrder);

//  query.equalTo("ownerID",ownerID);
    query.limit(limitnum);
    query.skip((pagenum - 1)*limitnum );
    query.select("orderID","classID","orderName","payment","helperNum","helperSex","beginTime","applyDeadlineTime","place","description","photo","ID","orderGeo")
    query.find({
        success: function (results) {
        consoledebug.log("GetHelpOrderInfo HelpOrder query 共查询到 " + results.length + " 条记录");
            successCallback(results);
        },
        error: function (error) {
            errorCallback(error);
        }
    });

}






/**
 * 对应orderID的评论内容
 * @param orderID
 * @param successCallback
 * @param errorCallback
 * @constructor
 */
var HELP_COMMENT_SKIP_NUMBER = 5;
var gHelpCommentSkipNum = 0;
function GetCommentList(orderID,successCallback,errorCallback){
    var HelpComment = Bmob.Object.extend("HelpComment");
    var query = new Bmob.Query(HelpComment);
    orderID = Number(orderID);
    query.equalTo("orderID",orderID);
    query.limit(HELP_COMMENT_SKIP_NUMBER);
    query.skip(gHelpCommentSkipNum);
    query.descending("createdAt");
    query.find({
        success: function (results) {
        	gHelpCommentSkipNum += results.length;
            successCallback(results);
        },
        error: function (error) {
            errorCallback(error);
        }
    })
};

function GetsportClasses(successCallback,errorCallback){
	sportClasses = Bmob.Object.extend("sportClasses");
	var query = new Bmob.Query(sportClasses);
	query.descending("createdAt");
	query.find({
        success: function (results) {
        	consoledebug.log('GetsportClasses is'+JSON.stringify(results));
            successCallback(results);
        },
        error: function (error) {
            errorCallback(error);
        }
    });
};

function GetactionClasses(successCallback,errorCallback){
	actionClasses = Bmob.Object.extend("actionClasses");
	var query = new Bmob.Query(actionClasses);
	query.descending("createdAt");
	query.find({
        success: function (results) {
            successCallback(results);
        },
        error: function (error) {
            errorCallback(error);
        }
    });
};

function GetPublishClass(successCallback,errorCallback){
	PublishClassa = Bmob.Object.extend("PublishClass");
	var query = new Bmob.Query(PublishClassa);
	query.descending("createdAt");
	query.find({
        success: function (results) {
            successCallback(results);
        },
        error: function (error) {
            errorCallback(error);
        }
    });
};

function GetfineClass(successCallback,errorCallback){
	fineClass = Bmob.Object.extend("fineClass");
	var query = new Bmob.Query(fineClass);
	query.descending("createdAt");
	query.find({
        success: function (results) {
            successCallback(results);
        },
        error: function (error) {
            errorCallback(error);
        }
    });
}

/**
 * 获取服务
 */
function GetServicescommens(successCallback,errorCallback){
	ServicesComment = Bmob.Object.extend("PopularServices");
	var query = new Bmob.Query(ServicesComment);
	query.descending("createdAt");
	query.find({
        success: function (results) {
            successCallback(results);
        },
        error: function (error) {
            errorCallback(error);
        }
    });
	
}
/**
 * 获取求助
 */
function GetHelpcommens(successCallback,errorCallback){
	Helpcommens = Bmob.Object.extend("PopularHelps");
	var query = new Bmob.Query(Helpcommens);
	query.descending("createdAt");
	query.find({
        success: function (results) {
            successCallback(results);
        },
        error: function (error) {
            errorCallback(error);
        }
    });
	
}
/**
 * 获取活动
 */
function GetSportcommens(successCallback,errorCallback){
	Sportcommens = Bmob.Object.extend("PopularSports");
	var query = new Bmob.Query(Sportcommens);
	query.descending("createdAt");
	query.find({
        success: function (results) {
            successCallback(results);
        },
        error: function (error) {
            errorCallback(error);
        }
    });
	
}



function GetHelpCommentListCount(orderID,successCallback,errorCallback){
	var HelpComment = Bmob.Object.extend("HelpComment");
    var query = new Bmob.Query(HelpComment);
    orderID = Number(orderID);
    query.equalTo("orderID",orderID);
    query.count().then(function(count){
    	successCallback(count);
    },function(error){
    	errorCallback(error);
    });
}

/**
 * 添加评论
 * @param orderID
 * @param commentID
 * @param ownerID
 * @param commentTime
 * @param title
 * @param content
 * @param successCallback
 * @param errorCallback
 */
function insertComment(orderID,commentID,ownerID,commentTime,title,content,successCallback,errorCallback){
    orderID = Number(orderID);
    var HelpComment = Bmob.Object.extend("HelpComment");
    var helpComment = new HelpComment();
    helpComment.set("orderID", orderID);
    helpComment.set("commentID", commentID);
    helpComment.set("ownerID", ownerID);
    helpComment.set("title", title);
    helpComment.set("content", content);
    consoledebug.log('insertComment helpComment is '+ JSON.stringify(helpComment));
    consoledebug.log('insertComment helpComment typeof is '+ typeof(helpComment.get("orderID")) + typeof(helpComment.get("commentID")) + typeof(helpComment.get("ownerID")) + typeof(helpComment.get("title")) + typeof(helpComment.get("content")))
    helpComment.save().then(function(helpComment){
        	successCallback(helpComment);
        },function(error){
    		consoledebug.log('helpComment save error is '+ JSON.stringify(error));
        	errorCallback(error);
    	})
}

/**
 * 获取报名人列表
 * @param orderID
 * @param successCallback
 * @param errorCallback
 * @constructor
 */
function GethelpEnrollList(orderID,successCallback,errorCallback){
    var HelperList = Bmob.Object.extend("HelperList");
    var helpEnroll = new Bmob.Query(HelperList);
    orderID = Number(orderID);
    helpEnroll.equalTo("orderID",orderID);
    helpEnroll.greaterThanOrEqualTo("state",HELPER_ORDER_SELECTING);
    helpEnroll.descending("createdAt");
    helpEnroll.find({
        success: function (results) {
        consoledebug.log("共查询到 " + results.length + " 条记录");
            successCallback(results);
        },
        error: function (error) {
            errorCallback(error);
        }
    });
}

/**
 * 报名
 * @param orderRecord {Bmob.object} 订单表对象
 * @param ownerID
 * @param entryfee
 * @param successCallback
 * @param errorCallback
 * @constructor
 */
function InserthelpEnroll(orderRecord, ownerID, entryfee, successCallback, errorCallback) {
	var orderID = orderRecord.get("orderID");
	//先存日志数据，里面包含事务处理标记，如果全部存储成功，则对事务标记置位
	insertLogBegin(orderID, ownerID, OPERATION_HELPER_ENROLL, function(trance) {
		var HelperList = Bmob.Object.extend("HelperList");
		var helperList = new HelperList();
		helperList.set("orderID", orderID);
		helperList.set("ownerID", ownerID);
		helperList.set("state", HELPER_ORDER_CREATING);
		helperList.set("entryfee", entryfee);
		helperList.set("order", orderRecord);
		helperList.save().then(function(helperList) {
			var relation = orderRecord.relation('helperList');
			relation.add(helperList);
			orderRecord.save().then(function(order) {
				insertLogCommit(trance, function() {
					consoledebug.log("InserthelpEnroll success helperList is " + JSON.stringify(helperList));
					successCallback(helperList);
				}, function(error) {
					consoledebug.log("InserthelpEnroll insertLogCommit error is " + JSON.stringify(error));
					successCallback(helperList);
				})
			}, function(error) {
				consoledebug.log("InserthelpEnroll orderRecord error is " + JSON.stringify(error));
				successCallback(helperList);
			})
		});
	}, function(error) {
		consoledebug.log("InserthelpEnroll helperListLog error is " + JSON.stringify(error));
			errorCallback(error);
	})
}

	function InsertHelpEnrollCreate(orderRecord, ownerID, entryfee, successCallback, errorCallback) {
		var orderID = orderRecord.get("orderID");
		var HelperList = Bmob.Object.extend("HelperList");
		var helperList = new HelperList();
		helperList.set("orderID", orderID);
		helperList.set("ownerID", ownerID);
		helperList.set("state", HELPER_ORDER_CREATING);
		helperList.set("entryfee", entryfee);
		helperList.set("order", orderRecord);
		helperList.save().then(function(helperList) {
			successCallback(helperList);
		}, function(error) {
			consoledebug.log('InsertHelpEnrollCreate helperList save error is ' + JSON.stringify(error));
			if (error.code == 401) {//重复插入记录，已经报过名了，已经有了记录
				var HelperList = Bmob.Object.extend("HelperList");
				var helpEnroll = new Bmob.Query(HelperList);
				helpEnroll.equalTo("orderID", orderID);
				helpEnroll.equalTo("ownerID", ownerID);
				//helpEnroll.equalTo("state", HELPER_ORDER_CREATING);
				helpEnroll.find({
					success : function(results) {
						if (results.length > 0) {
							if(results[0].get("state") < 0){
								results[0].set("state", HELPER_ORDER_CREATING);
								results[0].save().then(successCallback, errorCallback)
							}else{
								error.code = 888;
								error.message = "has been enrolled";
								errorCallback(error);
							}
						} else {
							error.code = 888;
							error.message = "has been enrolled";
							errorCallback(error);
						}
					},
					error : function(error) {
						error.code = 888;
						error.message = "has been enrolled";
						errorCallback(error);
					}
				});
			} else {
				errorCallback(error);
			}
		});
	}



/**
 * 选定帮助人
 * @param orderID
 * @param ownerIDs
 * @param successCallback
 * @param errorCallback
 */
function selecthelper(orderID,ownerIDs,successCallback,errorCallback) {
    updatehelperListstate(orderID, ownerIDs, 2, successCallback, errorCallback);
}

/**
 * 修改帮助人状态
 * @param orderID
 * @param ownerIDs
 * @param state
 * @param successCallback
 * @param errorCallback
 */
function updatehelperListstate(orderID,ownerIDs,state,successCallback,errorCallback) {
    var HelperList = Bmob.Object.extend("HelperList");
    var helperList = new Bmob.Query(HelperList);
    helperList.equalTo("orderID",orderID);
    helperList.containedIn("ownerID",ownerIDs);
    helperList.find().then(function(results) {
        // Collect one promise for each delete into an array.
        var promises = [];
        _.each(results, function(result) {
            // Start this delete immediately and add its promise to the list.
            result.set("ownerID", ownerIDs);
            result.set("state", state);
            promises.push(result.save());
        });
        // Return a new promise that is resolved when all of the deletes are finished.
        return Bmob.Promise.when(promises);

    }).then(function() {
        // Every comment was deleted.
    });
}

/**
 * 提取帮助人列表
 * @param orderID
 * @param successCallback
 * @param errorCallback
 */
function selecthelperList(orderID,successCallback,errorCallback) {
    var HelperList = Bmob.Object.extend("HelperList");
    var helperList = new Bmob.Query(HelperList);
    helperList.equalTo("orderID",orderID);
    helperList.greaterThanOrEqualTo("state",HELPER_ORDER_RUNNING);
    helperList.find({
        success: function (results) {
            successCallback(results);
        },
        error: function (error) {
            errorCallback(error);
        }
    });
}

/**
 * 查看自己是报名人还是帮助人以及所属状态
 * @param orderID
 * @param ownerID
 * @param successCallback
 * @param errorCallback
 */
function checkhelperstate(orderID,ownerID,successCallback,errorCallback){
    var HelperList = Bmob.Object.extend("HelperList");
    var helperList = new Bmob.Query(HelperList);
    helperList.equalTo("orderID",orderID);
    helperList.equalTo("ownerID",ownerID);
    helperList.find({
        success: function (results) {
            if(results.length == 0)
            {
                var HelpEnroll = Bmob.Object.extend("HelpEnroll");
                var helpEnroll = new Bmob.Query(HelpEnroll);
                helpEnroll.equalTo("orderID",orderID);
                helpEnroll.equalTo("ownerID",ownerID);
                helpEnroll.find({
                    success: function (helpEnroll) {
                        var object = new object();
                        object.addUnique("object", "Enroll");
                        object.addUnique("state", helpEnroll.state);
                        object.save();
                        successCallback(object);
                    },
                    error: function (error) {
                        errorCallback(error);
                    }
                });

            }
            else {
                var object = new object();
                object.addUnique("object", "helper");
                object.addUnique("state", helpEnroll.state);
                object.save();
                successCallback(object);
            }
        },
        error: function (error) {
            errorCallback(error);
        }
    });
}


/**
 * 我的正在报名中的求助列表
 * @param ownerID
 * @param {function} successCallback 成功获取朋友列表后回调函数，定义为 .
 * 		successCallback(results); results 是 {Bmob.Object} 对象数组，通过 results[x].get(key) 可获取值，
 * 		可用的 key 有 "orderID","orderName","payment","helperNum","helperSex","applyDeadline","place","description",
 * 		"photo","state"
 * @param {function} errorCallback 操作失败后回调函数，定义为：
 * 		errCallback(error); error is a class, {code: number, message:string}
 * @constructor
 */
function GetHelpOrderMyEnrolling(ownerID,successCallback, errorCallback){
    var HelpOrder = Bmob.Object.extend("HelpOrder");
    var query = new Bmob.Query(HelpOrder);
    query.equalTo("ownerID",parseInt(ownerID));
    query.equalTo("state",ASKER_ORDER_SELECT);   //1为报名中，2为帮助中，3为已完成，4为已取消
    query.select("orderID","orderName","classID","payment","helperNum","helperSex","applyDeadlineTime","place","description","photo","state")
    query.find({
        success: function (results) {
            successCallback(results);
        },
        error: function (error) {
            errorCallback(error);
        }
    });
}

/**
 * 检查参数 hhID指代的用户 与 参数orderID指代的求助订单之间有无关系 
 * @param {Number} hhID 
 * @param {Number} orderID 成功获取朋友列表后回调函数，定义为 .
 * @param {function}  successCallback（result）, 
 * 			result：{Number}， 0: 没有关系，1：hhID 为发布人； 2：hhID 为报名人； 3：hhID 为帮助人
 * @param {function} errorCallback 操作失败后回调函数，定义为：
 * 		errCallback(error); error is a class, {code: number, message:string}
 */
function checkRelationship(hhID, orderID, successCallback, errorCallback){
	consoledebug.log('checkRelationship param are '+ typeof hhID + hhID + typeof orderID + orderID);
	hhID = Number(hhID);
	orderID = Number(orderID);
	var result;
    var HelpOrder = Bmob.Object.extend("HelpOrder");
    var query = new Bmob.Query(HelpOrder);
    query.equalTo("orderID", orderID);
    query.equalTo("ownerID", hhID);
    query.count({
        success: function (count) {
			consoledebug.log('checkRelationship HelpOrder count is '+ count);
			if(count == 0){
				var HelpEnroll = Bmob.Object.extend("HelperList");
			    var query2 = new Bmob.Query(HelpEnroll);
			    query2.equalTo("orderID", orderID);
			    query2.equalTo("ownerID", hhID);
                query2.greaterThan("state", 0);
//			    query2.count({
			    query2.find({
			        success: function (results) {
						consoledebug.log('checkRelationship HelpEnroll count is '+ results);
						if(results.length == 0){
							result = 0;
							successCallback(result);
						}else{
							var nowTime = Number(new Date().getTime());
							//applyDeadlineTime时间有可能为0
							var applyDeadlineTime = Number(results[0].get("applyDeadlineTime"));
							if(applyDeadlineTime!=0 && nowTime > applyDeadlineTime){
								result = 3;
								successCallback(result);
							}else{
								result = 2;
								successCallback(result);
							}
						}
			        },
			        error: function (error) {
						consoledebug.log('checkRelationship HelpEnroll error is '+ JSON.stringify(error));
						result = 0;
						successCallback(result);
			        }
			    });
			}else{
				result = 1;
				successCallback(result);
			}
        },
        error: function (error) {
			consoledebug.log('checkRelationship HelpOrder error is '+ JSON.stringify(error));
            errorCallback(error);
        }
    });
}



/**
 * 与我有关的进行中列表,注意，查出来的是订单表，如果自己是帮助人，订单表中的state 并不是自己的state。需要重新获取
 * @param hhID
 * @param {function} successCallback 成功获取朋友列表后回调函数，定义为 .
 * 		successCallback(results); results 是 {Bmob.Object} 对象数组，通过 results[x].get(key) 可获取值，
 * 		可用的 key 有 "orderID","orderName","payment","helperNum","helperSex","applyDeadline","place","description",
 * 		"photo","state"
 * @param {function} errorCallback 操作失败后回调函数，定义为：
 * 		errCallback(error); error is a class, {code: number, message:string}
 * @constructor
 */
function GetRunningOrders(hhID,successCallback, errorCallback){
    var HelperList = Bmob.Object.extend("HelperList");
    var helperList = new Bmob.Query(HelperList);
    helperList.greaterThan("state", 0); //-1 为未选中关闭，0为关闭，1为等待选帮助人、2帮助进行中、3等待验收、4结算处理，5完成通知，6未被选中通知、7帮助取消通知
    helperList.equalTo("ownerID", hhID);
    var HelpOrder = Bmob.Object.extend("HelpOrder");
    var helpOrder = new Bmob.Query(HelpOrder);
    helpOrder.matchesKeyInQuery("orderID", "orderID", helperList);

    var HelpOrder2 = Bmob.Object.extend("HelpOrder");
    var helpOrder2 = new Bmob.Query(HelpOrder2);
    helpOrder2.equalTo("ownerID", hhID);
    helpOrder2.greaterThan("state", 0); //0为关闭，1为等待选帮助人、2帮助进行中、3等待验收、4结算处理，5完成通知，6未被选中通知、7帮助取消通知

    var mainQuery = Bmob.Query.or(helpOrder, helpOrder2);
    mainQuery.select("orderID", "ownerID", "orderName", "classID", "applyDeadlineTime", "place", "beginTime", "state");
    mainQuery.descending("updatedAt");
    mainQuery.find({
        success: function (results) {
            successCallback(results);
        },
        error: function (error) {
            errorCallback(error);
        }
    });
}

function getNewRunningOrders(hhID,lastUpdateTime){
	var lastDate;
	if(lastUpdateTime){
		lastDate = new Date(lastUpdateTime.replace(new RegExp("-","gm"),"/"));
	}
	var promise = new Bmob.Promise();
	
    var HelperList = Bmob.Object.extend("HelperList");
    var helperList = new Bmob.Query(HelperList);
    helperList.greaterThan("state", 0); //-1 为未选中关闭，0为关闭，1为等待选帮助人、2帮助进行中、3等待验收、4结算处理，5完成通知，6未被选中通知、7帮助取消通知
    helperList.equalTo("ownerID", hhID);
    if(lastDate){
	    helperList.greaterThan("updatedAt", lastDate);
    }
    var HelpOrder = Bmob.Object.extend("HelpOrder");
    var helpOrder = new Bmob.Query(HelpOrder);
    helpOrder.matchesKeyInQuery("orderID", "orderID", helperList);
	
	
    var HelpOrder3 = Bmob.Object.extend("HelpOrder");
    var helpOrder3 = new Bmob.Query(HelpOrder3);
    helpOrder3.matchesKeyInQuery("orderID", "orderID", helperList);
    if(lastDate){
	    helpOrder3.greaterThan("updatedAt", lastDate);
    }

    var HelpOrder2 = Bmob.Object.extend("HelpOrder");
    var helpOrder2 = new Bmob.Query(HelpOrder2);
    helpOrder2.equalTo("ownerID", hhID);
    helpOrder2.greaterThan("state", 0); //0为关闭，1为等待选帮助人、2帮助进行中、3等待验收、4结算处理，5完成通知，6未被选中通知、7帮助取消通知
	if(lastDate){
	    helpOrder2.greaterThan("updatedAt", lastDate);
    }
    
    var mainQuery = Bmob.Query.or(helpOrder, helpOrder2, helpOrder3);
    mainQuery.select("orderID", "ownerID", "orderName", "classID", "applyDeadlineTime", "place", "beginTime", "state");
    if(lastDate){
	    mainQuery.greaterThan("updatedAt", lastDate);
    }
    mainQuery.descending("updatedAt");
    mainQuery.find({
        success: function (results) {
        	promise.resolve(results);
        },
        error: function (error) {
        	promise.reject(error);
        }
    });
    
    return promise;
}

function GetHelperOrdersState(hhID, orderContained, successCallback, errorCallback){
    consoledebug.log("GetHelperOrdersState orderContained is " + JSON.stringify(orderContained));
    var HelpOrder = Bmob.Object.extend("HelperList");
    var query = new Bmob.Query(HelpOrder);
    query.equalTo("ownerID",parseInt(hhID));
    query.select("orderID", "ownerID", "state");
    if(orderContained.length > 0){
        query.containedIn("orderID", orderContained);
    }
    query.descending("updatedAt");
    query.find().then(function(orders){
        if(orders.length > 0){
            successCallback(orders);
        }else{
            var error = {
               code : 888,
               massage: 'length is 0 '
            }
            errorCallback(error);
        }
    }, errorCallback);
}

function askerOrderStateCheck(orderRecord, successCallback, errorCallback){
	switch(orderRecord.get("state")){
		case ASKER_ORDER_RUNNING:
			allHelperFinishCheck(orderRecord, successCallback, errorCallback);
			break;
		case ASKER_ORDER_APPRAISING:
			allHelperCompleteCheck(orderRecord, successCallback, errorCallback);
			break;
		default:
			successCallback(orderRecord);
		break;
	}
}

function GetAskerOrderState(orderID, successCallback, errorCallback) {
    var HelpOrder = Bmob.Object.extend("HelpOrder");
    var query = new Bmob.Query(HelpOrder);
    query.equalTo("orderID",parseInt(orderID));
    query.select("state","orderID");
    query.find().then(function(orders){
        if(orders.length > 0){
    		consoledebug.log("GetAskerOrderState orders is " + JSON.stringify(orders));
    		askerOrderStateCheck(orders[0], function(orderRecord){
            	successCallback(orderRecord.get('state'));
    		}, errorCallback);
        }else{
            var error = {
               code : 888,
               massage: 'length is 0 '
            }
            errorCallback(error);
        }
    }, errorCallback);
}

function GetHelperOrderState(orderID, successCallback, errorCallback) {
    var HelpOrder = Bmob.Object.extend("HelperList");
    var query = new Bmob.Query(HelpOrder);
    query.equalTo("orderID",parseInt(orderID));
    query.equalTo("ownerID",getMyAccount().hhID);
    query.select("state");
    query.find().then(function(orders){
        if(orders.length > 0){
            successCallback(orders[0].get('state'));
        }else{
            var error = {
               code : 888,
               massage: 'length is 0 '
            }
            errorCallback(error);
        }
    }, errorCallback);
}

function getInviteOrders(hhID,successCallback, errorCallback){
    var HelpOrder = Bmob.Object.extend("HelpOrder");
    var helpOrder = new Bmob.Query(HelpOrder);
    helpOrder.equalTo("ownerID", hhID);
    helpOrder.equalTo("state", ASKER_ORDER_SELECT);

    helpOrder.select("orderID","orderName","classID","payment","helperNum","helperSex","beginTime","place","description","tPhoto","state");
    helpOrder.descending("createdAt");
    helpOrder.find({
        success: function (results) {
            successCallback(results);
        },
        error: function (error) {
            errorCallback(error);
        }
    });
}


function deleteHelpOrder(orderID, successCallback, errorCallback) {
	var HelpOrder = Bmob.Object.extend("HelpOrder");
	var helpOrder = new Bmob.Query(HelpOrder);
	helpOrder.equalTo("orderID", orderID);
	helpOrder.destroyAll({
		success : function() {
            successCallback();
		},
		error : function(error) {
			consoledebug.log('deleteHelpOrder HelpOrder error is '+ JSON.stringify(error));
            errorCallback(error);
		}
	});
}

/**
 * 求助人取消订单
 * @param {Bmob.Object} orderRecord HelpOrder 表对象
 * @param {function} successCallback 成功获取朋友列表后回调函数，定义为 .
 * 		successCallback(helperList); helperList 是 {Bmob.Object} 对象数组，此订单的求助人列表，
 * 		可用的 key 有 "orderID","state","ownerID"
 * @param {function} errorCallback 操作失败后回调函数，定义为：
 * 		errCallback(error); error is a class, {code: number, message:string}
 * @constructor
 */
function cancelHelpOrder(orderRecord, successCallback, errorCallback){
	var state = orderRecord.get('state');
	var operation;
	if(state == 1 ){
		operation = OPERATION_ASKER_CANCEL1;
	}else if(state > 1){
		operation = OPERATION_ASKER_CANCEL2;
	}else{
        consoledebug.log('cancelHelpOrder orderRecord has been canceled ');
        successCallback();
	    return;
	}
	insertLogBegin(orderRecord.get("orderID"), orderRecord.get("ownerID"), operation, function(trance){
    	var HelperList = Bmob.Object.extend("HelperList");
        var query = new Bmob.Query(HelperList);
        query.equalTo("orderID", orderRecord.get("orderID"));
        var helperList;
        query.select("orderID","state","ownerID");
        query.find().then(function(results) {
        	helperList = results;
            // Collect one promise for each delete into an array.
            var promises = [];
//          _.each(results, function(result) {
//              // Start this save immediately and add its promise to the list.
//              result.set("state", HELPER_ORDER_CANCEL);
//              promises.push(result.save());
//          });
            for(var i=0;i<results.length;i++){
                results[i].set("state", HELPER_ORDER_CANCEL);
                promises.push(results[i].save());
            }
            // Return a new promise that is resolved when all of the deletes are finished.
            return Bmob.Promise.when(promises);
    
        }).then(function() {
            // Every comment was saved.
            orderRecord.set('state', 0);
            orderRecord.save().then(function(order){
                insertLogCommit(trance, function() {
                    successCallback(helperList);
                }, function(error) {
                    consoledebug.log('cancelHelpOrder insertLogCommit error is ' + JSON.stringify(error));
                    successCallback(helperList);
                }); 
            },function(error){
                consoledebug.log('cancelHelpOrder orderRecord save error is '+ JSON.stringify(error));
                errorCallback(error);
            });
        },function(errors){
        	consoledebug.log('cancelHelpOrder some helperList save error is '+ JSON.stringify(errors));
        	var error = {
        	   code : 888,
        	   massage: 'ome helperList save error'
        	}
            errorCallback(error);
        });
	},function(error){
        consoledebug.log('cancelHelpOrder insertLogBegin error is '+ JSON.stringify(error));
        errorCallback(error);
	});
}


/**
 * 帮助人取消报名
 * @param {Number} orderID  订单ID
 * @param {Number} myHHID   退出人的ID
 * @param {function} successCallback 成功获取朋友列表后回调函数，定义为 .
 *      successCallback(); 
 * @param {function} errorCallback 操作失败后回调函数，定义为：
 *      errCallback(error); error is a class, {code: number, message:string}
 */
function quitHelpEnroll(orderID, myHHID, successCallback, errorCallback){
    var HelpOrder = Bmob.Object.extend("HelperList");
    var helpOrder = new Bmob.Query(HelpOrder);
    helpOrder.equalTo("orderID", orderID);
    helpOrder.equalTo("ownerID", myHHID);
    helpOrder.include("order");
    helpOrder.select("orderID","state","order","helperList")
    helpOrder.find({
        success: function (results) {
            if(results.length > 0){
                consoledebug.log('quitHelpEnroll HelperList is '+ JSON.stringify(results[0]));
                var orderRecord = results[0].get('order');
                var state = results[0].get('state');
                var operation;
                if(state == HELPER_ORDER_SELECTING){
                    operation = OPERATION_HELPER_QUIT1;
                }else if(state == HELPER_ORDER_RUNNING){
                    operation = OPERATION_HELPER_QUIT2;
                }else{
                    consoledebug.log('you cannot quit this order');
                    errorCallback();
                    return;
                }
                insertLogBegin(orderID, myHHID, operation,function(trance){
                	results[0].set("state", HELPER_ORDER_QUIT_CLOSE)
//                  results[0].destroy().then(function() {
					results[0].save().then(function() {
                        insertLogCommit(trance, function() {
                            successCallback();
                        }, function(error) {
                            consoledebug.log('quitHelpEnroll insertLogCommit error is ' + JSON.stringify(error));
                            successCallback();
                        });
                    }, function(error) {
                        consoledebug.log('quitHelpEnroll HelperList destroy error is ' + JSON.stringify(error));
                        errorCallback(error);
                    })
                },function(error){
                    consoledebug.log('quitHelpEnroll insertLogBegin error is '+ JSON.stringify(error));
                    errorCallback(error);
                });
            }
        },
        error: function (error) {
            consoledebug.log('quitHelpEnroll helpOrder find error is '+ JSON.stringify(error));
            errorCallback(error);
        }
    });
}

function insertLogBegin(orderID, ownerID, operation, successCallback, errorCallback) {
//	var HelpLog = Bmob.Object.extend("HelpLog");
//	var helpLog = new HelpLog();
//	helpLog.set("orderID", orderID);
//	helpLog.set("ownerID", ownerID);
//	helpLog.set("state", operation);
//  helpLog.set("trance", 0);
//	helpLog.save().then(function(helpLog) {
//	   successCallback(helpLog);
//	}, function(error) {
//	   errorCallback(error);
//		consoledebug.log('insertLogBegin helpLog save error is '+ JSON.stringify(error));
//	});
	successCallback();
}

function insertLogCommit(LogRecord, successCallback, errorCallback){
//  LogRecord.set("trance", 1);
//  LogRecord.save().then(function(helpLog) {
//     successCallback(helpLog);
//  }, function(error) {
//     errorCallback(error);
//      consoledebug.log('insertLogCommit helpLog save error is '+ JSON.stringify(error));
//  });
	successCallback();
}


/**
 * 求助人选定帮助人, 只改被选中的帮助人状态，落选的报名人要走退报名费的流程
 * @param {Bmob.Object} orderRecord HelpOrder 表对象
 * @param {Bmob.Object} helperListRecord HelpList 表对象，该订单所有的报名人列表
 * @param {Number[]} confirmList 数字数组，被选中的帮助人 hhID 数组
 * @param {function} successCallback 成功获取朋友列表后回调函数，定义为 .
 *      successCallback(helperList); helperList 是 {Bmob.Object} 对象数组，此订单的求助人列表，
 *      可用的 key 有 "orderID","state","ownerID"
 * @param {function} errorCallback 操作失败后回调函数，定义为：
 *      errCallback(error); error is a class, {code: number, message:string}
 */
function confirmHelper(orderRecord, helperListRecord, confirmList){
    var promises = [];
    var promise = new Bmob.Promise();
    insertLogBegin(orderRecord.get("orderID"), orderRecord.get("ownerID"), OPERATION_ASKER_SELECT, function(trance){
        for(var i=0;i<helperListRecord.length;i++){
            for(var j=0;j<confirmList.length;j++){
                if(helperListRecord[i].get('ownerID') == confirmList[j]){
                    helperListRecord[i].set('state', HELPER_ORDER_RUNNING);
                    promises.push(helperListRecord[i].save());
                    break;
                }
            }
        }
        Bmob.Promise.when(promises).then(function(){
            orderRecord.set('state', ASKER_ORDER_RUNNING);
            orderRecord.set('selectNum', confirmList.length);
            orderRecord.save().then(function(order){
                insertLogCommit(trance, function() {
                    promise.resolve(helperListRecord);
                }, function(error) {
                    consoledebug.log('confirmHelper insertLogCommit error is ' + JSON.stringify(error));
                    promise.resolve(helperListRecord);
                }); 
            },function(error){
                consoledebug.log('confirmHelper orderRecord save error is '+ JSON.stringify(error));
                promise.reject(error);
            })
        },function(errors){
            consoledebug.log('confirmHelper some helperList save error is '+ JSON.stringify(errors));
            var error = {
               code : 888,
               massage: 'ome helperList save error'
            }
            promise.reject(error);
        });
    },function(error){
        consoledebug.log('confirmHelper insertLogBegin error is '+ JSON.stringify(error));
        promise.reject(error);
    });
    return promise;
}

/**
 * 帮助人退出审核，无法继续  （接口已废弃）
 * @param {Bmob.Object} orderRecord HelpOrder 表对象
 * @param {Bmob.Object} quiterRecord HelpList 表对象，退出帮助的帮助人列表
 * @param {Bmob.Object} helperRecord HelpList 表对象，其余的帮助人列表
 * @param {function} successCallback 成功获取朋友列表后回调函数，定义为 .
 *      successCallback(helperList); helperList 是 {Bmob.Object} 对象数组，此订单的求助人列表，
 *      可用的 key 有 "orderID","state","ownerID"
 * @param {function} errorCallback 操作失败后回调函数，定义为：
 *      errCallback(error); error is a class, {code: number, message:string}
 * @constructor
 */
//function orderCancelByHelperQuit(orderRecord, quiterRecord, helperRecord, successCallback, errorCallback){
//  var promises = [];
//  insertLogBegin(orderRecord.get("orderID"), orderRecord.get("ownerID"), OPERATION_ASKER_QUIT_STOP, function(trance){
//      for(var i=0;i<helperRecord.length;i++){
//          helperRecord[i].set('state', HELPER_ORDER_CANCEL);
//          promises.push(helperRecord[i].save());
//      }
//      Bmob.Promise.when(promises).then(function(){
//          orderRecord.set('state', ASKER_ORDER_CLOSE);
//          orderRecord.save().then(function(order){
//              insertLogCommit(trance, function() {
//                  successCallback(helperRecord);
//              }, function(error) {
//                  consoledebug.log('orderCancelByHelperQuit insertLogCommit error is ' + JSON.stringify(error));
//                  successCallback(helperRecord);
//              }); 
//          },function(error){
//              consoledebug.log('orderCancelByHelperQuit orderRecord save error is '+ JSON.stringify(error));
//              errorCallback(error);
//          })
//      },function(errors){
//          consoledebug.log('orderCancelByHelperQuit some helperList save error is '+ JSON.stringify(errors));
//          var error = {
//             code : 888,
//             massage: 'ome helperList save error'
//          }
//          errorCallback(error);
//      });
//  },function(error){
//      consoledebug.log('orderCancelByHelperQuit insertLogBegin error is '+ JSON.stringify(error));
//      errorCallback(error);
//  });
//}

/**
 * 帮助人未被选中
 * @param {Bmob.Object} orderRecord HelpOrder 表对象
 * @param {Number} myHHID 自己的ID
 * @param {function} successCallback 成功获取朋友列表后回调函数，定义为 .
 *      successCallback(); 
 * @param {function} errorCallback 操作失败后回调函数，定义为：
 *      errCallback(error); error is a class, {code: number, message:string}
 */
function helperNotSelectConfirm(orderRecord, myHHID, successCallback, errorCallback){    
	insertLogBegin(orderRecord.get("orderID"), myHHID, OPERATION_HELPER_LOSE_SEAT_CONFIRM, function(trance){
	    var HelperList = Bmob.Object.extend("HelperList");
	    var helpList = new Bmob.Query(HelperList);
	    helpList.equalTo("orderID", orderRecord.get('orderID'));
	    helpList.equalTo("ownerID", myHHID);
	    helpList.find().then(function(helperList){
	    	if(helperList.length > 0){
	    		helperList[0].set('state', HELPER_ORDER_LOSE_SEAT_CLOSE);
	    		helperList[0].save().then(function(helper){
					insertLogCommit(trance, function() {
						successCallback();
					}, function(error) {
						consoledebug.log('helperNotSelectConfirm insertLogCommit error is ' + JSON.stringify(error));
						successCallback();
					});
	    		},function(error){
        			consoledebug.log('helperNotSelectConfirm helperList save error is '+ JSON.stringify(error));
					errorCallback(error);
	    		})
	    	}
	    },function(error){
        	consoledebug.log('helperNotSelectConfirm helperList find error is '+ JSON.stringify(error));
			errorCallback(error);
	    });
	},function(error){
        consoledebug.log('helperNotSelectConfirm insertLogBegin error is '+ JSON.stringify(error));
		errorCallback(error);
	});
}

function helperAskerCancelConfirm(orderRecord, myHHID, successCallback, errorCallback){    
	var HelperList = Bmob.Object.extend("HelperList");
	var helpList = new Bmob.Query(HelperList);
	helpList.equalTo("orderID", orderRecord.get('orderID'));
	helpList.equalTo("ownerID", myHHID);
	helpList.find().then(function(helperList) {
		if (helperList.length > 0) {
			helperList[0].set('state', HELPER_ORDER_CANCEL_CLOSE);
			helperList[0].save().then(function(helper) {
				successCallback();
			}, function(error) {
				consoledebug.log('helperNotSelectConfirm helperList save error is ' + JSON.stringify(error));
				errorCallback(error);
			})
		}
	}, function(error) {
		consoledebug.log('helperNotSelectConfirm helperList find error is ' + JSON.stringify(error));
		errorCallback(error);
	}); 
}

/**
 * 帮助人全部退出后，重新激活订单
 * @param {Bmob.Object} orderRecord HelpOrder 表对象
 * @param {Bmob.Object} quiterRecord HelpList 表对象，退出帮助的帮助人列表
 * @param {Bmob.Object} helperRecord HelpList 表对象，其余的帮助人列表
 * @param {function} successCallback 成功获取朋友列表后回调函数，定义为 .
 *      successCallback(helperList); helperList 是 {Bmob.Object} 对象数组，此订单的求助人列表，
 *      可用的 key 有 "orderID","state","ownerID"
 * @param {function} errorCallback 操作失败后回调函数，定义为：
 *      errCallback(error); error is a class, {code: number, message:string}
 * @constructor
 */
function reactiveHelpOrder(orderRecord, successCallback, errorCallback){
    var promises = [];
    insertLogBegin(orderRecord.get("orderID"), orderRecord.get("ownerID"), OPERATION_ASKER_QUIT_GO, function(trance){
        orderRecord.set('state', ASKER_ORDER_SELECT);
        var nowTime = (new Date()).getTime();
        if(orderRecord.get('applyDeadlineTime') < nowTime){
            orderRecord.set('applyDeadlineTime', "0");
            orderRecord.set('beginTime', "0");
        }
        orderRecord.save().then(function(order) {
            insertLogCommit(trance, function() {
                successCallback();
            }, function(error) {
                consoledebug.log('orderCancelByHelperQuit insertLogCommit error is ' + JSON.stringify(error));
                successCallback();
            });
        }, function(error) {
            consoledebug.log('orderCancelByHelperQuit orderRecord save error is ' + JSON.stringify(error));
            errorCallback(error);
        })

    },function(error){
        consoledebug.log('orderCancelByHelperQuit insertLogBegin error is '+ JSON.stringify(error));
        errorCallback(error);
    });
}

function AskerMakeAppraise(helperRecord, taskEvaluate, serviceEvaluate){
	if(taskEvaluate && taskEvaluate <= 3){
		helperRecord.set('TaskEvaluation', taskEvaluate);
	}
	if(serviceEvaluate && serviceEvaluate <= 10){
		helperRecord.set('helperAppraisement', serviceEvaluate);
	}
}


/**
 * 求助人验收帮助，完成一次操作中生成新的求助订单。
 * @param {Bmob.Object} orderRecord HelpOrder 表对象
 * @param {function} successCallback 成功获取朋友列表后回调函数，定义为 .
 *      successCallback(orderRecord); orderRecord 是 {Bmob.Object} 对象数组，新生成的订单记录，
 * @param {function} errorCallback 操作失败后回调函数，定义为：
 *      errCallback(error); error is a class, {code: number, message:string}
 */


function repeatNewHelpOrder(orderRecord, successCallback, errorCallback) {
	//获取订单编号
	NewOrderID(function(orderID) {
		//对帮助信息进行存储
		var HelpOrder = Bmob.Object.extend("HelpOrder");
		var helpOrder = new HelpOrder();
		helpOrder.set("orderID", orderID);
		helpOrder.set("orderType", orderRecord.get('orderType'));
		helpOrder.set("orderName", orderRecord.get('orderName'));
		helpOrder.set("ownerID", orderRecord.get('ownerID'));
		helpOrder.set("classID", orderRecord.get('classID'));
		helpOrder.set("groupID", orderRecord.get('groupID'));
		helpOrder.set("payment", orderRecord.get('payment'));
		helpOrder.set("helperNum", orderRecord.get('helperNum'));
		helpOrder.set("helperSex", orderRecord.get('helperSex'));
//		helpOrder.set("applyDeadline", new Date(orderRecord.get('applyDeadline')));
//		helpOrder.set("beginTime", new Date(orderRecord.get('beginTime')));
		helpOrder.set("place", orderRecord.get('place'));
		helpOrder.set("selectMode", orderRecord.get('selectMode'));
		helpOrder.set("privacyMode", orderRecord.get('privacyMode'));
		helpOrder.set("repeatMode", orderRecord.get('repeatMode'));
		helpOrder.set("description", orderRecord.get('description'));
		helpOrder.set("photo", orderRecord.get('photo'));
		helpOrder.set("tPhoto", orderRecord.get('tPhoto'));
		helpOrder.set("orderGeo", orderRecord.get('orderGeo'));
		helpOrder.set("beginTimeSeconds", orderRecord.get('beginTimeSeconds'));
		helpOrder.set("applyDeadlineTime", orderRecord.get('applyDeadlineTime'));
		helpOrder.set("beginTime", orderRecord.get('beginTime'));
		helpOrder.set("state", ASKER_ORDER_CREATING);
		helpOrder.set("repeatTimes", orderRecord.get('repeatTimes') + 1);
		helpOrder.set("group", orderRecord.get('group'));
		//根据不同的订单模式进行额外信息的存储
		if (orderRecord.get('orderType') == 1) {
			var HelpTravel = Bmob.Object.extend("HelpTravel");
			var helpTravel = new HelpTravel();
			helpTravel.set("orderID", orderID);
			helpTravel.set("helperAge", helpInfo.messageOne);
			helpTravel.set("helpDuration", helpInfo.messageTwo);
			helpTravel.set("helperCar", helpInfo.messageThree);
			helpTravel.set("CarType", helpInfo.messageFour);
			helpTravel.set("helperDriving", helpInfo.messageFive);
			helpOrder.set("extraOrder", helpTravel);
		}else if (orderRecord.get('orderType') == 2) {
			var HelpJob = Bmob.Object.extend("HelpJob");
			var helpJob = new HelpJob();
			helpJob.set("orderID", orderID);
			helpJob.set("education", helpInfo.messageOne);
			helpJob.set("industry", helpInfo.messageTwo);
			helpJob.set("position", helpInfo.messageThree);
			helpJob.set("year", helpInfo.messageFour);
			helpJob.set("company", helpInfo.messageFive);
			helpOrder.set("extraOrder", helpJob);
		}else if (orderRecord.get('orderType') == 3) {
			var HelpHobby = Bmob.Object.extend("HelpHobby");
			var helpHobby = new HelpHobby();
			helpHobby.set("orderID", orderID);
			helpHobby.set("helperType", helpInfo.messageOne);
			helpOrder.set("extraOrder", helpHobby);
		}
		helpOrder.save().then(function(helpOrder) {
            orderRecord.set('repeatOrder', helpOrder);
            orderRecord.save().then(function(order) {
                successCallback(helpOrder);
            }, function(error) {
                consoledebug.log('helpCompleteOnce orderRecord save error is ' + JSON.stringify(error));
                errorCallback(error);
            })
		}, function(error) {
			 consoledebug.log('repeatNewHelpOrder NewOrderID error is '+ JSON.stringify(error));
			errorCallback(error);
		}); 
	}, errorCallback);
}

/**
 * 求助人验收帮助，保存对帮助人的评价
 * @param {Bmob.Object} helperListRecord HelpList 表对象数组，该订单所有的报名人列表
 * @param {Number[]} complaintList 数字数组，被投诉的帮助人 hhID 数组
 * @param {function} successCallback 成功获取朋友列表后回调函数，定义为 .
 *      successCallback(helperList); helperList 是 {Bmob.Object} 对象数组，此订单的求助人列表，
 *      可用的 key 有 "orderID","state","ownerID"
 * @param {function} errorCallback 操作失败后回调函数，定义为：
 *      errCallback(error); error is a class, {code: number, message:string}
 */
function helpSaveAskerEvaluation(payment, helperListRecord, complaintList, successCallback, errorCallback) {
    var promises = [];
    for (var i = 0; i < helperListRecord.length; i++) {
        var taskEvalue = helperListRecord[i].get("TaskEvaluation");
        var payRate = 1;
        if(taskEvalue == 1){
        	payRate = 0.6;
        }else if(taskEvalue == 2){
        	payRate = 0.8;
        }
        var income = Math.round(payment * payRate);
        helperListRecord[i].set('payment', income);
        for (var j = 0; j < complaintList.length; j++) {
            if (helperListRecord[i].get('ownerID') == complaintList[j]) {
                helperListRecord[i].set('state', HELPER_ORDER_COMPLAINTING);
                break;
            }
        }
        promises.push(helperListRecord[i].save());
    }
    Bmob.Promise.when(promises).then(function() {
        successCallback();
    }, function(errors) {
        consoledebug.log('helpCompleteAll some helperList save error is ' + JSON.stringify(errors));
        var error = {
            code : 888,
            massage : 'ome helperList save error'
        }
        errorCallback(error);
    });
}


function allHelperFinishCheck(orderRecord, successCallback, errorCallback) {
	if(orderRecord.get("state") != ASKER_ORDER_RUNNING){
		consoledebug.log("allHelperFinishCheck orderRecord state error is " + orderRecord.get("state"))
		errorCallback();
		return;
	}
	var HelperList = Bmob.Object.extend("HelperList");
	var helpList = new Bmob.Query(HelperList);
	helpList.equalTo("orderID", orderRecord.get('orderID'));
	helpList.select("state", "orderID");
	helpList.find({
		success : function(helpers) {
			consoledebug.log("allHelperFinishCheck helpers is " + JSON.stringify(helpers))
			var runningCount = 0;
			var finishCount = 0;
			for(var i=0;i<helpers.length;i++){
				if(helpers[i].get("state") == HELPER_ORDER_RUNNING){
					runningCount++;
				}else if(helpers[i].get("state") > HELPER_ORDER_RUNNING){
					finishCount++;
				}
			}
			if(runningCount == 0){
				if(finishCount == 0){ //所有帮助人已退出帮助
					successCallback(orderRecord);
//					orderRecord.set('state', ASKER_ORDER_QUIT);
//					orderRecord.save().then(function(orderRecord) {
//						successCallback(orderRecord);
//					}, function(error) {
//	        			consoledebug.log('allHelperFinishCheck orderRecord save error is '+ JSON.stringify(error));
//						errorCallback(error);
//					})
				}else{
					orderRecord.set('state', ASKER_ORDER_CHECKING);
					orderRecord.save().then(function(orderRecord) {
						successCallback(orderRecord);
					}, function(error) {
	        			consoledebug.log('allHelperFinishCheck orderRecord save error is '+ JSON.stringify(error));
						errorCallback(error);
					})
				}
			} else {
				successCallback(orderRecord);
			}
		},
		error : function(error) {
        	consoledebug.log('allHelperFinishCheck helpList count error is '+ JSON.stringify(error));
			errorCallback(error);
		}
	});
}

/**
 * 帮助人完成帮助中，完成帮助
 * @param {Bmob.Object} orderRecord HelpOrder 表对象
 * @param {Number} myHHID 帮助人 hhID 
 * @param {function} successCallback 成功获取朋友列表后回调函数，定义为 .
 * @param {function} errorCallback 操作失败后回调函数，定义为：
 *      errCallback(error); error is a class, {code: number, message:string}
 */
function helperFinish(orderRecord, myHHID, successCallback, errorCallback){
    insertLogBegin(orderRecord.get("orderID"), myHHID, OPERATION_HELPER_COMPLETE, function(trance){
	    var HelperList = Bmob.Object.extend("HelperList");
	    var helpList = new Bmob.Query(HelperList);
	    helpList.equalTo("orderID", orderRecord.get('orderID'));
	    helpList.equalTo("ownerID", myHHID);
	    helpList.find().then(function(helperList){
	    	if(helperList.length > 0){
	    		helperList[0].set('state', HELPER_ORDER_CHECKING);
	    		helperList[0].save().then(function(helper){
	    			//避免 bomb 写入后读取不对的bug，需要超时后读取
	    			setTimeout(function(){
		    			allHelperFinishCheck(orderRecord,function(){
			                insertLogCommit(trance, function() {
			                    successCallback();
			                }, function(error) {
			                    consoledebug.log('helpCompleteAll insertLogCommit error is ' + JSON.stringify(error));
			                    successCallback();
			                }); 
		    			},function(error){
	        				consoledebug.log('helperFinish allHelperFinishCheck error is '+ JSON.stringify(error));
							errorCallback(error);
		    			});
	    			},400)
	    		},function(error){
        			consoledebug.log('helperFinish helperList save error is '+ JSON.stringify(error));
					errorCallback(error);
	    		})
	    	}
	    },function(error){
        	consoledebug.log('helperFinish helperList find error is '+ JSON.stringify(error));
			errorCallback(error);
	    });
	},function(error){
        consoledebug.log('helperFinish insertLogBegin error is '+ JSON.stringify(error));
		errorCallback(error);
	});
}


/**
 * 帮助人 求助取消页，评论
 * @param {Bmob.Object} orderRecord HelpOrder 表对象
 * @param {Number} myHHID   自己的ID
 * @param {Number} appraisement  评价，取值为2到10之间的偶数（半颗心不能选上）
 * @param {function} successCallback 成功获取朋友列表后回调函数，定义为 .
 *      successCallback(); 
 * @param {function} errorCallback 操作失败后回调函数，定义为：
 *      errCallback(error); error is a class, {code: number, message:string}
 */
function helperOrderCancelEvaluate(orderRecord, myHHID, appraisement, successCallback, errorCallback) {
    var HelperList = Bmob.Object.extend("HelperList");
    var query = new Bmob.Query(HelperList);
    query.equalTo("orderID", orderRecord.get("orderID"));
    query.equalTo("ownerID", myHHID);
    query.find().then(function(helperList) {
        if (helperList.length > 0) {
            insertLogBegin(orderRecord.get('orderID'), myHHID, OPERATION_HELPER_APPRAISED, function(trance) {
                helperList[0].set('askerAppraisement', appraisement);
                helperList[0].set('state', HELPER_ORDER_CLOSE);
                helperList[0].save().then(function() {
                    insertLogCommit(trance, function() {
                        successCallback();
                    }, function(error) {
                        consoledebug.log('helperOrderCancelEvaluate insertLogCommit error is ' + JSON.stringify(error));
                        successCallback();
                    });
                }, function(error) {
                    consoledebug.log('helperOrderCancelEvaluate helperList save error is ' + JSON.stringify(error));
                    errorCallback(error);
                });
            }, function(error) {
                consoledebug.log('helperOrderCancelEvaluate insertLogBegin error is ' + JSON.stringify(error));
                errorCallback(error);
            });
        }
    }, function(error) {
        consoledebug.log('helperOrderCancelEvaluate helperList find error is ' + JSON.stringify(error));
        errorCallback(error);
    });
}


function allHelperCompleteCheck(orderRecord, successCallback, errorCallback) {
    var HelperList = Bmob.Object.extend("HelperList");
    var helpList = new Bmob.Query(HelperList);
    helpList.equalTo("orderID", orderRecord.get('orderID'));
    helpList.equalTo("state", HELPER_ORDER_PAYING);
    helpList.count({
        success : function(count) {
            consoledebug.log("allHelperCompleteCheck count is "+count)
            if (count == 0) {//所有帮助人已完成帮助
                orderRecord.set('state', ASKER_ORDER_COMPLETE);
                orderRecord.save().then(function(orderRecord) {
                    successCallback(orderRecord);
                }, function(error) {
                    consoledebug.log('allHelperCompleteCheck orderRecord save error is '+ JSON.stringify(error));
                    errorCallback(error);
                })
            } else {
                successCallback(orderRecord);
            }
        },
        error : function(error) {
            consoledebug.log('allHelperCompleteCheck helpList count error is '+ JSON.stringify(error));
            errorCallback(error);
        }
    });
}

/**
 * 帮助人 结算处理，不再接了
 * @param {Bmob.Object} orderRecord HelpOrder 表对象
 * @param {Number} myHHID   自己的ID
 * @param {Number} appraisement  评价，取值为2到10之间的偶数（半颗心不能选上）
 * @param {function} successCallback 成功获取朋友列表后回调函数，定义为 .
 *      successCallback(); 
 * @param {function} errorCallback 操作失败后回调函数，定义为：
 *      errCallback(error); error is a class, {code: number, message:string}
 */
function helperCompleteAll(orderRecord, myHHID, appraisement, successCallback, errorCallback) {
    var HelperList = Bmob.Object.extend("HelperList");
    var query = new Bmob.Query(HelperList);
    query.equalTo("orderID", orderRecord.get("orderID"));
    query.equalTo("ownerID", myHHID);
    query.find().then(function(helperList) {
        if (helperList.length > 0) {
            insertLogBegin(orderRecord.get('orderID'), myHHID, OPERATION_HELPER_TAKE_NOMORE, function(trance) {
                helperList[0].set('askerAppraisement', appraisement);
                helperList[0].set('state', HELPER_ORDER_CLOSE);
                helperList[0].save().then(function() {
	    			//避免 bomb 写入后读取不对的bug，需要超时后读取
                	setTimeout(function(){
	                    allHelperCompleteCheck(orderRecord, function(){
	                        insertLogCommit(trance, function() {
	                            successCallback();
	                        }, function(error) {
	                            consoledebug.log('helperCompleteAll insertLogCommit error is ' + JSON.stringify(error));
	                            successCallback();
	                        });
	                    },function(error){
	                        consoledebug.log('helperCompleteAll allHelperCompleteCheck error is ' + JSON.stringify(error));
	                        errorCallback(error);
	                    })
                	},400)
                }, function(error) {
                    consoledebug.log('helperCompleteAll helperList save error is ' + JSON.stringify(error));
                    errorCallback(error);
                });
            }, function(error) {
                consoledebug.log('helperCompleteAll insertLogBegin error is ' + JSON.stringify(error));
                errorCallback(error);
            });
        }
    }, function(error) {
        consoledebug.log('helperCompleteAll helperList find error is ' + JSON.stringify(error));
        errorCallback(error);
    });
}


function helperTakeMoreOrder(orderRecord, myHHID, entryfee, successCallback, errorCallback) {
    var newOrder = orderRecord.get("repeatOrder");
    newOrder.fetch({
        success : function(order) {
            InserthelpEnroll(order, myHHID, entryfee, successCallback, errorCallback);
        },
        error : function(error) {
        }
    });
}

/**
 * 帮助人 结算处理，再接一次
 * @param {Bmob.Object} orderRecord HelpOrder 表对象
 * @param {Number} myHHID   自己的ID
 * @param {Number} appraisement  评价，取值为2到10之间的偶数（半颗心不能选上）
 * @param {function} successCallback 成功获取朋友列表后回调函数，定义为 .
 *      successCallback(); 
 * @param {function} errorCallback 操作失败后回调函数，定义为：
 *      errCallback(error); error is a class, {code: number, message:string}
 */
function helperCompleteOnce(orderRecord, myHHID, appraisement, successCallback, errorCallback) {
    var HelperList = Bmob.Object.extend("HelperList");
    var query = new Bmob.Query(HelperList);
    query.equalTo("orderID", orderRecord.get("orderID"));
    query.equalTo("ownerID", myHHID);
    query.find().then(function(helperList) {
        if (helperList.length > 0) {
            insertLogBegin(orderRecord.get('orderID'), myHHID, OPERATION_HELPER_TAKE_MORE, function(trance) {
                helperList[0].set('askerAppraisement', appraisement);
                helperList[0].set('state', HELPER_ORDER_CLOSE);
                helperList[0].save().then(function() {
                    helperTakeMoreOrder(orderRecord, myHHID, helperList[0].get('entryfee'),function(){
	    				//避免 bomb 写入后读取不对的bug，需要超时后读取
                    	setTimeout(function(){
	                        allHelperCompleteCheck(orderRecord, function(){
	                            insertLogCommit(trance, function() {
	                                successCallback();
	                            }, function(error) {
	                                consoledebug.log('helperCompleteOnce insertLogCommit error is ' + JSON.stringify(error));
	                                successCallback();
	                            });
	                        },function(error){
	                            consoledebug.log('helperCompleteOnce allHelperCompleteCheck error is ' + JSON.stringify(error));
	                            errorCallback(error);
	                        })
                    	},400)
                    },function(error){
                        consoledebug.log('helperCompleteOnce helperTakeMoreOrder error is ' + JSON.stringify(error));
                        errorCallback(error);
                    });
                }, function(error) {
                    consoledebug.log('helperCompleteOnce helperList save error is ' + JSON.stringify(error));
                    errorCallback(error);
                });
            }, function(error) {
                consoledebug.log('helperCompleteOnce insertLogBegin error is ' + JSON.stringify(error));
                errorCallback(error);
            });
        }
    }, function(error) {
        consoledebug.log('helperCompleteOnce helperList find error is ' + JSON.stringify(error));
        errorCallback(error);
    });
}

/**
 * 求助人订单已完成，确认
 * @param {Bmob.Object} orderRecord HelpOrder 表对象
 * @param {function} successCallback 成功获取朋友列表后回调函数，定义为 .
 *      successCallback(); 
 * @param {function} errorCallback 操作失败后回调函数，定义为：
 *      errCallback(error); error is a class, {code: number, message:string}
 */
function askerOrderFinish(orderRecord, successCallback, errorCallback){
	orderRecord.set('state', ASKER_ORDER_CLOSE);
	orderRecord.save().then(successCallback, errorCallback)
}

function helperConfirmOrderCanceled(){
}



/**
 * 点击举报在工单号列表中，添加求助列表中，被举报人相应信息。
 */

function NewHelpTable(htinteractionInfo, successCallback, errorCallback) {
	var HelpReport = Bmob.Object.extend("Help_Report");
	var helpReport = new HelpReport();
	helpReport.set("targetID", htinteractionInfo.get("ownerID"));
	helpReport.set("orderID", htinteractionInfo.get("orderID"));
	helpReport.set("orderName", htinteractionInfo.get("orderName"));
	helpReport.set("YN_type", 0);
	helpReport.save().then(function(NHtinteraction) {
		var reportNum = htinteractionInfo.get("reportNum") + 1;
		htinteractionInfo.set("reportNum", reportNum);
		htinteractionInfo.save().then(function() {
			successCallback(NHtinteraction);
		}, function(error) {
			errorCallback(error);
		})
	}, function(error) {
		errorCallback(error);
	})
}

/*
 *
 */
function insertHelpCommentRecord(recordInfo,helpOrderRecord,successCallback, errorCallback){
	if(recordInfo.ownerID == recordInfo.commenterID){
		successCallback();
		return;
	}
	helpOrderRecord.increment("commentIsRead");
	helpOrderRecord.save().then(function(){
		consoledebug.log("insertHelpCommentRecord commentIsRead is success");
		creatHelpMessageNotification(recordInfo,successCallback, errorCallback)
	},function(error){
		errorCallback(error);
	})
}
function creatHelpMessageNotification(recordInfo,successCallback, errorCallback) {
	var MessageNotification = Bmob.Object.extend("MessageNotification");
	var query = new Bmob.Query(MessageNotification);
	query.equalTo("hhID", recordInfo.ownerID);
	query.equalTo("messageType", "helpComment");
	query.find().then(function(result) {
		consoledebug.log("creatHelpMessageNotification result is" + JSON.stringify(result));
		if (result.length > 0) {
			result[0].increment("unReadNum");
			result[0].save().then(function() {
				successCallback();
			}, function(error) {
				errorCallback(error);
			})
		} else {
			errorCallback();
		}
	}, function(error) {
		errorCallback(error);
	})
}

/*
 * 获取进行中页面中来自秀场的未读订单
 */

function getFormShowSkillOrder(hhID,successCallback, errorCallback){
	var HelpOrder = Bmob.Object.extend("HelpOrder");
    var query = new Bmob.Query(HelpOrder);

	var BuySkillMessage = Bmob.Object.extend("BuySkillMessage");
    var BuySkillMessage = new Bmob.Query(BuySkillMessage);
    BuySkillMessage.equalTo("ownerID",hhID);
    BuySkillMessage.equalTo("isRead",1);
    
    query.matchesKeyInQuery("orderID", "orderID", BuySkillMessage);
    query.descending("createdAt");
    query.select("orderID","orderName","classID","payment","helperNum","helperSex","applyDeadlineTime","place","orderGeo","description","tPhoto","status","beginTime")
    query.find().then(function(results){
    	var unreadOrder = {};
		for(var i = 0; i < results.length; i++){
			unreadOrder[results[i].get("orderID")] = 1;
		}
		$api.setStorage(hhID+"unreadOrder",unreadOrder);
    	consoledebug.log('getFormShowSkillOrder results is ' + JSON.stringify(results));
    	successCallback(results);
    },function(error){
    	errorCallback(error);
    })
}

/*
 * 修改进行中页面中来自秀场的未读订单的状态   改为已读
 */
function changeFormShowSkillOrderState(hhID,orderID,successCallback, errorCallback){
	consoledebug.log('changeFormShowSkillOrderState is start');
	var BuySkillMessage = Bmob.Object.extend("BuySkillMessage");
    var buySkillMessage = new Bmob.Query(BuySkillMessage);
    buySkillMessage.equalTo("ownerID",hhID);
    buySkillMessage.equalTo("orderID",Number(orderID));
    buySkillMessage.find().then(function(results){
    	consoledebug.log('getFormShowSkillOrder results is ' + JSON.stringify(results));
    	if(results.length > 0 && results[0].get("isRead") == 1){
    		results[0].set("isRead",0);
    		results[0].save().then(function(){
				successCallback();
    		},function(error){
    			errorCallback(error);
    		})
    	}
    },function(error){
    	errorCallback(error);
    })
}

/*
 * 获取进行中页面中秀场有未读评论的订单
 */
function getHasShowMessageOrder(hhID,successCallback, errorCallback){
	var ShowSkill = Bmob.Object.extend("ShowSkill");
	var query = new Bmob.Query(ShowSkill);
	query.equalTo("ownerID",hhID);
	query.greaterThanOrEqualTo("commentIsRead",1);
    query.descending("createdAt");
    query.find().then(function(results){
    	consoledebug.log('getFormShowSkillOrder results is ' + JSON.stringify(results));
    	successCallback(results);
    },function(error){
    	errorCallback(error);
    })
}
/*
 * 获取进行中页面中求助有未读评论的订单
 */
function getHasHelpMessageOrder(hhID,successCallback, errorCallback){
	var HelpOrder = Bmob.Object.extend("HelpOrder");
	var query = new Bmob.Query(HelpOrder);
	query.equalTo("ownerID",hhID);
	query.greaterThanOrEqualTo("commentIsRead",1);
    query.descending("createdAt");
    query.find().then(function(results){
    	consoledebug.log('getFormShowSkillOrder results is ' + JSON.stringify(results));
    	successCallback(results);
    },function(error){
    	errorCallback(error);
    })
}
/*
 * 获取进行中页面中活动有未读评论的订单
 */
function getHasActiveMessageOrder(hhID,successCallback, errorCallback){
	var Activity = Bmob.Object.extend("Activity");
	var query = new Bmob.Query(Activity);
	query.equalTo("ownerID",hhID);
	query.greaterThanOrEqualTo("commentIsRead",1);
    query.descending("createdAt");
    query.find().then(function(results){
    	consoledebug.log('getFormShowSkillOrder results is ' + JSON.stringify(results));
    	successCallback(results);
    },function(error){
    	errorCallback(error);
    })
}


