
function requestSMSCode(phoneNum) {
//  var registerUrl = '/requestSmsCode';
//  var bodyParam = {
//      mobilePhoneNumber: phoneNum,
//      template: "注册模板"
//  }
//  consoledebug.log('requestSMSCode is '+ JSON.stringify(bodyParam));
//  BmobajaxRequest(registerUrl, 'post', JSON.stringify(bodyParam), function (ret, err) {
//      if (ret) {
//          $api.setStorage('smsId', ret.smsId);
//
//      } else {
//          api.alert({
//              msg: err.msg
//          });
//      }
//  })
    Bmob.Sms.requestSmsCode({"mobilePhoneNumber": phoneNum + '', "template":"Owl"} ).then(function(obj) {
        consoledebug.log('requestSMSCode is '+ JSON.stringify(obj));
        $api.setStorage('smsId', obj.smsId);
    }, function(err){
        consoledebug.log('requestSMSCode is '+ JSON.stringify(err));
        var error = JSON.stringify(err);
        if(error.code == 10010){
            api.alert({msg: '短信认证条数已达上限，请明天再试'});
        }else{
//          api.alert({msg: error.message});
			api.alert({msg: '短信认证条数已达上限，请明天再试'});
        }
    });
}

//function bmobRegister(phoneNum, password, successCallback, errCallback){
//  var registerUrl = '/users';
//  var bodyParam = {
//      username: phoneNum + '',
//      password: password + ''
//  }
//  consoledebug.log('bmobRegister is '+ JSON.stringify(bodyParam));
//  BmobajaxRequest(registerUrl, 'post', JSON.stringify(bodyParam), function (ret, err) {
//      if (ret) {
//          consoledebug.log('bmobRegister ret is '+ JSON.stringify(ret));
//          successCallback();
//      } else {
//          consoledebug.log('bmobRegister err is '+ JSON.stringify(err));
//          errCallback(err);
//      }
//  })
//}

function bmobSmsResetPassword(phoneNum, password, smsCode, successCallback, errorCallback){
    var param = {
            "phoneNum": phoneNum+'',
            "SMSCode":smsCode,
            "password":password
    }
    Bmob.Cloud.run('smsResetPassword', param, {
        success : function(result) {
            consoledebug.log("bmobSmsResetPassword smsResetPassword result is " + JSON.stringify(result));
            var resultObj = JSON.parse(result);
            if(resultObj.code == 0){
                successCallback();
            }else if(resultObj.code == 601){
                errorCallback("短信验证码错误");
            }else{
                errorCallback("error");
            }
        },
        error : function(error) {
            consoledebug.log("bmobSmsResetPassword smsResetPassword error is " + JSON.stringify(error));
            errorCallback("网络通讯延时");
        }
    })
}

function bmobResetPassword(oldPassword, newPassword, successCallback, errCallback){
    var currentUser = Bmob.User.current();
    if (currentUser) {
        var token = currentUser._sessionToken;
    }
    consoledebug.log('bmobResetPassword currentUser is '+ JSON.stringify(currentUser));
    var registerUrl = '/updateUserPassword/'+currentUser.id;
    var bodyParam = {
        "oldPassword": oldPassword + '',
        "newPassword": newPassword + ''
    }
    consoledebug.log('bmobResetPassword is '+ registerUrl + JSON.stringify(bodyParam));
    BmobUserAjaxRequest(registerUrl, 'post', token, JSON.stringify(bodyParam), function (ret, err) {
        if (ret) {
            consoledebug.log('bmobResetPassword ret is '+ JSON.stringify(ret));
            successCallback();
        } else {
            consoledebug.log('bmobResetPassword err is '+ JSON.stringify(err));
            errCallback(err);
        }
    })
}

function bmobChangePassword(newPassword, successCallback, errCallback){
    var currentUser = Bmob.User.current();
    if (currentUser) {
        newPassword = newPassword + '';
        currentUser.set("password", newPassword);
        currentUser.save().then(function(){
            Bmob.User.logIn(getMyAccount().phoneNumber, newPassword, {
                success : function(user) {
                    var account = {
                        password : newPassword
                    };
                    setMyAccount(account);
                    successCallback();
                },
                error : function(user, error) {
                    // The login failed. Check error to see why.
                    consoledebug.log('Bmob.User.logIn error is : ' + JSON.stringify(user) + JSON.stringify(error));
                    errCallback(error);
                }
            });
        },function(error){
            consoledebug.log('currentUser save error is : ' + JSON.stringify(error));
        })
    }
}

function bmobRegister(registerInfo, successCallback, errCallback){
    var user = new Bmob.User();
    user.set("username", registerInfo.phoneNum);
    user.set("password", registerInfo.password);
    user.set("sex", registerInfo.sex);
    
    user.signUp(null, {
      success: function(user) {
        successCallback(user);
      },
      error: function(user, error) {
        // Show the error message somewhere and let the user try again.
        errCallback(error);
      }
    });
}

function bmobSmsRegister(registerInfo, successCallback, errCallback){
    var user = new Bmob.User();
    user.set("username", registerInfo.phoneNum);
    user.set("mobilePhoneNumber", registerInfo.phoneNum);
    user.set("smsCode", registerInfo.SMSCode);
    user.set("password", registerInfo.password);
    //user.set("sex", registerInfo.sex);

    user.signUp(null, {
        success: function(user) {
            successCallback(user);
        },
        error: function(user, error) {
            // Show the error message somewhere and let the user try again.
            errCallback(error);
        }
    });
}
//successCallback : successCallback(userInfo); var userInfo is the Bmob.UserInfo
//errCallback : errCallback(var error); var error is a class, {code: number, message:string}
function checkUser(user, successCallback, errCallback) {
	var hhID = user.get("hhID");
	if (hhID == null) {
		var objID = user.id;
		var UserInfo = Bmob.Object.extend("UserInfo");
		var query = new Bmob.Query(UserInfo);
		query.equalTo("userObjectId", user.id);
		query.find({
			success : function(results) {
				if (results.length == 0) {
					var registerInfo = new Object();
					registerInfo.phoneNum = user.get("username");
//					registerInfo.password = password;
//					registerInfo.sex = user.get("sex");
					tryCreateUser(0, registerInfo, user, successCallback, errCallback);
				} else {
					var userInfo = results[0];
					rongyunRegister(userInfo.get("hhID"), function(){
						user.set("hhID", userInfo.get("hhID"));
						user.save().then(function(userInfo){
							successCallback(userInfo);
						}, errCallback);
					},function(){
						consoledebug.log('rongyunRegister failed. ');
					})
				}
			},
			error : function(object, error) {
				// 查询失败
				errCallback(error);
			}
		});
	} else {
		successCallback(user);
	}
}


//successCallback : successCallback(var user); var user is the Bmob.user
//errCallback : errCallback(var error); var error is a class, {code: number, message:string}
function newUserInfo(registerInfo, hhID, user, successCallback, errCallback) {
    var User = Bmob.Object.extend("_User");
    var superUser = new User();
    superUser.id = "4c85c75c63";

    var nickname = "蜜粉";
    var UserInfo = Bmob.Object.extend("UserInfo");
    var userInfo = new UserInfo();
    userInfo.set("hhID", hhID);
    if(registerInfo.nickName){
        nickname = registerInfo.nickName;
    }
    userInfo.set("nickName", nickname);
    userInfo.set("birthdayTime", registerInfo.birthdayTime);
    userInfo.set("age", registerInfo.age);
    userInfo.set("sex", registerInfo.sex);
    userInfo.set("photo", registerInfo.photo);
    userInfo.set("photoThumbnail", registerInfo.photoThumbnail);
    userInfo.set("level", 1);
    userInfo.set("EXP", 0);
    userInfo.set("appraisement", 6);
    userInfo.set("score", 6);
    userInfo.set("times", 1);
    userInfo.set("stars", 6);
    userInfo.set("yourstars", 6);
    userInfo.set("starsNum", 1);
    userInfo.set("yourstarsNum", 1);
    userInfo.set("starEvaluation", 6);
    userInfo.set("yourstarEvaluation", 6);
    userInfo.set("userObjectId", user.id);
    var acl = new Bmob.ACL(user);
    acl.setPublicReadAccess(true);
    userInfo.setACL(acl);

    //添加数据，第一个入口参数是null
    var Table = Bmob.Object.extend("FinanceAccount");
    var account = new Table();
    account.set("hhID", hhID);
    account.set("wallet", 0);
    account.set("hCoin", 1000);
    account.set("walletTransSN", "0");
    account.set("walletTransChange", 0);
    account.set("hCoinTransSN", "0");
    account.set("hCoinTransChange", 0);
    var financeAcl = new Bmob.ACL(superUser);
    financeAcl.setReadAccess(user, true);
    account.setACL(financeAcl);

    userInfo.set("finance", account);
    consoledebug.log('newUserInfo try save userInfo is : ' + JSON.stringify(userInfo));
    userInfo.save().then(function(userInfo) {
        user.set("hhID", hhID);
        //user.set("userInfo", userInfo);
        user.save().then(function(user) {
            successCallback(userInfo);
        }, function(error){
            consoledebug.log('newUserInfo user save error is : ' + JSON.stringify(error));
            errCallback(error);
        });
    }, function(error){
        consoledebug.log('newUserInfo userInfo save error is : ' + JSON.stringify(error));
        errCallback(error);
    });
}


//registerInfo is {"phoneNum":"135xxxxxx","SMSCode":"xxxxxx","password":"xxxxxx","sex":"M"}
//successCallback : successCallback(userInfo); userInfo is the UserInfo Bmob.Object
//errCallback : errCallback(var error); var error is a class, {code: number, message:string}
function createUser(registerInfo, user, successCallback, errCallback) {
	//创建类和实例
	//alert("createUser, userObjectId:"+registerInfo.userObjectId);
	
	newUserInfo(registerInfo, user.get("hhIDGen"), user, successCallback, errCallback);
//	getHhID(function (hhID){
//		newUserInfo(registerInfo, hhID, user, successCallback, errCallback);
//	},errCallback);
}


//function getLokerHhid(serialNum, retryTimes, successCallback, errCallback) {
//	var token = parseInt(1000000*Math.random());
//	serialNum.set("locker", token);
//  var nowTime = new Date().getTime();
//	serialNum.set("lockerTime", nowTime);
//	serialNum.increment("serialMatrix");
//	serialNum.save().then(function() {
//		var SerialNum = Bmob.Object.extend("serialNum");
//		var query2 = new Bmob.Query(SerialNum);
//		query2.equalTo("serialName", "hhID");
//		query2.find().then(function(serialNums2) {
//          if(serialNums2.length == 0){
//              errCallback();
//              return;
//          }
//          var serialNum2 = serialNums2[0];
//			if (serialNum2.get("locker") == token) {
//				var hhID = serialNum2.get("serialMatrix");
//				serialNum2.set("locker", 0);
//				serialNum2.save();
//				successCallback(hhID);
//			} else {
//				setTimeout(function() {
//					lockSerialTable(retryTimes, successCallback, errCallback);
//				}, 400);
//			}
//		}, errCallback);
//	}, errCallback);
//}
//
//function lockSerialTable(retryTimes, successCallback, errCallback){
//	if(retryTimes > 4){
//		errCallback();
//      return;
//	}
//	retryTimes++;
//	var SerialNum = Bmob.Object.extend("serialNum");
//  var query = new Bmob.Query(SerialNum);
//  query.equalTo("serialName", "hhID");
//  query.find().then(function(serialNums){
//      if(serialNums.length == 0){
//          errCallback();
//          return;
//      }
//      var serialNum = serialNums[0];
//  	//var token = parseInt(1000000*Math.random());
//  	if(!serialNum.get("locker") || serialNum.get("locker") == 0 ){
//  		getLokerHhid(serialNum, retryTimes, successCallback, errCallback);
//  	}else{
//  		var nowTime = new Date().getTime();
//  		// 30 秒的锁定超时
//  		if(serialNum.get("lockerTime") && serialNum.get("lockerTime") < (nowTime - 1000*30)){
//  			getLokerHhid(serialNum, retryTimes, successCallback, errCallback);
//  		}else{
//	    		setTimeout(function(){
//	    			lockSerialTable(retryTimes, successCallback, errCallback);
//	    		}, 400);
//  		}
//  	}
//  }, errCallback)
//}
//
//function getHhID_(successCallback, errCallback) {
//	lockSerialTable(0, successCallback, errCallback);
//}
//
////successCallback : successCallback(var hhID); var hhID is Number
////errCallback : errCallback(var error); var error is a class, {code: number, message:string}
//function getHhID(successCallback, errCallback) {
//	var SerialNum = Bmob.Object.extend("serialNum");
//	var query = new Bmob.Query(SerialNum);
//	query.equalTo("serialName", "hhID"); 
//	query.find({
//	  success: function(results) {
//	   	if(results.length  == 0) {
//	   		var err;
//	   		err.code = 200;
//	   		err.message = "No record";
//	   		errCallback (err);
//	   		return;
//	   	}
//	    // 查询成功，调用get方法获取对应属性的值
//	    var serialNum = results [0];
//			serialNum.fetchWhenSave(true);
//			serialNum.increment("serialMatrix");
//			serialNum.save().then(function(hhID) {
//				// The save was successful.
//				successCallback(hhID.get("serialMatrix"));
//			}, function(error) {
//				// The save failed.  Error is an instance of Bmob.Error.
//				errCallback (error);
//			});
//	  },
//	  error: function(object, error) {
//	    // 查询失败
//				errCallback (error);
//	  }
//	});  
//}

//registerInfo is {"phoneNum":"135xxxxxx","SMSCode":"xxxxxx","password":"xxxxxx","sex":"M"}
//successCallback : successCallback(var user); var user is the Bmob.user
//errCallback : errCallback(var error); var error is a class, {code: number, message:string}
//function registerUser(registerInfo, successCallback, errCallback) {
//	Bmob.Cloud.run('smsRegister', registerInfo, {
//	//Bmob.Cloud.run('userRegister', registerInfo, {
//		success : function(result) {
//			Bmob.User.logOut();
//			var user = Bmob.User.logIn(registerInfo.phoneNum, registerInfo.password, {
//			success : function(user) {
//				savePhoneNum(registerInfo.phoneNum);
//				var res = JSON.parse(result);
//				if(res.code == null) {
//					registerInfo.userObjectId = res.objectId;
//					createUser(registerInfo, user, function (userInfo) {
//					    var account = {};
//					    account.hhID = userInfo.get('hhID');
//					    account.phoneNumber = registerInfo.phoneNum;
//					    account.password = registerInfo.password;
//					    account.nickname = registerInfo.nickName;
//                      account.userInfoId = userInfo.id;
//					    setMyAccount(account);
//						successCallback(user);
//					}, function(error){
//						errCallback(error);
//					});
//				}else if(res.code == 202) {
//				//	{"code":202,"error":"username 'xxxxx' already taken."}
//					repairUser(user, registerInfo.phoneNum, registerInfo.password, registerInfo.sex, function(userInfo){
//					}, function(error){
//					});
//					var err = new Object();
//					err.code = res.code;
//					err.message = res.error;
//					errCallback(err);
//				}else {
//					var err = new Object();
//					err.code = res.code;
//					err.message = res.error;
//					errCallback(err);
//				}
//			},
//			error : errCallback
//			});
//		},
//		error : function(error) {
//			errCallback(error);
//		}
//	})
//}

//registerInfo is {"phoneNum":"135xxxxxx","SMSCode":"xxxxxx","password":"xxxxxx","sex":"M"}
//successCallback : successCallback(var user); var user is the Bmob.user
//errCallback : errCallback(var error); var error is a class, {code: number, message:string}

function rongyunRegister(hhID, successCallback, errCallback) {
	var bodyParam = {
		"hhID" : hhID
	};
	baeAjaxRequest('rongService/userRegister', "POST", bodyParam, function(err, ret) {
		consoledebug.log('registerUser err  is ' + JSON.stringify(err) + " ret " + JSON.stringify(ret));
		if (!err) {
			successCallback();
		} else {
			errCallback();
		}
	})
}

function tryCreateUser(times, registerInfo, user, successCallback, errCallback) {
	if (times > 4) {
		consoledebug.log('tryCreateUser err 4 times ');
		errCallback();
		return;
	}
	times++;
	createUser(registerInfo, user, function(userInfo) {
		consoledebug.log('createUser success ');
		var account = {};
		account.hhID = userInfo.get('hhID');
		account.phoneNumber = registerInfo.phoneNum;
		account.password = registerInfo.password;
		account.nickname = registerInfo.nickName;
		account.sex = registerInfo.sex;
		account.photo = registerInfo.photo;
		account.userInfoId = userInfo.id;
		setMyAccount(account);
		initSetting();
		rongyunRegister(account.hhID, function(){
			consoledebug.log('rongyunRegister success ');
			user.set("hhID", account.hhID);
			user.save(); 
		},function(){
			consoledebug.log('rongyunRegister failed. ');
		})

		successCallback(userInfo);
	}, function(error) {
		consoledebug.log('tryCreateUser failed. try again '+ times);
		tryCreateUser(times, registerInfo, user, successCallback, errCallback);
	})
}

//刚刚注册就登陆，有比较高概率会失败，因此需要重试操作。
function tryToLogin(tryTimes, userName, password, successCallback, errCallback){
	if(tryTimes > 4){
		consoledebug.log('tryToLogin failed 4 times');
		errCallback(); 
		return;
	}
	tryTimes++;
	Bmob.User.logIn(userName, password, {
		success : function(user) {
			successCallback(user);
		},
		error : function(user, error) {
			consoledebug.log('tryToLogin failed. try again '+ times);
	        tryToLogin(tryTimes, userName, password, successCallback, errCallback);
        }
	})
}

function registerUser(registerInfo, successCallback, errCallback) {
    bmobSmsRegister(registerInfo, function(user) {
        savePhoneNum(registerInfo.phoneNum);
        tryToLogin(0, registerInfo.phoneNum, registerInfo.password, function(user) {
				var account = {};
				account.hhID = user.get('hhIDGen');
				account.phoneNumber = registerInfo.phoneNum;
				account.password = registerInfo.password;
				setMyAccount(account);
        		successCallback(user);
        	},
        	function(user, error) {
	        	api.alert({
		            msg : '已注册成功,网络故障请重新登陆'
		        });
		        errCallback(err);
        	}
        );
        	
    }, function(err) {
        consoledebug.log('bmobRegister err is ' + JSON.stringify(err ));
        errCallback(err);
        if(err.code == 207){
	        api.alert({
	            msg : '验证码错误,请重新获取验证码'
	        });
        }else if(err.code == 209){
        	api.alert({
	            msg : '该手机号已注册，请直接登录'
	        });
        }else{
	        api.alert({
	            msg : '注册失败，请重试'
	        });
        } 
    })

//      Bmob.Sms.verifySmsCode(registerInfo.phoneNum + '', registerInfo.SMSCode).then(function(obj) {
//          //var obj = {msg : "ok"};
//          consoledebug.log('verifySmsCode is ' + JSON.stringify(obj));
//          if (obj.msg == "ok") {
//              
//          }
//      }, function(err) {
//          consoledebug.log('verifySmsCode err is ' + JSON.stringify(err));
//          errCallback(err);
//          api.alert({
//              msg : '验证码不正确'
//          });
//      });
}

function getUserInfoName(hhID, successCallback, errorCallback) {
    var Table = Bmob.Object.extend("UserInfo");
    var query = new Bmob.Query(Table);
    query.equalTo("hhID", hhID);
    query.select("nickName","partner","sex");
    // 查询所有数据
    query.find({
        success : function(results) {
            if (results.length > 0) {
                successCallback(results[0]);
            } else {
                var err = new Object();
                err.code = 702;
                err.message = "No hhID UserInfo";
                errorCallback(err);
            }
        },
        error : function(error) {
            errorCallback(error);
        }
    });
}

function getMessageNotf(hhID, successCallback, errCallback) {
	objId = $api.getStorage(hhID + 'LoginTimeNotfId');
	var MessageNotification = Bmob.Object.extend("MessageNotification");
	var query = new Bmob.Query(MessageNotification);
	query.get(objId, {
		success : function(notify) {
			successCallback(notify);
		},
		error : function(error) {
			errCallback(error);
		}
	});
}

function repeatLoginCheck(hhID, callback) {
	consoledebug.log("repeatLoginCheck try to getMessageNotf");
	getMessageNotf(hhID, function(notify) {
		var lastLoginTime = $api.getStorage(hhID + 'LastLoginTime');
		consoledebug.log("repeatLoginCheck lastLoginTime and MessageNotf is " + lastLoginTime + JSON.stringify(notify));
		if (!lastLoginTime) {
			$api.setStorage(hhID + 'LastLoginTime', notify.get("unReadNum"));
		} else if (lastLoginTime != notify.get("unReadNum")) {
			consoledebug.log('repeatLoginCheck try to bmobLogout localTime and netTime is ' + lastLoginTime + notify.get("unReadNum"));
			bmobLogout();
			return;
		}
		callback(true);
	}, function(error) {
		consoledebug.log("repeatLoginCheck getUser error is " + JSON.stringify(error));
		callback(true);
	})
}

function initBmobSocket(currentUser, callback){
	consoledebug.log("initBmobSocket currentUser is " + JSON.stringify(currentUser));
	var hhID  = currentUser.get("hhID");
	getNotificationInfo(hhID,function(results){
		var buySkill = 0,helpComment = 0,showComment = 0,activeComment = 0, loginTime = 0, postComment = 0;
		consoledebug.log("initBmobSocket getOneMessageInfo results is " + JSON.stringify(results));
		for(var i = 0; i < results.length; i++){
			var messageType = results[i].get("messageType");
			switch(messageType){
//				case 'buySkill':
//					buySkill = 1;
//					BmobSocketIo.updateRow("MessageNotification",results[i].id);
//				break;
				case 'helpComment':
					helpComment = 1;
					BmobSocketIo.updateRow("MessageNotification",results[i].id);
				break;
				case 'showComment':
					showComment = 1;
					BmobSocketIo.updateRow("MessageNotification",results[i].id);
				break;
				case 'activeComment':
					activeComment = 1;
					BmobSocketIo.updateRow("MessageNotification",results[i].id);
				break;
				case 'postComment':
					postComment = 1;
					BmobSocketIo.updateRow("MessageNotification",results[i].id);
				break;
				case 'loginTime':
					loginTime = 1;
					$api.setStorage(hhID + 'LoginTimeNotfId', results[i].id);
					BmobSocketIo.updateRow("MessageNotification",results[i].id);
				break;
				default:
					
				break;
			}
		}
//		if(buySkill == 0){
//			var MessageNotification = Bmob.Object.extend("MessageNotification");
//			var query = new MessageNotification();
//			query.set("hhID", hhID);
//			query.set("messageType", "buySkill");
//			query.set("unReadNum", 0);
//			query.save().then(function(results) {
//				BmobSocketIo.updateRow("MessageNotification",results.id);
//			}, function(error) {
//				consoledebug.log("initBmobSocket save MessageNotification error is " + JSON.stringify(error));
//			});
//		}
		if(helpComment == 0){
			var MessageNotification = Bmob.Object.extend("MessageNotification");
			var query = new MessageNotification();
			query.set("hhID", hhID);
			query.set("messageType", "helpComment");
			query.set("unReadNum", 0);
			query.save().then(function(results) {
				BmobSocketIo.updateRow("MessageNotification",results.id);
			}, function(error) {
				consoledebug.log("initBmobSocket save MessageNotification error is " + JSON.stringify(error));
			});
		}
		if(showComment == 0){
			var MessageNotification = Bmob.Object.extend("MessageNotification");
			var query = new MessageNotification();
			query.set("hhID", hhID);
			query.set("messageType", "showComment");
			query.set("unReadNum", 0);
			query.save().then(function(results) {
				BmobSocketIo.updateRow("MessageNotification",results.id);
			}, function(error) {
				consoledebug.log("initBmobSocket save MessageNotification error is " + JSON.stringify(error));
			});
		}
		if(activeComment == 0){
			var MessageNotification = Bmob.Object.extend("MessageNotification");
			var query = new MessageNotification();
			query.set("hhID", hhID);
			query.set("messageType", "activeComment");
			query.set("unReadNum", 0);
			query.save().then(function(results) {
				BmobSocketIo.updateRow("MessageNotification",results.id);
			}, function(error) {
				consoledebug.log("initBmobSocket save MessageNotification error is " + JSON.stringify(error));
			});
		}
		if(loginTime == 0){
			var MessageNotification = Bmob.Object.extend("MessageNotification");
			var query = new MessageNotification();
			query.set("hhID", hhID);
			query.set("messageType", "loginTime");
			query.set("unReadNum", 0);
			query.save().then(function(results) {
				$api.setStorage(hhID + 'LoginTimeNotfId', results.id);
				BmobSocketIo.updateRow("MessageNotification",results.id);
				callback();
			}, function(error) {
				consoledebug.log("initBmobSocket save MessageNotification error is " + JSON.stringify(error));
			});
		}else{
			callback();
		}
		
		if(postComment == 0){
			var MessageNotification = Bmob.Object.extend("MessageNotification");
			var query = new MessageNotification();
			query.set("hhID", hhID);
			query.set("messageType", "postComment");
			query.set("unReadNum", 0);
			query.save().then(function(results) {
				BmobSocketIo.updateRow("MessageNotification",results.id);
			}, function(error) {
				consoledebug.log("initBmobSocket save MessageNotification error is " + JSON.stringify(error));
			});
		}
		
		//BmobSocketIo.updateRow("_User",currentUser.id);
		
		BmobSocketIo.onUpdateRow = function(tablename,objectId,data) { 
		consoledebug.log("BmobSocketIo onUpdateRow tablename & data is " + tablename + JSON.stringify(data));
		if (tablename == "_User" && currentUser.id == data.objectId) {
//			setTimeout(function(){
//				repeatLoginCheck(currentUser.get("hhID"));
//			},2000);	//注意！订阅事件返回的数据有时不是最新数据，因此需要延时重新从服务器获取
//			var lastLoginTime = $api.getStorage(currentUser.get("hhID") + 'LastLoginTime');
//			consoledebug.log("initBmobSocket _User data is " + JSON.stringify(data));
//			if(!lastLoginTime){
//				$api.setStorage(currentUser.get("hhID") + 'LastLoginTime', data.loginTime);
//			}else if(lastLoginTime != data.loginTime){
//				setTimeout(function(){
//          		consoledebug.log('BmobSocketIo try to bmobLogout localTime and netTime is ' + lastLoginTime + data.loginTime);
//					bmobLogout();
//				}, 1000)
//			}
		}else if(tablename == "MessageNotification"){
			consoledebug.log("initBmobSocket get MessageNotification data success.");
			setTimeout(function(){
				if(data.messageType == "buySkill"){
					updateUnreadBuyShowOrderCount();
					api.sendEvent({
						name : 'refreshFormShowSkillOrderState_'
					});
				}else if(data.messageType == "helpComment"){
					updateHelpCommentState();
					api.sendEvent({
						name : 'refreshHelpCommentState_'
					});
				}else if(data.messageType == "showComment"){
					updateShowCommentState();
					api.sendEvent({
						name : 'refreshShowCommentState_'
					});
				}else if(data.messageType == "activeComment"){
					updateActiveCommentState();
					api.sendEvent({
						name : 'refreshActiveCommentState_'
					});
				}else if(data.messageType == "postComment"){
					updatePostCommentState();
					api.sendEvent({
						name : 'refreshPostCommentState_'
					});
				}else if(data.messageType == "loginTime"){
					setTimeout(function(){
						repeatLoginCheck(data.hhID, function(){});
					},2000);
				}
			}, 5000)
		}else{
			consoledebug.log("initBmobSocket get a wrong data.");
		}
	}
	},function(error){
		consoledebug.log("initBmobSocket getOneMessageInfo error is " + JSON.stringify(error));
	})
}

function unsubLogin(currentUser){
	if(currentUser){
		objId = $api.getStorage(currentUser.get("hhID") + 'LoginTimeNotfId');
		consoledebug.log("unsubLogin objId is " + objId);
		BmobSocketIo.unsubUpdateRow("MessageNotification",objId);
	}else{
		consoledebug.log("unsubLogin failed since currentUser is null");
	}
}


function subLogin(user) {
	var loginTime = (new Date()).getTime();
	consoledebug.log("subLogin loginTime is" + loginTime);
	initBmobSocket(user, function(){
		objId = $api.getStorage(user.get("hhID") + 'LoginTimeNotfId');
		if(objId){
			var MessageNotification = Bmob.Object.extend("MessageNotification");
			var messageNotification = new MessageNotification();
			messageNotification.id = objId;
			messageNotification.set("unReadNum", loginTime);
			messageNotification.save().then(function() {
				$api.setStorage(user.get("hhID") + 'LastLoginTime', loginTime);
				consoledebug.log("subLogin user save success" + JSON.stringify(messageNotification));
			}, function(error) {
				consoledebug.log("subLogin user save error is " + JSON.stringify(error));
			});
		}
	});
}

function bmobLogin(userName, password, successCallback, errCallback) {
    Bmob.User.logIn(userName, password, {
        success : function(user) {
        	checkUser(user, function(){
	            var account = {};
                account.hhID = user.get('hhID');
                account.phoneNumber = userName;
                account.password = password;
                subLogin(user);
                getUserInfoName(parseInt(user.get('hhID')), function(userInfo) {
                    account.nickname = userInfo.get("nickName");
                    account.partner = userInfo.get("partner");
                    account.sex = userInfo.get("sex");
                    account.userInfoId = userInfo.id;
                    setMyAccount(account);
                    successCallback(user);
                }, function(err) {
                    account.nickname = '';
                    account.userInfoId = '';
                    setMyAccount(account);
		            api.toast({
		                msg : "无法获取用户信息",
		                duration : 4000,
		                location : 'middle'
		            });
	            	errCallback();
                });
        	},function(error){
	            api.toast({
	                msg : "网络故障，请稍后重试",
	                duration : 4000,
	                location : 'middle'
	            });
	            errCallback();
        	});
        },
        error : function(user, error) {
            // The login failed. Check error to see why.
            api.toast({
                msg : getBmobErrorCh(error.code),
                duration : 4000,
                location : 'middle'
            });
            errCallback();
        }
    });
}

function bmobLogout() {
	//var currentUser = getCurrentUser();
	var currentUser = Bmob.User.current();
	consoledebug.log("bmobLogout try to unsubLogin currentUser is " + JSON.stringify(currentUser));
	unsubLogin(currentUser);
	Bmob.User.logOut();
	closeDB(function(){
        rongyunLogout();
        getCurrentUser();
	});
	var myAccount = getMyAccount();
	consoledebug.log("bmobLogout myAccount 1 is " + JSON.stringify(myAccount));
	delete myAccount.userKey;
	consoledebug.log("bmobLogout myAccount 2 is " + JSON.stringify(myAccount));
	$api.setStorage('myAccount', myAccount);
//	setMyAccount(myAccount);
}

function initSetting() {
	var myAcount = getMyAccount();
	var hhID = myAcount.hhID;
	//判断并且初始化设置中消息中的默认值
	var infotips = $api.getStorage("infotips" + hhID);
	if (!infotips) {
		infotips = {};
		infotips.newMessage = 1;
		infotips.reMessage = 1;
		infotips.voidM = 1;
		infotips.shake = 1;
		infotips.showInfo = 1;
		$api.setStorage("infotips" + hhID, infotips);
	}
	//判断并且初始化设置中消息中静音时段的默认值
	var silenceInfotips = $api.getStorage("silenceInfotips" + hhID);
	if (!silenceInfotips) {
		silenceInfotips = {};
		silenceInfotips.voidTime = 2;
		$api.setStorage("silenceInfotips" + hhID, silenceInfotips);
	}
	//判断并且初始化设置中隐私的默认值
	//  0:对所有人可见
	//  1:对陌生人隐身
	//  2:关闭距离
	var privateInfos = $api.getStorage("privateInfos" + hhID);
	if (!privateInfos) {
		var privateInfos = 0;
		$api.setStorage("privateInfos" + hhID, privateInfos);
	}
}

/*
 * 监听MessageNotification表中某一行数据
 */

function getNotificationInfo(hhID,successCallback, errorCallback){
	var MessageNotification = Bmob.Object.extend("MessageNotification");
    var query = new Bmob.Query(MessageNotification);
    query.equalTo("hhID",hhID);
    query.find({
    	success: function (results) {
    		if(results.length > 0){
    		
    		}else{
    		
    		}
            successCallback(results);
        },
        error: function (error) {
            errorCallback(error);
        }
    })
}


